!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1254) = coupl(nGC_697)*dcw_QED2 + coupl(nGC_698)*dsw_QED2 +    &
                        coupl(nGC_699)*dZee_QED2
      coupl(nGC_1257) = -cima*dl1_QED4
      coupl(nGC_1469) = -cima*dMU_QED2
      coupl(nGC_1468) = -cima*dMTA_QED2
      coupl(nGC_1463) = -cima*dMHL2_QED2
      coupl(nGC_1467) = -cima*dMM_QED2
      coupl(nGC_1397) = coupl(nGC_684)*dcw_QED2 + coupl(nGC_685)*dsw_QED2 +    &
                        coupl(nGC_686)*dZee_QED2
      coupl(nGC_1382) = coupl(nGC_832)*dyc_QED3 + coupl(nGC_833)*da_QED2
      coupl(nGC_1383) = coupl(nGC_832)*dyc_QED1_QCD2
      coupl(nGC_TS_GC_78_Hh) = -coupl(nGC_78)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1471) = -cima*dMC_QED2
      coupl(nGC_1472) = -cima*dMC_QCD2
      coupl(nGC_1473) = -cima*dMT_QED2
      coupl(nGC_1475) = -cima*dMD_QED2
      coupl(nGC_1270) = coupl(nGC_804)*dvev_QED1 + coupl(nGC_805)*dvevs_QED1 + &
                        coupl(nGC_806)*da_QED2 + coupl(nGC_807)*dl1_QED4 +     &
                        coupl(nGC_808)*dl3_QED4
      coupl(nGC_1276) = coupl(nGC_694)*dsw_QED2 + coupl(nGC_695)*dZee_QED2 +   &
                        coupl(nGC_696)*da_QED2
      coupl(nGC_1275) = coupl(nGC_692)*dsw_QED2 + coupl(nGC_693)*dZee_QED2
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1719) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1662) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1664) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_1289) = coupl(nGC_776)*dsw_QED2 + coupl(nGC_777)*dZee_QED2 +   &
                        coupl(nGC_778)*dvev_QED1 + coupl(nGC_779)*da_QED2
      coupl(nGC_1282) = coupl(nGC_690)*dsw_QED2 + coupl(nGC_691)*dZee_QED2
      coupl(nGC_1280) = coupl(nGC_681)*dsw_QED2 + coupl(nGC_682)*dZee_QED2 +   &
                        coupl(nGC_683)*da_QED2
      coupl(nGC_1388) = coupl(nGC_834)*dyc_QED3 + coupl(nGC_835)*da_QED2
      coupl(nGC_1389) = coupl(nGC_834)*dyc_QED1_QCD2
      coupl(nGC_1478) = -cima*dMS_QCD2
      coupl(nGC_1479) = -cima*dMB_QED2
      coupl(nGC_1470) = -cima*dMU_QCD2
      coupl(nGC_1474) = -cima*dMT_QCD2
      coupl(nGC_1476) = -cima*dMD_QCD2
      coupl(nGC_1477) = -cima*dMS_QED2
      coupl(nGC_1708) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_1709) = coupl(nGC_67)*dZZA_QED2/2d0
      coupl(nGC_1707) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_1293) = coupl(nGC_767)*dcw_QED2 + coupl(nGC_768)*dsw_QED2 +    &
                        coupl(nGC_769)*dZee_QED2 + coupl(nGC_770)*da_QED2
      coupl(nGC_TS_GC_93_Hh) = -coupl(nGC_93)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1605) = coupl(nGC_56)*dZZA_QED2/2d0
      coupl(nGC_1608) = coupl(nGC_54)*dZuL_QCD2
      coupl(nGC_1593) = coupl(nGC_50)*dZbR_QCD2
      coupl(nGC_1591) = coupl(nGC_53)*dZbL_QCD2
      coupl(nGC_1332) = coupl(nGC_837)*dydo_QED1_QCD2
      coupl(nGC_1331) = coupl(nGC_837)*dydo_QED3
      coupl(nGC_1330) = coupl(nGC_836)*dydo_QED1_QCD2
      coupl(nGC_1339) = coupl(nGC_809)*dyb_QED3
      coupl(nGC_1338) = coupl(nGC_820)*dyb_QED1_QCD2
      coupl(nGC_1555) = coupl(nGC_72)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_72_Hh) = -coupl(nGC_72)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1101) = (4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(     &
                        nGC_33)**2d0*coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_95&
                        )**2d0 + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1324) = cima*dyc_QED1_QCD2
      coupl(nGC_1325) = cima*dyt_QED3
      coupl(nGC_1326) = cima*dyt_QED1_QCD2
      coupl(nGC_1327) = -cima*dyb_QED3
      coupl(nGC_1320) = cima*dyup_QED1_QCD2
      coupl(nGC_1321) = -cima*dys_QED3
      coupl(nGC_1322) = -cima*dys_QED1_QCD2
      coupl(nGC_1323) = cima*dyc_QED3
      coupl(nGC_1328) = -cima*dyb_QED1_QCD2
      coupl(nGC_1329) = coupl(nGC_836)*dydo_QED3
      coupl(nGC_TS_GC_74_Hl) = -coupl(nGC_74)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_89_Hl) = -coupl(nGC_89)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1823) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1827) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1824) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1828) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_1481) = cima*dMZ2_QED2
      coupl(nGC_1480) = -cima*dMB_QCD2
      coupl(nGC_1483) = coupl(nGC_405)*dMW2_QED2
      coupl(nGC_1482) = cima*dMW2_QED2
      coupl(nGC_1485) = coupl(nGC_413)*dMZ2_QED2
      coupl(nGC_1484) = coupl(nGC_409)*dMW2_QED2
      coupl(nGC_1556) = coupl(nGC_65)*dZZA_QED2/2d0
      coupl(nGC_1559) = coupl(nGC_1388) + coupl(nGC_88)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_89)*dZHl_QED2/2d0 + coupl(nGC_89)*dZcL_QED2/2d0 + &
                        coupl(nGC_89)*dZcR_QED2/2d0
      coupl(nGC_1558) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1317) = -cima*dydo_QED3
      coupl(nGC_1319) = cima*dyup_QED3
      coupl(nGC_1318) = -cima*dydo_QED1_QCD2
      coupl(nGC_998) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_996) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_994) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_83_Hh) = -coupl(nGC_83)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1633) = coupl(nGC_1474) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_19_Hl) = -coupl(nGC_19)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1544) = coupl(nGC_54)*dZcL_QCD2
      coupl(nGC_1546) = coupl(nGC_51)*dZcR_QCD2
      coupl(nGC_1547) = coupl(nGC_1282) + coupl(nGC_38)*dZA_QED2/2d0 + coupl(  &
                        nGC_38)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZA_QED2/2d0
      coupl(nGC_1542) = coupl(nGC_1293) + coupl(nGC_57)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_61)*dZHl_QED2/2d0 + coupl(nGC_61)*dZZ_QED2/2d0
      coupl(nGC_1308) = coupl(nGC_611)*dZee_QED2
      coupl(nGC_1306) = coupl(nGC_821)*dcw_QED2 + coupl(nGC_822)*dsw_QED2 +    &
                        coupl(nGC_823)*dZee_QED2 + coupl(nGC_824)*dvev_QED1 +  &
                        coupl(nGC_825)*da_QED2
      coupl(nGC_1307) = coupl(nGC_607)*dZee_QED2
      coupl(nGC_1304) = coupl(nGC_796)*dcw_QED2 + coupl(nGC_797)*dsw_QED2 +    &
                        coupl(nGC_798)*dZee_QED2 + coupl(nGC_799)*da_QED2
      coupl(nGC_1302) = coupl(nGC_785)*dcw_QED2 + coupl(nGC_786)*dsw_QED2 +    &
                        coupl(nGC_787)*dZee_QED2 + coupl(nGC_788)*da_QED2
      coupl(nGC_1303) = coupl(nGC_800)*dcw_QED2 + coupl(nGC_801)*dsw_QED2 +    &
                        coupl(nGC_802)*dZee_QED2 + coupl(nGC_803)*da_QED2
      coupl(nGC_TS_GC_65_Hh) = -coupl(nGC_65)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1301) = coupl(nGC_764)*dcw_QED2 + coupl(nGC_765)*dsw_QED2 +    &
                        coupl(nGC_766)*dZee_QED2
      coupl(nGC_1630) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_TS_GC_73_Hl) = -coupl(nGC_73)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1143) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1337) = coupl(nGC_820)*dyb_QED3
      coupl(nGC_1336) = coupl(nGC_854)*dys_QED1_QCD2
      coupl(nGC_TS_GC_57_Hh) = -coupl(nGC_57)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1808) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_1805) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1807) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_1806) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1800) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_1803) = coupl(nGC_73)*dZZA_QED2/2d0
      coupl(nGC_1802) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1790) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_1792) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_1798) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_1379) = coupl(nGC_859)*dyt_QED1_QCD2
      coupl(nGC_1378) = coupl(nGC_859)*dyt_QED3
      coupl(nGC_1373) = coupl(nGC_831)*dyc_QED1_QCD2
      coupl(nGC_1372) = coupl(nGC_831)*dyc_QED3
      coupl(nGC_1377) = coupl(nGC_856)*dyt_QED1_QCD2
      coupl(nGC_1375) = coupl(nGC_830)*dyc_QED1_QCD2
      coupl(nGC_1374) = coupl(nGC_830)*dyc_QED3
      coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1818) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_1812) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_1813) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_1810) = coupl(nGC_1470) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1811) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_1816) = coupl(nGC_1478) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_1817) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_1814) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_TS_GC_67_Hl) = -coupl(nGC_67)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1142) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1782) = coupl(nGC_11)*dZbL_QED2
      coupl(nGC_1786) = coupl(nGC_54)*dZtL_QCD2
      coupl(nGC_1784) = coupl(nGC_11)*dZbR_QED2
      coupl(nGC_1788) = coupl(nGC_51)*dZtR_QCD2
      coupl(nGC_TS_GC_98_Hh) = -coupl(nGC_98)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1563) = coupl(nGC_1304) + coupl(nGC_66)*dZHhHl_QED2 + coupl(   &
                        nGC_67)*dZHl_QED2 + coupl(nGC_67)*dZZ_QED2
      coupl(nGC_1560) = coupl(nGC_1389) + coupl(nGC_89)*dZcL_QCD2/2d0 + coupl( &
                        nGC_89)*dZcR_QCD2/2d0
      coupl(nGC_1639) = coupl(nGC_1306) + coupl(nGC_72)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_73)*dZHl_QED2/2d0 + coupl(nGC_73)*dZZ_QED2 + coupl&
                        (nGC_TS_GC_66_Hh) + coupl(nGC_TS_GC_67_Hl)
      coupl(nGC_1362) = coupl(nGC_844)*dye_QED3 + coupl(nGC_845)*da_QED2
      coupl(nGC_1363) = coupl(nGC_852)*dym_QED3 + coupl(nGC_853)*da_QED2
      coupl(nGC_1365) = coupl(nGC_847)*dye_QED3 + coupl(nGC_848)*da_QED2
      coupl(nGC_1366) = coupl(nGC_850)*dym_QED3 + coupl(nGC_851)*da_QED2
      coupl(nGC_1631) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_1634) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_1635) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1124) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_120)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_91)*coupl(nGC_92) + coupl(    &
                        nGC_93)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1173) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1779) = coupl(nGC_11)*dZsR_QED2
      coupl(nGC_1777) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_1212) = -cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1213) = cima*coupl(nGC_11)**2d0*coupl(nGC_33)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_1519) = coupl(nGC_1332) + coupl(nGC_92)*dZdL_QCD2/2d0 + coupl( &
                        nGC_92)*dZdR_QCD2/2d0
      coupl(nGC_1518) = coupl(nGC_1331) + coupl(nGC_92)*dZdL_QED2/2d0 + coupl( &
                        nGC_92)*dZdR_QED2/2d0
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1512) = coupl(nGC_1317) + coupl(nGC_90)*dZdR_QED2/2d0 + coupl( &
                        nGC_90)*dZuL_QED2/2d0
      coupl(nGC_1517) = coupl(nGC_1330) + coupl(nGC_91)*dZdL_QCD2/2d0 + coupl( &
                        nGC_91)*dZdR_QCD2/2d0
      coupl(nGC_1516) = coupl(nGC_1329) + coupl(nGC_91)*dZdL_QED2/2d0 + coupl( &
                        nGC_91)*dZdR_QED2/2d0
      coupl(nGC_1515) = coupl(nGC_120)*dZdL_QCD2/2d0 + coupl(nGC_120)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1320)
      coupl(nGC_1514) = coupl(nGC_120)*dZdL_QED2/2d0 + coupl(nGC_120)*dZuR_QED2&
                        /2d0 + coupl(nGC_1319)
      coupl(nGC_1681) = coupl(nGC_50)*dZsR_QCD2
      coupl(nGC_1687) = -coupl(nGC_1293) - coupl(nGC_57)*dZHhHl_QED2/2d0 -     &
                        coupl(nGC_61)*dZHl_QED2/2d0 - coupl(nGC_61)*dZZ_QED2/  &
                        2d0
      coupl(nGC_1686) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1684) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1355) = -cima*dytau_QED3
      coupl(nGC_1354) = -cima*dym_QED3
      coupl(nGC_1357) = coupl(nGC_842)*dye_QED3
      coupl(nGC_1356) = coupl(nGC_843)*dye_QED3
      coupl(nGC_1351) = coupl(nGC_828)*dyb_QED3 + coupl(nGC_829)*da_QED2
      coupl(nGC_1350) = coupl(nGC_860)*dys_QED1_QCD2
      coupl(nGC_1353) = -cima*dye_QED3
      coupl(nGC_1352) = coupl(nGC_828)*dyb_QED1_QCD2
      coupl(nGC_1359) = coupl(nGC_846)*dym_QED3
      coupl(nGC_1358) = coupl(nGC_849)*dym_QED3
      coupl(nGC_1227) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_50)**2d0  &
                         - coupl(nGC_51)**2d0 - coupl(nGC_53)**2d0 - coupl(    &
                        nGC_54)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1226) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_50)**2d0 + &
                        coupl(nGC_51)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_1229) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_50) -     &
                        coupl(nGC_51) - coupl(nGC_53) - coupl(nGC_54))/(64d0*pi&
                        **2d0*Nc)
      coupl(nGC_1228) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(128d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1391) = coupl(nGC_281)*dyt_QED1_QCD2
      coupl(nGC_1395) = coupl(nGC_722)*dsw_QED2 + coupl(nGC_723)*dZee_QED2 +   &
                        coupl(nGC_724)*dMW2_QED2 + coupl(nGC_725)*da_QED2
      coupl(nGC_1466) = -cima*dME_QED2
      coupl(nGC_1764) = coupl(nGC_1372) + coupl(nGC_87)*dZcL_QED2/2d0 + coupl( &
                        nGC_87)*dZcR_QED2/2d0
      coupl(nGC_1765) = coupl(nGC_1373) + coupl(nGC_87)*dZcL_QCD2/2d0 + coupl( &
                        nGC_87)*dZcR_QCD2/2d0
      coupl(nGC_1766) = coupl(nGC_1374) + coupl(nGC_86)*dZcL_QED2/2d0 + coupl( &
                        nGC_86)*dZcR_QED2/2d0
      coupl(nGC_1767) = coupl(nGC_1375) + coupl(nGC_86)*dZcL_QCD2/2d0 + coupl( &
                        nGC_86)*dZcR_QCD2/2d0
      coupl(nGC_1760) = coupl(nGC_53)*dZdL_QCD2
      coupl(nGC_1762) = coupl(nGC_50)*dZdR_QCD2
      coupl(nGC_1508) = coupl(nGC_1382) + coupl(nGC_88)*dZHh_QED2/2d0 + coupl( &
                        nGC_88)*dZcL_QED2/2d0 + coupl(nGC_88)*dZcR_QED2/2d0 +  &
                        coupl(nGC_89)*dZHlHh_QED2/2d0
      coupl(nGC_1509) = coupl(nGC_1383) + coupl(nGC_88)*dZcL_QCD2/2d0 + coupl( &
                        nGC_88)*dZcR_QCD2/2d0
      coupl(nGC_1698) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1699) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1690) = coupl(nGC_1351) + coupl(nGC_83)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_84)*dZHl_QED2/2d0 + coupl(nGC_84)*dZbL_QED2/2d0 + &
                        coupl(nGC_84)*dZbR_QED2/2d0
      coupl(nGC_1691) = coupl(nGC_1352) + coupl(nGC_84)*dZbL_QCD2/2d0 + coupl( &
                        nGC_84)*dZbR_QCD2/2d0
      coupl(nGC_1342) = coupl(nGC_838)*dydo_QED1_QCD2
      coupl(nGC_1343) = coupl(nGC_857)*dys_QED3 + coupl(nGC_858)*da_QED2
      coupl(nGC_1340) = coupl(nGC_809)*dyb_QED1_QCD2
      coupl(nGC_1341) = coupl(nGC_838)*dydo_QED3 + coupl(nGC_839)*da_QED2
      coupl(nGC_1346) = coupl(nGC_826)*dyb_QED1_QCD2
      coupl(nGC_1347) = coupl(nGC_840)*dydo_QED3 + coupl(nGC_841)*da_QED2
      coupl(nGC_1344) = coupl(nGC_857)*dys_QED1_QCD2
      coupl(nGC_1345) = coupl(nGC_826)*dyb_QED3 + coupl(nGC_827)*da_QED2
      coupl(nGC_1348) = coupl(nGC_840)*dydo_QED1_QCD2
      coupl(nGC_1349) = coupl(nGC_860)*dys_QED3 + coupl(nGC_861)*da_QED2
      coupl(nGC_1186) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_50) + coupl(nGC_1)*coupl(nGC_53) + coupl(nGC_2)*   &
                        coupl(nGC_51) + coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0)
      coupl(nGC_1187) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_50) - coupl(nGC_1)*coupl(nGC_53) - coupl(nGC_2)*   &
                        coupl(nGC_51) - coupl(nGC_2)*coupl(nGC_54))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_920) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_1230) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_50) + coupl&
                        (nGC_51) + coupl(nGC_53) + coupl(nGC_54))/(32d0*pi**2d0&
                        *Nc**2d0)
      coupl(nGC_1610) = coupl(nGC_51)*dZuR_QCD2
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1300) = coupl(nGC_761)*dcw_QED2 + coupl(nGC_762)*dsw_QED2 +    &
                        coupl(nGC_763)*dZee_QED2
      coupl(nGC_TS_GC_88_Hh) = -coupl(nGC_88)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_75_Hh) = -coupl(nGC_75)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_76_Hl) = -coupl(nGC_76)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_76_Hh) = -coupl(nGC_76)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1464) = -cima*dMHH2_QED2
      coupl(nGC_1751) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_1750) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_1753) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1752) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1755) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1754) = coupl(nGC_1481) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_72_Hh) + coupl(nGC_TS_GC_73_Hl)
      coupl(nGC_1756) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1535) = coupl(nGC_105)*dZcL_QED2/2d0 + coupl(nGC_105)*dZsR_QED2&
                        /2d0 + coupl(nGC_1321)
      coupl(nGC_1534) = coupl(nGC_102)*dZmuMinusL_QED2/2d0 + coupl(nGC_102)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_1358)
      coupl(nGC_1537) = coupl(nGC_1323) + coupl(nGC_85)*dZcR_QED2/2d0 + coupl( &
                        nGC_85)*dZsL_QED2/2d0
      coupl(nGC_1536) = coupl(nGC_105)*dZcL_QCD2/2d0 + coupl(nGC_105)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1322)
      coupl(nGC_1531) = -coupl(nGC_1397) - coupl(nGC_36)*dZWMinus_QED2/2d0
      coupl(nGC_1530) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1533) = coupl(nGC_101)*dZmuMinusL_QED2/2d0 + coupl(nGC_101)*   &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_1359)
      coupl(nGC_1539) = coupl(nGC_66)*dZZA_QED2/2d0
      coupl(nGC_1538) = coupl(nGC_1324) + coupl(nGC_85)*dZcR_QCD2/2d0 + coupl( &
                        nGC_85)*dZsL_QCD2/2d0
      coupl(nGC_1108) = (coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51) + coupl(  &
                        nGC_113)**2d0*coupl(nGC_51) + coupl(nGC_114)**2d0*coupl&
                        (nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*  &
                        coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)** &
                        2d0*coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_80)**2d0 + &
                        4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1109) = (coupl(nGC_110)**2d0*coupl(nGC_53) + coupl(nGC_111)*   &
                        coupl(nGC_112)*coupl(nGC_54) + coupl(nGC_113)**2d0*    &
                        coupl(nGC_54) + coupl(nGC_114)**2d0*coupl(nGC_54) + 4d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1104) = (coupl(nGC_100)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1105) = (coupl(nGC_115)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_33  &
                        )**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)**2d0*coupl(   &
                        nGC_55) + 4d0*coupl(nGC_56)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1107) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + coupl(nGC_105)**&
                        2d0*coupl(nGC_54) + coupl(nGC_106)*coupl(nGC_107)*coupl&
                        (nGC_53) + coupl(nGC_108)**2d0*coupl(nGC_53) + coupl(  &
                        nGC_109)**2d0*coupl(nGC_53) + 4d0*coupl(nGC_50)**3d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_1100) = (-4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(    &
                        nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_52)*coupl(nGC_96)*coupl(     &
                        nGC_97) + coupl(nGC_52)*coupl(nGC_98)**2d0 + coupl(    &
                        nGC_52)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_55)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1102) = (coupl(nGC_100)**2d0*coupl(nGC_56) + coupl(nGC_101)*   &
                        coupl(nGC_102)*coupl(nGC_55) + coupl(nGC_103)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_104)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1103) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_52) + coupl(  &
                        nGC_103)**2d0*coupl(nGC_52) + coupl(nGC_104)**2d0*coupl&
                        (nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
