!******************************************************************************!
!                                                                              !
!    ctparameter100.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter100.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter100
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter100()
  dZHh_QED2 = (-4d0*Nc*Ten136*coupl(nGC_123)**2d0 - 4d0*Nc*Ten138*coupl(nGC_123&
              )**2d0 - 4d0*Nc*Ten139*coupl(nGC_88)**2d0 - 4d0*Nc*Ten141*coupl( &
              nGC_88)**2d0 - 4d0*Nc*Ten142*coupl(nGC_113)**2d0 - 4d0*Nc*Ten144*&
              coupl(nGC_113)**2d0 - 4d0*Nc*Ten145*coupl(nGC_93)**2d0 - 4d0*Nc* &
              Ten147*coupl(nGC_93)**2d0 - 4d0*Nc*Ten148*coupl(nGC_108)**2d0 -  &
              4d0*Nc*Ten150*coupl(nGC_108)**2d0 - 4d0*Nc*Ten151*coupl(nGC_83)**&
              2d0 - 4d0*Nc*Ten153*coupl(nGC_83)**2d0 - 4d0*Nc*Ten165*cMU**2d0* &
              coupl(nGC_123)**2d0 - 4d0*Nc*Ten166*cMC**2d0*coupl(nGC_88)**2d0  &
               - 4d0*Nc*Ten167*cMT**2d0*coupl(nGC_113)**2d0 - 4d0*Nc*Ten168*cMD&
              **2d0*coupl(nGC_93)**2d0 - 4d0*Nc*Ten169*cMS**2d0*coupl(nGC_108  &
              )**2d0 - 4d0*Nc*Ten170*cMB**2d0*coupl(nGC_83)**2d0 - 4d0*Nc*     &
              Ten177*coupl(nGC_123)**2d0*rMHH**2d0 - 4d0*Nc*Ten178*coupl(nGC_88&
              )**2d0*rMHH**2d0 - 4d0*Nc*Ten179*coupl(nGC_113)**2d0*rMHH**2d0 - &
              4d0*Nc*Ten180*coupl(nGC_93)**2d0*rMHH**2d0 - 4d0*Nc*Ten181*coupl(&
              nGC_108)**2d0*rMHH**2d0 - 4d0*Nc*Ten182*coupl(nGC_83)**2d0*rMHH**&
              2d0 - 16d0*Nc*Ten186*coupl(nGC_123)**2d0 - 16d0*Nc*Ten187*coupl( &
              nGC_88)**2d0 - 16d0*Nc*Ten188*coupl(nGC_113)**2d0 - 16d0*Nc*     &
              Ten189*coupl(nGC_93)**2d0 - 16d0*Nc*Ten190*coupl(nGC_108)**2d0 - &
              16d0*Nc*Ten191*coupl(nGC_83)**2d0 - 4d0*Nc*Ten195*coupl(nGC_123  &
              )**2d0*rMHH**2d0 - 4d0*Nc*Ten196*coupl(nGC_88)**2d0*rMHH**2d0 -  &
              4d0*Nc*Ten197*coupl(nGC_113)**2d0*rMHH**2d0 - 4d0*Nc*Ten198*coupl&
              (nGC_93)**2d0*rMHH**2d0 - 4d0*Nc*Ten199*coupl(nGC_108)**2d0*rMHH &
              **2d0 - 4d0*Nc*Ten200*coupl(nGC_83)**2d0*rMHH**2d0 - 2d0*Nc*coupl&
              (nGC_108)**2d0/3d0 - 2d0*Nc*coupl(nGC_113)**2d0/3d0 - 2d0*Nc*    &
              coupl(nGC_123)**2d0/3d0 - 2d0*Nc*coupl(nGC_83)**2d0/3d0 - 2d0*Nc*&
              coupl(nGC_88)**2d0/3d0 - 2d0*Nc*coupl(nGC_93)**2d0/3d0 + 5d0*    &
              Ten107*coupl(nGC_57)**2d0/2d0 + 5d0*Ten108*coupl(nGC_34)*coupl(  &
              nGC_35) + Ten121*coupl(nGC_57)**2d0 + Ten123*coupl(nGC_57)**2d0  &
               + 2d0*Ten124*coupl(nGC_34)*coupl(nGC_35) + 2d0*Ten126*coupl(    &
              nGC_34)*coupl(nGC_35) - 4d0*Ten127*coupl(nGC_98)**2d0 - 4d0*     &
              Ten129*coupl(nGC_98)**2d0 - 4d0*Ten130*coupl(nGC_103)**2d0 - 4d0*&
              Ten132*coupl(nGC_103)**2d0 - 4d0*Ten133*coupl(nGC_118)**2d0 - 4d0&
              *Ten135*coupl(nGC_118)**2d0 + Ten154*(5d0*coupl(nGC_57)**2d0*rMHH&
              **2d0 - 2d0*coupl(nGC_60)**2d0 + 4d0*coupl(nGC_72)**2d0 + coupl( &
              nGC_75)**2d0)/2d0 + Ten155*coupl(nGC_57)**2d0*rMHH**2d0 + 4d0*   &
              Ten156*coupl(nGC_57)**2d0 + Ten157*coupl(nGC_57)**2d0*rMHH**2d0  &
               + Ten158*(5d0*coupl(nGC_34)*coupl(nGC_35)*rMHH**2d0 - 2d0*coupl(&
              nGC_44)**2d0 + 4d0*coupl(nGC_69)**2d0 + coupl(nGC_75)**2d0) + 2d0&
              *Ten159*coupl(nGC_34)*coupl(nGC_35)*rMHH**2d0 + 8d0*Ten160*coupl(&
              nGC_34)*coupl(nGC_35) + 2d0*Ten161*coupl(nGC_34)*coupl(nGC_35)*  &
              rMHH**2d0 - 4d0*Ten162*cME**2d0*coupl(nGC_98)**2d0 - 4d0*Ten163* &
              cMM**2d0*coupl(nGC_103)**2d0 - 4d0*Ten164*cMTA**2d0*coupl(nGC_118&
              )**2d0 + Ten171*coupl(nGC_79)**2d0/2d0 + Ten172*coupl(nGC_76)**  &
              2d0 + Ten173*coupl(nGC_78)**2d0/2d0 - 4d0*Ten174*coupl(nGC_98)** &
              2d0*rMHH**2d0 - 4d0*Ten175*coupl(nGC_103)**2d0*rMHH**2d0 - 4d0*  &
              Ten176*coupl(nGC_118)**2d0*rMHH**2d0 - 16d0*Ten183*coupl(nGC_98  &
              )**2d0 - 16d0*Ten184*coupl(nGC_103)**2d0 - 16d0*Ten185*coupl(    &
              nGC_118)**2d0 - 4d0*Ten192*coupl(nGC_98)**2d0*rMHH**2d0 - 4d0*   &
              Ten193*coupl(nGC_103)**2d0*rMHH**2d0 - 4d0*Ten194*coupl(nGC_118  &
              )**2d0*rMHH**2d0 - 2d0*coupl(nGC_103)**2d0/3d0 - 2d0*coupl(      &
              nGC_118)**2d0/3d0 + coupl(nGC_34)*coupl(nGC_35)/3d0 + coupl(     &
              nGC_57)**2d0/6d0 - 2d0*coupl(nGC_98)**2d0/3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHh_QED2 = cone*real(dZHh_QED2,kind=dp)
    end if 
end subroutine set_ctparameter100
end module ctparameter100
