!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_1581) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1583) = coupl(nGC_100)*dZmuMinusR_QED2/2d0 + coupl(nGC_100)*   &
                        dZnu_muL_QED2/2d0 + coupl(nGC_1354)
      coupl(nGC_1585) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_1587) = coupl(nGC_11)*dZuR_QED2
      coupl(nGC_1589) = coupl(nGC_1275) + coupl(nGC_39)*dZA_QED2/2d0 + coupl(  &
                        nGC_39)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZA_QED2/2d0
      coupl(nGC_1401) = coupl(nGC_780)*dcw_QED2 + coupl(nGC_781)*dsw_QED2 +    &
                        coupl(nGC_782)*dZee_QED2 + coupl(nGC_783)*dMZ2_QED2 +  &
                        coupl(nGC_784)*da_QED2
      coupl(nGC_1400) = coupl(nGC_771)*dcw_QED2 + coupl(nGC_772)*dsw_QED2 +    &
                        coupl(nGC_773)*dZee_QED2 + coupl(nGC_774)*dMZ2_QED2 +  &
                        coupl(nGC_775)*da_QED2
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1038) = (coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_443)*coupl(nGC_52&
                        )*coupl(nGC_97) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl&
                        (nGC_98) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_97) - &
                        coupl(nGC_97)**2d0*coupl(nGC_98) - coupl(nGC_98)**3d0  &
                         - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1039) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_425) - coupl(  &
                        nGC_101)**2d0*coupl(nGC_103) + coupl(nGC_101)*coupl(   &
                        nGC_443)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)* &
                        coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1030) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1031) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_33)*coupl( &
                        nGC_425)*coupl(nGC_85) - coupl(nGC_443)*coupl(nGC_54)* &
                        coupl(nGC_86) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_88) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1032) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_33)*coupl( &
                        nGC_35)*coupl(nGC_85) - coupl(nGC_443)*coupl(nGC_51)*  &
                        coupl(nGC_87) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_88) - coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0  &
                         - coupl(nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1033) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1034) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_451)*coupl(nGC_90) - coupl(nGC_443)*coupl(nGC_53)* &
                        coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_92) -  &
                        coupl(nGC_92)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1035) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)* &
                        coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_34)*coupl(nGC_90) - coupl(nGC_443)*coupl(nGC_50)*  &
                        coupl(nGC_91) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_93) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0  &
                         - coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1036) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1037) = (coupl(nGC_33)*coupl(nGC_425)*coupl(nGC_95) + 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_98) + coupl(nGC_443)*coupl(     &
                        nGC_55)*coupl(nGC_96) + 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_98) + coupl(nGC_52)*coupl(nGC_57)*coupl(   &
                        nGC_96) - coupl(nGC_96)**2d0*coupl(nGC_98) - coupl(    &
                        nGC_98)**3d0 - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_939) = coupl(nGC_4)*(4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_52  &
                       )**2d0 + coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_98)**  &
                       2d0 + coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_938) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) +     &
                       coupl(nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(   &
                       nGC_94)**2d0 + coupl(nGC_2)*coupl(nGC_90)**2d0)/(32d0*pi&
                       **2d0)
      coupl(nGC_935) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0&
                        + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0 + coupl(nGC_2)*  &
                       coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88 &
                       )**2d0 + coupl(nGC_2)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_934) = (coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*coupl(nGC_1)*   &
                       coupl(nGC_33)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl( &
                       nGC_2)*coupl(nGC_54)**2d0 + coupl(nGC_2)*coupl(nGC_86)* &
                       coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88)**2d0 + coupl(&
                       nGC_2)*coupl(nGC_89)**2d0 + 4d0*coupl(nGC_3)*coupl(     &
                       nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_936) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_933) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_932) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50  &
                       )**2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) +     &
                       coupl(nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(   &
                       nGC_84)**2d0 + coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0*pi&
                       **2d0)
      coupl(nGC_1249) = coupl(nGC_616)*dZgs_QCD2
      coupl(nGC_1248) = coupl(nGC_613)*dZgs_QCD2
      coupl(nGC_1247) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_1246) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1715) = coupl(nGC_1342) + coupl(nGC_93)*dZdL_QCD2/2d0 + coupl( &
                        nGC_93)*dZdR_QCD2/2d0
      coupl(nGC_1714) = coupl(nGC_1341) + coupl(nGC_93)*dZHh_QED2/2d0 + coupl( &
                        nGC_93)*dZdL_QED2/2d0 + coupl(nGC_93)*dZdR_QED2/2d0 +  &
                        coupl(nGC_94)*dZHlHh_QED2/2d0
      coupl(nGC_1717) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1716) = -coupl(nGC_1397) - coupl(nGC_36)*dZZ_QED2/2d0 - coupl( &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_1711) = -coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_1713) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_1712) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_76_Hh) + coupl(      &
                        nGC_TS_GC_79_Hl)
      coupl(nGC_1222) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)*coupl(&
                        nGC_109) + coupl(nGC_113)*coupl(nGC_114) + coupl(      &
                        nGC_123)*coupl(nGC_124) + coupl(nGC_83)*coupl(nGC_84   &
                        ) + coupl(nGC_88)*coupl(nGC_89) + coupl(nGC_93)*coupl( &
                        nGC_94))/(16d0*pi**2d0*Nc)
      coupl(nGC_1505) = coupl(nGC_111)*dZtL_QCD2/2d0 + coupl(nGC_111)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1377)
      coupl(nGC_986) = (coupl(nGC_33)*coupl(nGC_35)*coupl(nGC_98) + coupl(     &
                       nGC_33)*coupl(nGC_427)*coupl(nGC_96) + coupl(nGC_33)*   &
                       coupl(nGC_46)*coupl(nGC_99) + coupl(nGC_4)**2d0*coupl(  &
                       nGC_95) + coupl(nGC_453)*coupl(nGC_56)*coupl(nGC_95) +  &
                       coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_95) + 8d0*coupl(  &
                       nGC_52)*coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**2d0)
      coupl(nGC_987) = (coupl(nGC_100)*coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl&
                       (nGC_453)*coupl(nGC_56) + coupl(nGC_100)*coupl(nGC_52)* &
                       coupl(nGC_55) + 8d0*coupl(nGC_100)*coupl(nGC_52)*coupl( &
                       nGC_56) + coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_427) + &
                       coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_35) + coupl(     &
                       nGC_104)*coupl(nGC_33)*coupl(nGC_46))/(32d0*pi**2d0)
      coupl(nGC_989) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_83) + 16d0*Nc* &
                       cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc* &
                       cMB*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl(&
                       nGC_86)**2d0*coupl(nGC_88) + 16d0*Nc*cMC*coupl(nGC_86)* &
                       coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_87)**&
                       2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl(&
                       nGC_93) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl(&
                       nGC_93) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_93) + &
                       4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_108) + 16d0*Nc*&
                       cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_108) + 4d0* &
                       Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_108) + 4d0*Nc*cMT* &
                       coupl(nGC_111)**2d0*coupl(nGC_113) + 16d0*Nc*cMT*coupl( &
                       nGC_111)*coupl(nGC_112)*coupl(nGC_113) + 4d0*Nc*cMT*    &
                       coupl(nGC_112)**2d0*coupl(nGC_113) + 4d0*Nc*cMU*coupl(  &
                       nGC_121)**2d0*coupl(nGC_123) + 16d0*Nc*cMU*coupl(nGC_121&
                       )*coupl(nGC_122)*coupl(nGC_123) + 4d0*Nc*cMU*coupl(     &
                       nGC_122)**2d0*coupl(nGC_123) + 4d0*cME*coupl(nGC_96)**  &
                       2d0*coupl(nGC_98) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97 &
                       )*coupl(nGC_98) + 4d0*cME*coupl(nGC_97)**2d0*coupl(     &
                       nGC_98) + 4d0*cMM*coupl(nGC_101)**2d0*coupl(nGC_103) +  &
                       16d0*cMM*coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_103) + &
                       4d0*cMM*coupl(nGC_102)**2d0*coupl(nGC_103) + 4d0*cMTA*  &
                       coupl(nGC_116)**2d0*coupl(nGC_118) + 16d0*cMTA*coupl(   &
                       nGC_116)*coupl(nGC_117)*coupl(nGC_118) + 4d0*cMTA*coupl(&
                       nGC_117)**2d0*coupl(nGC_118) + 4d0*cima*coupl(nGC_26)*  &
                       coupl(nGC_69) + 2d0*cima*coupl(nGC_64)*coupl(nGC_72) -  &
                       2d0*coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_69) + 2d0*   &
                       coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_75) + coupl(     &
                       nGC_443)**2d0*coupl(nGC_75) + coupl(nGC_443)*coupl(     &
                       nGC_447)*coupl(nGC_74) - coupl(nGC_443)*coupl(nGC_57)*  &
                       coupl(nGC_72) + coupl(nGC_443)*coupl(nGC_57)*coupl(     &
                       nGC_78) + coupl(nGC_443)*coupl(nGC_61)*coupl(nGC_76) +  &
                       coupl(nGC_447)*coupl(nGC_57)*coupl(nGC_76) - coupl(     &
                       nGC_447)*coupl(nGC_61)*coupl(nGC_72) + coupl(nGC_447)*  &
                       coupl(nGC_61)*coupl(nGC_79) + coupl(nGC_57)**2d0*coupl( &
                       nGC_75) + coupl(nGC_57)*coupl(nGC_61)*coupl(nGC_74))/(  &
                       32d0*pi**2d0)
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1140) = coupl(nGC_11)*sq2*(coupl(nGC_121)*coupl(nGC_122) +     &
                        coupl(nGC_123)**2d0 + coupl(nGC_124)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_90)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1141) = coupl(nGC_11)*sq2*(coupl(nGC_120)**2d0 + coupl(nGC_121 &
                        )*coupl(nGC_122) + coupl(nGC_123)**2d0 + coupl(nGC_124 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_1079) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_46) - coupl(   &
                        nGC_117)**2d0*coupl(nGC_119) + coupl(nGC_117)*coupl(   &
                        nGC_447)*coupl(nGC_52) + coupl(nGC_117)*coupl(nGC_55)* &
                        coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -   &
                        coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1669) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1668) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_1780) = coupl(nGC_1484) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_35_Hh) - coupl(nGC_TS_GC_46_Hl)
      coupl(nGC_1661) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_1660) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_1667) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1666) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1311) = coupl(nGC_729)*dcw_QED2 + coupl(nGC_730)*dsw_QED2 +    &
                        coupl(nGC_731)*dZee_QED2
      coupl(nGC_1310) = coupl(nGC_671)*dsw_QED2 + coupl(nGC_672)*dZee_QED2
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1568) = coupl(nGC_103)*dZHh_QED2/2d0 + coupl(nGC_103)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_103)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_104)*dZHlHh_QED2/2d0 + coupl(nGC_1363)
      coupl(nGC_1567) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZeMinusL_QED2/2d0 + coupl(nGC_33)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_1314) = coupl(nGC_744)*dcw_QED2 + coupl(nGC_745)*dsw_QED2 +    &
                        coupl(nGC_746)*dZee_QED2
      coupl(nGC_1019) = (-coupl(nGC_120)*coupl(nGC_32)*coupl(nGC_33) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_121)**&
                        2d0*coupl(nGC_122) + 8d0*coupl(nGC_121)*coupl(nGC_2)** &
                        2d0 + 8d0*coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_54) - &
                        coupl(nGC_122)*coupl(nGC_123)**2d0 - coupl(nGC_122)*   &
                        coupl(nGC_124)**2d0 - coupl(nGC_123)*coupl(nGC_443)*   &
                        coupl(nGC_51) - coupl(nGC_123)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_124)*coupl(nGC_447)*coupl(nGC_51   &
                        ) - coupl(nGC_124)*coupl(nGC_54)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1005) = (coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_96) + coupl(nGC_443)*coupl(nGC_52&
                        )*coupl(nGC_98) + coupl(nGC_447)*coupl(nGC_52)*coupl(  &
                        nGC_99) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_96 &
                        ) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_98) + coupl( &
                        nGC_55)*coupl(nGC_61)*coupl(nGC_99) - coupl(nGC_96)**  &
                        2d0*coupl(nGC_97) - coupl(nGC_97)*coupl(nGC_98)**2d0 - &
                        coupl(nGC_97)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_970) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_972) = coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_975) = (coupl(nGC_115)*coupl(nGC_4)**2d0 + coupl(nGC_115)*coupl&
                       (nGC_453)*coupl(nGC_56) + coupl(nGC_115)*coupl(nGC_52)* &
                       coupl(nGC_55) + 8d0*coupl(nGC_115)*coupl(nGC_52)*coupl( &
                       nGC_56) + coupl(nGC_117)*coupl(nGC_32)*coupl(nGC_33) +  &
                       coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_425) + coupl(    &
                       nGC_119)*coupl(nGC_33)*coupl(nGC_455))/(32d0*pi**2d0)
      coupl(nGC_878) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_81)*coupl(nGC_82) - 8d0&
                       *Nc*cMC**2d0*cima*coupl(nGC_86)*coupl(nGC_87) - 8d0*Nc* &
                       cMD**2d0*cima*coupl(nGC_91)*coupl(nGC_92) - 8d0*Nc*cMS**&
                       2d0*cima*coupl(nGC_106)*coupl(nGC_107) - 8d0*Nc*cMT**2d0&
                       *cima*coupl(nGC_111)*coupl(nGC_112) - 8d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_121)*coupl(nGC_122) - 8d0*cME**2d0*cima* &
                       coupl(nGC_96)*coupl(nGC_97) - cMHH**2d0*cima*coupl(     &
                       nGC_443)*coupl(nGC_57) - cMHL**2d0*cima*coupl(nGC_447)* &
                       coupl(nGC_61) - 8d0*cMM**2d0*cima*coupl(nGC_101)*coupl( &
                       nGC_102) - 8d0*cMTA**2d0*cima*coupl(nGC_116)*coupl(     &
                       nGC_117) - 4d0*cMW**2d0*cima*coupl(nGC_32)*coupl(nGC_427&
                       ) - 4d0*cMW**2d0*coupl(nGC_26) - cMZ**2d0*cima*coupl(   &
                       nGC_443)*coupl(nGC_57) - cMZ**2d0*cima*coupl(nGC_447)*  &
                       coupl(nGC_61) - 2d0*cMZ**2d0*coupl(nGC_64))/(32d0*pi**  &
                       2d0)
      coupl(nGC_1288) = coupl(nGC_652)*dsw_QED2 + coupl(nGC_653)*dZee_QED2 +   &
                        coupl(nGC_654)*da_QED2
      coupl(nGC_1287) = coupl(nGC_665)*dsw_QED2 + coupl(nGC_666)*dZee_QED2 +   &
                        coupl(nGC_667)*da_QED2
      coupl(nGC_1286) = coupl(nGC_649)*dsw_QED2 + coupl(nGC_650)*dZee_QED2 +   &
                        coupl(nGC_651)*da_QED2
      coupl(nGC_1285) = coupl(nGC_638)*dsw_QED2 + coupl(nGC_639)*dZee_QED2
      coupl(nGC_1284) = coupl(nGC_716)*dsw_QED2 + coupl(nGC_717)*dZee_QED2 +   &
                        coupl(nGC_718)*da_QED2
      coupl(nGC_1283) = coupl(nGC_668)*dsw_QED2 + coupl(nGC_669)*dZee_QED2 +   &
                        coupl(nGC_670)*da_QED2
      coupl(nGC_872) = cima*(4d0*Nc*coupl(nGC_108)**2d0 + 4d0*Nc*coupl(nGC_113 &
                       )**2d0 + 4d0*Nc*coupl(nGC_123)**2d0 + 4d0*Nc*coupl(     &
                       nGC_83)**2d0 + 4d0*Nc*coupl(nGC_88)**2d0 + 4d0*Nc*coupl(&
                       nGC_93)**2d0 + 4d0*coupl(nGC_103)**2d0 + 4d0*coupl(     &
                       nGC_118)**2d0 + coupl(nGC_34)*coupl(nGC_451) + coupl(   &
                       nGC_35)*coupl(nGC_425) + coupl(nGC_443)*coupl(nGC_57) + &
                       4d0*coupl(nGC_98)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1281) = coupl(nGC_713)*dsw_QED2 + coupl(nGC_714)*dZee_QED2 +   &
                        coupl(nGC_715)*da_QED2
      coupl(nGC_877) = cima*(4d0*Nc*coupl(nGC_106)*coupl(nGC_107) + 4d0*Nc*    &
                       coupl(nGC_111)*coupl(nGC_112) + 4d0*Nc*coupl(nGC_121)*  &
                       coupl(nGC_122) + 4d0*Nc*coupl(nGC_81)*coupl(nGC_82) +   &
                       4d0*Nc*coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(nGC_91&
                       )*coupl(nGC_92) + 4d0*coupl(nGC_101)*coupl(nGC_102) +   &
                       4d0*coupl(nGC_116)*coupl(nGC_117) + 2d0*coupl(nGC_32)*  &
                       coupl(nGC_427) + coupl(nGC_443)*coupl(nGC_57) + coupl(  &
                       nGC_447)*coupl(nGC_61) + 4d0*coupl(nGC_96)*coupl(nGC_97 &
                       ))/(96d0*pi**2d0)
      coupl(nGC_1041) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_83) - cMC* &
                        coupl(nGC_88) - cMD*coupl(nGC_93) - cMS*coupl(nGC_108  &
                        ) - cMT*coupl(nGC_113) - cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0)
      coupl(nGC_1040) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_35) - coupl(   &
                        nGC_102)**2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(   &
                        nGC_443)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)* &
                        coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*  &
                        coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1043) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_451) - coupl(nGC_105)*coupl(   &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_107)**2d0*coupl(     &
                        nGC_108) - coupl(nGC_107)*coupl(nGC_443)*coupl(nGC_53  &
                        ) - coupl(nGC_107)*coupl(nGC_50)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_1042) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_83) + cMC*  &
                        coupl(nGC_88) + cMD*coupl(nGC_93) + cMS*coupl(nGC_108  &
                        ) + cMT*coupl(nGC_113) + cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1045) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1044) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_34) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_108) - coupl(nGC_106)*coupl(nGC_443)*coupl(nGC_50  &
                        ) - coupl(nGC_106)*coupl(nGC_53)*coupl(nGC_57) - coupl(&
                        nGC_108)**3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 +   &
                        8d0*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0* &
                        pi**2d0)
      coupl(nGC_1047) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_112)**&
                        2d0*coupl(nGC_113) - coupl(nGC_112)*coupl(nGC_443)*    &
                        coupl(nGC_51) - coupl(nGC_112)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(  &
                        nGC_114)**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1046) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_425) - coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_83) - coupl(nGC_111)**&
                        2d0*coupl(nGC_113) - coupl(nGC_111)*coupl(nGC_443)*    &
                        coupl(nGC_54) - coupl(nGC_111)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_113)**3d0 - coupl(nGC_113)*coupl(  &
                        nGC_114)**2d0 + 8d0*coupl(nGC_113)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1049) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_425) - coupl(  &
                        nGC_116)**2d0*coupl(nGC_118) + coupl(nGC_116)*coupl(   &
                        nGC_443)*coupl(nGC_55) + coupl(nGC_116)*coupl(nGC_52)* &
                        coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1048) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1364) = coupl(nGC_263)*dytau_QED3 + coupl(nGC_265)*da_QED2
      coupl(nGC_1368) = coupl(nGC_863)*dyup_QED3
      coupl(nGC_1369) = coupl(nGC_863)*dyup_QED1_QCD2
      coupl(nGC_1214) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)**2d0 &
                         - coupl(nGC_113)**2d0 - coupl(nGC_123)**2d0 - coupl(  &
                        nGC_83)**2d0 - coupl(nGC_88)**2d0 - coupl(nGC_93)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_1215) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_108)**2d0  &
                         + coupl(nGC_113)**2d0 + coupl(nGC_123)**2d0 + coupl(  &
                        nGC_83)**2d0 + coupl(nGC_88)**2d0 + coupl(nGC_93)**2d0 &
                        )/(16d0*pi**2d0*Nc)
      coupl(nGC_1216) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_1217) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_1218) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_1360) = coupl(nGC_864)*dytau_QED3
      coupl(nGC_1361) = coupl(nGC_862)*dytau_QED3
      coupl(nGC_1746) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_1747) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_1744) = -2d0*coupl(nGC_12)*dZg_QCD2 - coupl(nGC_1249)
      coupl(nGC_1745) = 4d0*coupl(nGC_12)*dZg_QCD2 + 2d0*coupl(nGC_1249)
      coupl(nGC_1742) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_1249)
      coupl(nGC_1743) = -4d0*coupl(nGC_12)*dZg_QCD2 - 2d0*coupl(nGC_1249)
      coupl(nGC_1741) = coupl(nGC_TS_GC_74_Hl) + coupl(nGC_TS_GC_75_Hh)
      coupl(nGC_1627) = coupl(nGC_1346) + coupl(nGC_83)*dZbL_QCD2/2d0 + coupl( &
                        nGC_83)*dZbR_QCD2/2d0
      coupl(nGC_1626) = coupl(nGC_1345) + coupl(nGC_83)*dZHh_QED2/2d0 + coupl( &
                        nGC_83)*dZbL_QED2/2d0 + coupl(nGC_83)*dZbR_QED2/2d0 +  &
                        coupl(nGC_84)*dZHlHh_QED2/2d0
      coupl(nGC_1621) = coupl(nGC_1362) + coupl(nGC_98)*dZHh_QED2/2d0 + coupl( &
                        nGC_98)*dZeMinusL_QED2/2d0 + coupl(nGC_98)*            &
                        dZeMinusR_QED2/2d0 + coupl(nGC_99)*dZHlHh_QED2/2d0
      coupl(nGC_1620) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_1749) = coupl(nGC_1476) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_1489) = coupl(nGC_1285) + coupl(nGC_26)*dZWMinus_QED2
      coupl(nGC_1367) = coupl(nGC_269)*dytau_QED3 + coupl(nGC_271)*da_QED2
      coupl(nGC_1381) = coupl(nGC_868)*dyup_QED1_QCD2
      coupl(nGC_1822) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_1826) = coupl(nGC_1480) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_1523) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_1521) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_1526) = coupl(nGC_1400) + coupl(nGC_60)*dZHh_QED2/2d0 + coupl( &
                        nGC_62)*dZHlHh_QED2/2d0
      coupl(nGC_1525) = coupl(nGC_64)*dZZA_QED2/2d0
      coupl(nGC_1529) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZcL_QED2/2d0 + coupl(nGC_33)*dZsL_QED2/ &
                        2d0
      coupl(nGC_1486) = coupl(nGC_1302) + coupl(nGC_65)*dZHh_QED2 + coupl(     &
                        nGC_65)*dZZ_QED2 + coupl(nGC_66)*dZHlHh_QED2
      coupl(nGC_1139) = coupl(nGC_11)*sq2*(-coupl(nGC_120)**2d0 - coupl(nGC_121&
                        )*coupl(nGC_122) - coupl(nGC_123)**2d0 - coupl(nGC_124 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_1138) = coupl(nGC_11)*sq2*(-coupl(nGC_121)*coupl(nGC_122) -    &
                        coupl(nGC_123)**2d0 - coupl(nGC_124)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_90)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1131) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_106)*coupl(nGC_107) + coupl(nGC_108)**2d0 + coupl( &
                        nGC_109)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_85)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1130) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_1133) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_1132) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_105)**2d0 + coupl(nGC_106)*coupl(nGC_107) + coupl( &
                        nGC_108)**2d0 + coupl(nGC_109)**2d0 + 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_1135) = coupl(nGC_11)*sq2*(-coupl(nGC_110)**2d0 - coupl(nGC_111&
                        )*coupl(nGC_112) - coupl(nGC_113)**2d0 - coupl(nGC_114 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_1134) = coupl(nGC_11)*sq2*(-coupl(nGC_111)*coupl(nGC_112) -    &
                        coupl(nGC_113)**2d0 - coupl(nGC_114)**2d0 - 4d0*coupl( &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_80)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1137) = coupl(nGC_11)*sq2*(coupl(nGC_110)**2d0 + coupl(nGC_111 &
                        )*coupl(nGC_112) + coupl(nGC_113)**2d0 + coupl(nGC_114 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_51)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_1136) = coupl(nGC_11)*sq2*(coupl(nGC_111)*coupl(nGC_112) +     &
                        coupl(nGC_113)**2d0 + coupl(nGC_114)**2d0 + 4d0*coupl( &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_80)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1557) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZdL_QED2/2d0 + coupl(nGC_33)*dZuL_QED2/ &
                        2d0
      coupl(nGC_1004) = coupl(nGC_11)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1007) = (coupl(nGC_100)*coupl(nGC_32)*coupl(nGC_33) - coupl(   &
                        nGC_101)**2d0*coupl(nGC_102) + 8d0*coupl(nGC_101)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_101)*coupl(nGC_52)*coupl( &
                        nGC_55) - coupl(nGC_102)*coupl(nGC_103)**2d0 - coupl(  &
                        nGC_102)*coupl(nGC_104)**2d0 + coupl(nGC_103)*coupl(   &
                        nGC_443)*coupl(nGC_52) + coupl(nGC_103)*coupl(nGC_55)* &
                        coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_447)*coupl(   &
                        nGC_52) + coupl(nGC_104)*coupl(nGC_55)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1552) = coupl(nGC_1301) + coupl(nGC_58)*dZAZ_QED2 + coupl(     &
                        nGC_63)*dZZ_QED2
      coupl(nGC_1551) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZnu_tauL_QED2/2d0 + coupl(nGC_33)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_1550) = coupl(nGC_1365) + coupl(nGC_98)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_99)*dZHl_QED2/2d0 + coupl(nGC_99)*dZeMinusL_QED2/ &
                        2d0 + coupl(nGC_99)*dZeMinusR_QED2/2d0
      coupl(nGC_1009) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_107) - coupl(nGC_105)*&
                        coupl(nGC_32)*coupl(nGC_33) - coupl(nGC_105)*coupl(    &
                        nGC_85)*coupl(nGC_87) - coupl(nGC_106)*coupl(nGC_107)**&
                        2d0 - coupl(nGC_106)*coupl(nGC_108)**2d0 - coupl(      &
                        nGC_106)*coupl(nGC_109)**2d0 + 8d0*coupl(nGC_107)*coupl&
                        (nGC_50)*coupl(nGC_53) - coupl(nGC_108)*coupl(nGC_443)*&
                        coupl(nGC_50) - coupl(nGC_108)*coupl(nGC_53)*coupl(    &
                        nGC_57) - coupl(nGC_109)*coupl(nGC_447)*coupl(nGC_50   &
                        ) - coupl(nGC_109)*coupl(nGC_53)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1008) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_427) - coupl(  &
                        nGC_101)*coupl(nGC_102)**2d0 - coupl(nGC_101)*coupl(   &
                        nGC_103)**2d0 - coupl(nGC_101)*coupl(nGC_104)**2d0 +   &
                        8d0*coupl(nGC_102)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_102)*coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_103)* &
                        coupl(nGC_443)*coupl(nGC_55) + coupl(nGC_103)*coupl(   &
                        nGC_52)*coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_447)* &
                        coupl(nGC_55) + coupl(nGC_104)*coupl(nGC_52)*coupl(    &
                        nGC_61))/(32d0*pi**2d0)
      coupl(nGC_908) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_909) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11&
                       )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_900) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_901) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_902) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_903) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_52)**2d0)/(16d0*pi**&
                       2d0)
      coupl(nGC_904) = cima*(coupl(nGC_33)**2d0 + coupl(nGC_4)**2d0 + coupl(   &
                       nGC_55)**2d0)/(16d0*pi**2d0)
      coupl(nGC_905) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_906) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11 &
                       )**2d0)/(64d0*pi**2d0)
      coupl(nGC_907) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1258) = coupl(nGC_614)*dl1_QED4
      coupl(nGC_1259) = coupl(nGC_629)*da_QED2 + coupl(nGC_630)*dl1_QED4 +     &
                        coupl(nGC_631)*dl3_QED4
      coupl(nGC_1313) = coupl(nGC_726)*dcw_QED2 + coupl(nGC_727)*dsw_QED2 +    &
                        coupl(nGC_728)*dZee_QED2
      coupl(nGC_1312) = coupl(nGC_735)*dcw_QED2 + coupl(nGC_736)*dsw_QED2 +    &
                        coupl(nGC_737)*dZee_QED2
      coupl(nGC_1315) = coupl(nGC_741)*dcw_QED2 + coupl(nGC_742)*dsw_QED2 +    &
                        coupl(nGC_743)*dZee_QED2
      coupl(nGC_TS_GC_108_Hh) = -coupl(nGC_108)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1316) = coupl(nGC_732)*dcw_QED2 + coupl(nGC_733)*dsw_QED2 +    &
                        coupl(nGC_734)*dZee_QED2
      coupl(nGC_1250) = coupl(nGC_609)*dZee_QED2
      coupl(nGC_1251) = coupl(nGC_615)*dZee_QED2
      coupl(nGC_1252) = coupl(nGC_687)*dcw_QED2 + coupl(nGC_688)*dsw_QED2 +    &
                        coupl(nGC_689)*dZee_QED2
      coupl(nGC_1253) = coupl(nGC_640)*dsw_QED2 + coupl(nGC_641)*dZee_QED2
      coupl(nGC_1255) = coupl(nGC_646)*dcw_QED2 + coupl(nGC_647)*dsw_QED2 +    &
                        coupl(nGC_648)*dZee_QED2
      coupl(nGC_1256) = coupl(nGC_610)*dl1_QED4
      coupl(nGC_1506) = coupl(nGC_1483) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_34_Hh) - coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_873) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_93)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_108)**2d0&
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_113)**2d0 - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_123)**2d0 - 4d0*cME**2d0*cima*coupl&
                       (nGC_98)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_103)**2d0 - &
                       4d0*cMTA**2d0*cima*coupl(nGC_118)**2d0 - cMW**2d0*cima* &
                       coupl(nGC_34)*coupl(nGC_451) - cMW**2d0*cima*coupl(     &
                       nGC_35)*coupl(nGC_425) - 2d0*cMW**2d0*coupl(nGC_28) -   &
                       cMZ**2d0*cima*coupl(nGC_443)*coupl(nGC_57) - cMZ**2d0*  &
                       coupl(nGC_65) + 2d0*cima*coupl(nGC_69)**2d0 + cima*coupl&
                       (nGC_72)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1702) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_1703) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_1700) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_1701) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1706) = coupl(nGC_1315) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_eL_QED2
      coupl(nGC_1704) = -coupl(nGC_1252) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_37)*dZZ_QED2/2d0
      coupl(nGC_1705) = -coupl(nGC_1250) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1122) = -coupl(nGC_11)*sq2*(-coupl(nGC_105)**2d0 - 4d0*coupl(  &
                        nGC_2)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(nGC_54&
                        )**2d0 - coupl(nGC_86)*coupl(nGC_87) - coupl(nGC_88)** &
                        2d0 - coupl(nGC_89)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1502) = coupl(nGC_112)*dZtL_QED2/2d0 + coupl(nGC_112)*dZtR_QED2&
                        /2d0 + coupl(nGC_1378)
      coupl(nGC_1123) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_51)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl&
                        (nGC_87) - coupl(nGC_88)**2d0 - coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1503) = coupl(nGC_112)*dZtL_QCD2/2d0 + coupl(nGC_112)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1379)
      coupl(nGC_999) = (-coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85) + 8d0*    &
                       coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_33)*coupl(  &
                       nGC_427)*coupl(nGC_85) - coupl(nGC_443)*coupl(nGC_54)*  &
                       coupl(nGC_88) - coupl(nGC_447)*coupl(nGC_54)*coupl(     &
                       nGC_89) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_87  &
                       ) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_88) - coupl(  &
                       nGC_51)*coupl(nGC_61)*coupl(nGC_89) - coupl(nGC_86)*    &
                       coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88)**2d0 - &
                       coupl(nGC_86)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_997) = (-coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_85) + 8d0*    &
                       coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_32)*coupl(  &
                       nGC_33)*coupl(nGC_85) - coupl(nGC_443)*coupl(nGC_51)*   &
                       coupl(nGC_88) - coupl(nGC_447)*coupl(nGC_51)*coupl(     &
                       nGC_89) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_86  &
                       ) - coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_88) - coupl(  &
                       nGC_54)*coupl(nGC_61)*coupl(nGC_89) - coupl(nGC_86)**2d0&
                       *coupl(nGC_87) - coupl(nGC_87)*coupl(nGC_88)**2d0 -     &
                       coupl(nGC_87)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
      coupl(nGC_995) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_81) - coupl(nGC_110)*  &
                       coupl(nGC_111)*coupl(nGC_80) - coupl(nGC_33)*coupl(     &
                       nGC_427)*coupl(nGC_80) - coupl(nGC_443)*coupl(nGC_53)*  &
                       coupl(nGC_83) - coupl(nGC_447)*coupl(nGC_53)*coupl(     &
                       nGC_84) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_81  &
                       ) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_83) - coupl(  &
                       nGC_50)*coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)**2d0&
                       *coupl(nGC_82) - coupl(nGC_82)*coupl(nGC_83)**2d0 -     &
                       coupl(nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_993) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_82) - coupl(nGC_110)*  &
                       coupl(nGC_112)*coupl(nGC_80) - coupl(nGC_32)*coupl(     &
                       nGC_33)*coupl(nGC_80) - coupl(nGC_443)*coupl(nGC_50)*   &
                       coupl(nGC_83) - coupl(nGC_447)*coupl(nGC_50)*coupl(     &
                       nGC_84) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_82  &
                       ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_83) - coupl(  &
                       nGC_53)*coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)*    &
                       coupl(nGC_82)**2d0 - coupl(nGC_81)*coupl(nGC_83)**2d0 - &
                       coupl(nGC_81)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_990) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_84) + 16d0*Nc* &
                       cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc* &
                       cMB*coupl(nGC_82)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl(&
                       nGC_86)**2d0*coupl(nGC_89) + 16d0*Nc*cMC*coupl(nGC_86)* &
                       coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_87)**&
                       2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl(&
                       nGC_94) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl(&
                       nGC_94) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_94) + &
                       4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_109) + 16d0*Nc*&
                       cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_109) + 4d0* &
                       Nc*cMS*coupl(nGC_107)**2d0*coupl(nGC_109) + 4d0*Nc*cMT* &
                       coupl(nGC_111)**2d0*coupl(nGC_114) + 16d0*Nc*cMT*coupl( &
                       nGC_111)*coupl(nGC_112)*coupl(nGC_114) + 4d0*Nc*cMT*    &
                       coupl(nGC_112)**2d0*coupl(nGC_114) + 4d0*Nc*cMU*coupl(  &
                       nGC_121)**2d0*coupl(nGC_124) + 16d0*Nc*cMU*coupl(nGC_121&
                       )*coupl(nGC_122)*coupl(nGC_124) + 4d0*Nc*cMU*coupl(     &
                       nGC_122)**2d0*coupl(nGC_124) + 4d0*cME*coupl(nGC_96)**  &
                       2d0*coupl(nGC_99) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97 &
                       )*coupl(nGC_99) + 4d0*cME*coupl(nGC_97)**2d0*coupl(     &
                       nGC_99) + 4d0*cMM*coupl(nGC_101)**2d0*coupl(nGC_104) +  &
                       16d0*cMM*coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_104) + &
                       4d0*cMM*coupl(nGC_102)**2d0*coupl(nGC_104) + 4d0*cMTA*  &
                       coupl(nGC_116)**2d0*coupl(nGC_119) + 16d0*cMTA*coupl(   &
                       nGC_116)*coupl(nGC_117)*coupl(nGC_119) + 4d0*cMTA*coupl(&
                       nGC_117)**2d0*coupl(nGC_119) + 4d0*cima*coupl(nGC_26)*  &
                       coupl(nGC_70) + 2d0*cima*coupl(nGC_64)*coupl(nGC_73) -  &
                       2d0*coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_70) + 2d0*   &
                       coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_74) + coupl(     &
                       nGC_443)*coupl(nGC_447)*coupl(nGC_75) - coupl(nGC_443)* &
                       coupl(nGC_57)*coupl(nGC_73) + coupl(nGC_443)*coupl(     &
                       nGC_57)*coupl(nGC_76) + coupl(nGC_443)*coupl(nGC_61)*   &
                       coupl(nGC_79) + coupl(nGC_447)**2d0*coupl(nGC_74) +     &
                       coupl(nGC_447)*coupl(nGC_57)*coupl(nGC_79) - coupl(     &
                       nGC_447)*coupl(nGC_61)*coupl(nGC_73) + coupl(nGC_447)*  &
                       coupl(nGC_61)*coupl(nGC_77) + coupl(nGC_57)*coupl(nGC_61&
                       )*coupl(nGC_75) + coupl(nGC_61)**2d0*coupl(nGC_74))/(   &
                       32d0*pi**2d0)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1676) = coupl(nGC_1251) - coupl(nGC_41)*dZZA_QED2/2d0 + coupl( &
                        nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2
      coupl(nGC_1677) = -2d0*coupl(nGC_1251) + coupl(nGC_41)*dZZA_QED2 - 2d0*  &
                        coupl(nGC_5)*dZA_QED2 - 2d0*coupl(nGC_5)*dZWMinus_QED2
      coupl(nGC_1674) = coupl(nGC_110)*dZbL_QED2/2d0 + coupl(nGC_110)*dZtR_QED2&
                        /2d0 + coupl(nGC_1325)
      coupl(nGC_1675) = coupl(nGC_110)*dZbL_QCD2/2d0 + coupl(nGC_110)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1326)
      coupl(nGC_1672) = coupl(nGC_1327) + coupl(nGC_80)*dZbR_QED2/2d0 + coupl( &
                        nGC_80)*dZtL_QED2/2d0
      coupl(nGC_1673) = coupl(nGC_1328) + coupl(nGC_80)*dZbR_QCD2/2d0 + coupl( &
                        nGC_80)*dZtL_QCD2/2d0
      coupl(nGC_1671) = coupl(nGC_1316) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*dZtauMinusR_QED2
      coupl(nGC_1174) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1176) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_50)**3d0 + 6d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_53)**3d0 + 6d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_51)**3d0 + 6d0*Nc*cima*coupl(   &
                        nGC_2)*coupl(nGC_54)**3d0 - 20d0*cima*coupl(nGC_3)*    &
                        coupl(nGC_37)**3d0 + 6d0*cima*coupl(nGC_4)*coupl(nGC_52&
                        )**3d0 + 6d0*cima*coupl(nGC_4)*coupl(nGC_55)**3d0 + 6d0&
                        *cima*coupl(nGC_41)*coupl(nGC_419) - 20d0*cima*coupl(  &
                        nGC_417)**3d0*coupl(nGC_429) + 3d0*coupl(nGC_29)*coupl(&
                        nGC_3)*coupl(nGC_37) + 3d0*coupl(nGC_29)*coupl(nGC_417 &
                        )*coupl(nGC_429) + 9d0*coupl(nGC_3)*coupl(nGC_37)*coupl&
                        (nGC_419) + 9d0*coupl(nGC_37)**2d0*coupl(nGC_41) + 3d0*&
                        coupl(nGC_37)**2d0*coupl(nGC_439) + 9d0*coupl(nGC_41)* &
                        coupl(nGC_417)**2d0 + 3d0*coupl(nGC_417)**2d0*coupl(   &
                        nGC_439) + 9d0*coupl(nGC_417)*coupl(nGC_419)*coupl(    &
                        nGC_429))/(48d0*pi**2d0)
      coupl(nGC_1678) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1314) + coupl(  &
                        nGC_53)*dZZ_QED2/2d0 + coupl(nGC_53)*dZsL_QED2
      coupl(nGC_1679) = coupl(nGC_53)*dZsL_QCD2
      coupl(nGC_1128) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_106)*coupl(nGC_107) - coupl(nGC_108)**2d0 - coupl( &
                        nGC_109)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_85)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1210) = (-4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_53)*coupl(   &
                        nGC_54) - 4d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_54  &
                        )**2d0 + 4d0*cima*coupl(nGC_29)**2d0 - 4d0*cima*coupl( &
                        nGC_33)**2d0*coupl(nGC_55)**2d0 + 12d0*cima*coupl(     &
                        nGC_33)**2d0*coupl(nGC_55)*coupl(nGC_56) - 4d0*cima*   &
                        coupl(nGC_33)**2d0*coupl(nGC_56)**2d0 - 8d0*cima*coupl(&
                        nGC_37)**2d0*coupl(nGC_417)**2d0 - 8d0*cima*coupl(     &
                        nGC_37)**2d0*coupl(nGC_429)**2d0 + 4d0*cima*coupl(     &
                        nGC_439)**2d0 + coupl(nGC_27)*coupl(nGC_417)**2d0 +    &
                        12d0*coupl(nGC_29)*coupl(nGC_37)*coupl(nGC_417) + coupl&
                        (nGC_29)*coupl(nGC_417)**2d0 + coupl(nGC_29)*coupl(    &
                        nGC_429)**2d0 + coupl(nGC_37)**2d0*coupl(nGC_441) + 2d0&
                        *coupl(nGC_37)*coupl(nGC_41)*coupl(nGC_429) + 2d0*coupl&
                        (nGC_37)*coupl(nGC_417)*coupl(nGC_419) + 12d0*coupl(   &
                        nGC_37)*coupl(nGC_429)*coupl(nGC_439))/(32d0*pi**2d0)
      coupl(nGC_1082) = coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1773) = coupl(nGC_106)*dZsL_QCD2/2d0 + coupl(nGC_106)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1336)
      coupl(nGC_1770) = coupl(nGC_1280) + coupl(nGC_35)*dZHh_QED2/2d0 + coupl( &
                        nGC_35)*dZWMinus_QED2/2d0 + coupl(nGC_46)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_TS_GC_28_Hh) = -coupl(nGC_28)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1513) = coupl(nGC_1318) + coupl(nGC_90)*dZdR_QCD2/2d0 + coupl( &
                        nGC_90)*dZuL_QCD2/2d0
      coupl(nGC_TS_GC_123_Hh) = -coupl(nGC_123)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1688) = -coupl(nGC_10)*dZg_QCD2/2d0 - coupl(nGC_1248)
      coupl(nGC_1683) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZmuMinusL_QED2/2d0 + coupl(nGC_33)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1682) = coupl(nGC_1289) + coupl(nGC_69)*dZHh_QED2/2d0 + coupl( &
                        nGC_69)*dZWMinus_QED2 + coupl(nGC_70)*dZHlHh_QED2/2d0  &
                         + coupl(nGC_TS_GC_28_Hh) + coupl(nGC_TS_GC_30_Hl)
      coupl(nGC_TS_GC_48_Hl) = -coupl(nGC_48)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1685) = coupl(nGC_1466) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_98_Hh) + coupl(nGC_TS_GC_99_Hl)
      coupl(nGC_948) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*    &
                       coupl(nGC_80)**2d0 + coupl(nGC_111)*coupl(nGC_112)*coupl&
                       (nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2) + coupl(     &
                       nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0&
                       *coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*    &
                       coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_949) = (coupl(nGC_1)*coupl(nGC_110)**2d0 + coupl(nGC_111)*coupl&
                       (nGC_112)*coupl(nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2  &
                       )**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**&
                       2d0)
      coupl(nGC_944) = (coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*   &
                       coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4 &
                       ))/(32d0*pi**2d0)
      coupl(nGC_945) = (coupl(nGC_115)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*   &
                       coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4 &
                       ))/(32d0*pi**2d0)
      coupl(nGC_946) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*   &
                       coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +     &
                       coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*    &
                       coupl(nGC_53)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_33)**2d0&
                        + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_33)**&
                       2d0*coupl(nGC_429))/(32d0*pi**2d0)
      coupl(nGC_947) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*   &
                       coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 +     &
                       coupl(nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*    &
                       coupl(nGC_50)**2d0 + coupl(nGC_105)**2d0*coupl(nGC_2))/(&
                       32d0*pi**2d0)
      coupl(nGC_940) = (-4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_4 &
                       )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0 + coupl(   &
                       nGC_4)*coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_4)*coupl(&
                       nGC_98)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi&
                       **2d0)
      coupl(nGC_941) = coupl(nGC_4)*(coupl(nGC_101)*coupl(nGC_102) + coupl(    &
                       nGC_103)**2d0 + coupl(nGC_104)**2d0 + 4d0*coupl(nGC_4)**&
                       2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_942) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4) + coupl(    &
                       nGC_103)**2d0*coupl(nGC_4) + coupl(nGC_104)**2d0*coupl( &
                       nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl&
                       (nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(   &
                       32d0*pi**2d0)
      coupl(nGC_943) = (4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33 &
                       )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_95)**2d0)/(&
                       32d0*pi**2d0)
      coupl(nGC_TS_GC_77_Hl) = -coupl(nGC_77)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1298) = coupl(nGC_758)*dcw_QED2 + coupl(nGC_759)*dvev_QED1 +   &
                        coupl(nGC_760)*dZee_QED2
      coupl(nGC_1299) = coupl(nGC_619)*dcw_QED2 + coupl(nGC_620)*dZee_QED2
      coupl(nGC_1294) = coupl(nGC_738)*dcw_QED2 + coupl(nGC_739)*dsw_QED2 +    &
                        coupl(nGC_740)*dZee_QED2
      coupl(nGC_1295) = coupl(nGC_621)*dcw_QED2 + coupl(nGC_622)*dZee_QED2
      coupl(nGC_1296) = coupl(nGC_623)*dcw_QED2 + coupl(nGC_624)*dZee_QED2 +   &
                        coupl(nGC_625)*da_QED2
      coupl(nGC_1297) = coupl(nGC_626)*dcw_QED2 + coupl(nGC_627)*dZee_QED2 +   &
                        coupl(nGC_628)*da_QED2
      coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1291) = coupl(nGC_747)*dcw_QED2 + coupl(nGC_748)*dsw_QED2 +    &
                        coupl(nGC_749)*dZee_QED2
      coupl(nGC_1292) = coupl(nGC_750)*dcw_QED2 + coupl(nGC_751)*dsw_QED2 +    &
                        coupl(nGC_752)*dZee_QED2 + coupl(nGC_753)*da_QED2
      coupl(nGC_1197) = (40d0*Nc*cima*coupl(nGC_108)**3d0*coupl(nGC_109) + 40d0&
                        *Nc*cima*coupl(nGC_113)**3d0*coupl(nGC_114) + 40d0*Nc* &
                        cima*coupl(nGC_123)**3d0*coupl(nGC_124) + 40d0*Nc*cima*&
                        coupl(nGC_83)**3d0*coupl(nGC_84) + 40d0*Nc*cima*coupl( &
                        nGC_88)**3d0*coupl(nGC_89) + 40d0*Nc*cima*coupl(nGC_93 &
                        )**3d0*coupl(nGC_94) + 40d0*cima*coupl(nGC_103)**3d0*  &
                        coupl(nGC_104) + 40d0*cima*coupl(nGC_118)**3d0*coupl(  &
                        nGC_119) + 12d0*cima*coupl(nGC_28)*coupl(nGC_30) - 5d0*&
                        cima*coupl(nGC_34)**2d0*coupl(nGC_449)*coupl(nGC_451   &
                        ) - 5d0*cima*coupl(nGC_34)*coupl(nGC_451)**2d0*coupl(  &
                        nGC_47) - 5d0*cima*coupl(nGC_35)**2d0*coupl(nGC_425)*  &
                        coupl(nGC_455) - 5d0*cima*coupl(nGC_35)*coupl(nGC_425  &
                        )**2d0*coupl(nGC_46) - 5d0*cima*coupl(nGC_443)**2d0*   &
                        coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*coupl(nGC_443)* &
                        coupl(nGC_447)*coupl(nGC_57)**2d0 + 6d0*cima*coupl(    &
                        nGC_65)*coupl(nGC_66) + 40d0*cima*coupl(nGC_98)**3d0*  &
                        coupl(nGC_99) + 3d0*coupl(nGC_18)*coupl(nGC_34)*coupl( &
                        nGC_451) + 3d0*coupl(nGC_18)*coupl(nGC_35)*coupl(      &
                        nGC_425) + 3d0*coupl(nGC_18)*coupl(nGC_443)*coupl(     &
                        nGC_57) + 2d0*coupl(nGC_20)*coupl(nGC_34)*coupl(nGC_449&
                        ) + 2d0*coupl(nGC_20)*coupl(nGC_35)*coupl(nGC_455) +   &
                        coupl(nGC_20)*coupl(nGC_425)*coupl(nGC_46) + coupl(    &
                        nGC_20)*coupl(nGC_443)*coupl(nGC_61) + 2d0*coupl(nGC_20&
                        )*coupl(nGC_447)*coupl(nGC_57) + coupl(nGC_20)*coupl(  &
                        nGC_451)*coupl(nGC_47) - coupl(nGC_28)*coupl(nGC_34)*  &
                        coupl(nGC_449) - coupl(nGC_28)*coupl(nGC_35)*coupl(    &
                        nGC_455) - 2d0*coupl(nGC_28)*coupl(nGC_425)*coupl(     &
                        nGC_46) - 2d0*coupl(nGC_28)*coupl(nGC_451)*coupl(nGC_47&
                        ) - 3d0*coupl(nGC_30)*coupl(nGC_34)*coupl(nGC_451) -   &
                        3d0*coupl(nGC_30)*coupl(nGC_35)*coupl(nGC_425) - 3d0*  &
                        coupl(nGC_443)*coupl(nGC_57)*coupl(nGC_66) - 2d0*coupl(&
                        nGC_443)*coupl(nGC_61)*coupl(nGC_65) - coupl(nGC_447)* &
                        coupl(nGC_57)*coupl(nGC_65))/(32d0*pi**2d0)
      coupl(nGC_1196) = (-32d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(    &
                        nGC_50)**2d0 + 40d0*Nc*cima*coupl(nGC_106)*coupl(      &
                        nGC_107)*coupl(nGC_50)*coupl(nGC_53) - 32d0*Nc*cima*   &
                        coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_53)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_51)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(&
                        nGC_51)*coupl(nGC_54) - 32d0*Nc*cima*coupl(nGC_111)*   &
                        coupl(nGC_112)*coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_51)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_51)*coupl(&
                        nGC_54) - 32d0*Nc*cima*coupl(nGC_121)*coupl(nGC_122)*  &
                        coupl(nGC_54)**2d0 - 32d0*Nc*cima*coupl(nGC_50)**2d0*  &
                        coupl(nGC_81)*coupl(nGC_82) - 32d0*Nc*cima*coupl(nGC_50&
                        )**2d0*coupl(nGC_91)*coupl(nGC_92) + 40d0*Nc*cima*coupl&
                        (nGC_50)*coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +   &
                        40d0*Nc*cima*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_91)*&
                        coupl(nGC_92) - 32d0*Nc*cima*coupl(nGC_51)**2d0*coupl( &
                        nGC_86)*coupl(nGC_87) + 40d0*Nc*cima*coupl(nGC_51)*    &
                        coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_87) - 32d0*Nc*   &
                        cima*coupl(nGC_53)**2d0*coupl(nGC_81)*coupl(nGC_82) -  &
                        32d0*Nc*cima*coupl(nGC_53)**2d0*coupl(nGC_91)*coupl(   &
                        nGC_92) - 32d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_86 &
                        )*coupl(nGC_87) - 32d0*cima*coupl(nGC_101)*coupl(      &
                        nGC_102)*coupl(nGC_52)**2d0 + 40d0*cima*coupl(nGC_101)*&
                        coupl(nGC_102)*coupl(nGC_52)*coupl(nGC_55) - 32d0*cima*&
                        coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_55)**2d0 - 32d0&
                        *cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52)**2d0 &
                         + 40d0*cima*coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52&
                        )*coupl(nGC_55) - 32d0*cima*coupl(nGC_116)*coupl(      &
                        nGC_117)*coupl(nGC_55)**2d0 + 12d0*cima*coupl(nGC_26)* &
                        coupl(nGC_419) + 9d0*cima*coupl(nGC_32)*coupl(nGC_37)**&
                        2d0*coupl(nGC_427) + 9d0*cima*coupl(nGC_32)*coupl(     &
                        nGC_417)**2d0*coupl(nGC_427) + 4d0*cima*coupl(nGC_32)* &
                        coupl(nGC_427)*coupl(nGC_453)**2d0 + 4d0*cima*coupl(   &
                        nGC_32)*coupl(nGC_427)*coupl(nGC_55)**2d0 + 4d0*cima*  &
                        coupl(nGC_443)**2d0*coupl(nGC_57)**2d0 + 4d0*cima*coupl&
                        (nGC_443)**2d0*coupl(nGC_61)**2d0 + 4d0*cima*coupl(    &
                        nGC_447)**2d0*coupl(nGC_57)**2d0 + 4d0*cima*coupl(     &
                        nGC_447)**2d0*coupl(nGC_61)**2d0 - 32d0*cima*coupl(    &
                        nGC_52)**2d0*coupl(nGC_96)*coupl(nGC_97) + 40d0*cima*  &
                        coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97 &
                        ) - 32d0*cima*coupl(nGC_55)**2d0*coupl(nGC_96)*coupl(  &
                        nGC_97) + 18d0*coupl(nGC_26)*coupl(nGC_37)**2d0 + 18d0*&
                        coupl(nGC_26)*coupl(nGC_417)**2d0 - 6d0*coupl(nGC_32)* &
                        coupl(nGC_37)*coupl(nGC_8) - 6d0*coupl(nGC_32)*coupl(  &
                        nGC_417)*coupl(nGC_7) - 6d0*coupl(nGC_32)*coupl(nGC_419&
                        )*coupl(nGC_427) + 6d0*coupl(nGC_32)*coupl(nGC_427)*   &
                        coupl(nGC_63) - 6d0*coupl(nGC_37)*coupl(nGC_427)*coupl(&
                        nGC_7) - 6d0*coupl(nGC_417)*coupl(nGC_427)*coupl(nGC_8 &
                        ) + 3d0*coupl(nGC_443)*coupl(nGC_57)*coupl(nGC_65) +   &
                        3d0*coupl(nGC_443)*coupl(nGC_61)*coupl(nGC_66) + 3d0*  &
                        coupl(nGC_447)*coupl(nGC_57)*coupl(nGC_66) + 3d0*coupl(&
                        nGC_447)*coupl(nGC_61)*coupl(nGC_67))/(96d0*pi**2d0)
      coupl(nGC_1195) = (20d0*Nc*cima*coupl(nGC_108)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_113)**4d0 + 20d0*Nc*cima*coupl(nGC_123)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_83)**4d0 + 20d0*Nc*cima*coupl(nGC_88&
                        )**4d0 + 20d0*Nc*cima*coupl(nGC_93)**4d0 + 20d0*cima*  &
                        coupl(nGC_103)**4d0 + 20d0*cima*coupl(nGC_118)**4d0 +  &
                        6d0*cima*coupl(nGC_28)**2d0 - 5d0*cima*coupl(nGC_34)** &
                        2d0*coupl(nGC_451)**2d0 - 5d0*cima*coupl(nGC_35)**2d0* &
                        coupl(nGC_425)**2d0 - 5d0*cima*coupl(nGC_443)**2d0*    &
                        coupl(nGC_57)**2d0 + 3d0*cima*coupl(nGC_65)**2d0 + 20d0&
                        *cima*coupl(nGC_98)**4d0 + 3d0*coupl(nGC_20)*coupl(    &
                        nGC_34)*coupl(nGC_451) + 3d0*coupl(nGC_20)*coupl(nGC_35&
                        )*coupl(nGC_425) + 3d0*coupl(nGC_20)*coupl(nGC_443)*   &
                        coupl(nGC_57) - 3d0*coupl(nGC_28)*coupl(nGC_34)*coupl( &
                        nGC_451) - 3d0*coupl(nGC_28)*coupl(nGC_35)*coupl(      &
                        nGC_425) - 3d0*coupl(nGC_443)*coupl(nGC_57)*coupl(     &
                        nGC_65))/(16d0*pi**2d0)
      coupl(nGC_1194) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_109)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_109)**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(&
                        nGC_109)**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(&
                        nGC_114)**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(     &
                        nGC_112)*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_112)**2d0*coupl(nGC_114)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_124)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_124)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_122)**2d0*coupl(nGC_124)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_81)**2d0*coupl(nGC_84)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_84)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_89)**2d0 +   &
                        80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_89  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_94  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl&
                        (nGC_94)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**2d0*coupl( &
                        nGC_94)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*coupl(    &
                        nGC_104)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                        )*coupl(nGC_104)**2d0 + 20d0*cima*coupl(nGC_102)**2d0* &
                        coupl(nGC_104)**2d0 + 20d0*cima*coupl(nGC_116)**2d0*   &
                        coupl(nGC_119)**2d0 + 80d0*cima*coupl(nGC_116)*coupl(  &
                        nGC_117)*coupl(nGC_119)**2d0 + 20d0*cima*coupl(nGC_117 &
                        )**2d0*coupl(nGC_119)**2d0 + 12d0*cima*coupl(nGC_26)*  &
                        coupl(nGC_31) - 5d0*cima*coupl(nGC_32)**2d0*coupl(     &
                        nGC_46)**2d0 - 5d0*cima*coupl(nGC_32)**2d0*coupl(nGC_47&
                        )**2d0 - 20d0*cima*coupl(nGC_32)*coupl(nGC_427)*coupl( &
                        nGC_449)*coupl(nGC_47) - 20d0*cima*coupl(nGC_32)*coupl(&
                        nGC_427)*coupl(nGC_455)*coupl(nGC_46) - 5d0*cima*coupl(&
                        nGC_427)**2d0*coupl(nGC_449)**2d0 - 5d0*cima*coupl(    &
                        nGC_427)**2d0*coupl(nGC_455)**2d0 - 10d0*cima*coupl(   &
                        nGC_443)*coupl(nGC_447)*coupl(nGC_57)*coupl(nGC_61) -  &
                        10d0*cima*coupl(nGC_447)**2d0*coupl(nGC_61)**2d0 + 6d0*&
                        cima*coupl(nGC_64)*coupl(nGC_67) + 20d0*cima*coupl(    &
                        nGC_96)**2d0*coupl(nGC_99)**2d0 + 80d0*cima*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_99)**2d0 + 20d0*cima*  &
                        coupl(nGC_97)**2d0*coupl(nGC_99)**2d0 + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_449)*coupl(nGC_47) + 3d0*coupl(nGC_13&
                        )*coupl(nGC_455)*coupl(nGC_46) + 3d0*coupl(nGC_15)*    &
                        coupl(nGC_447)*coupl(nGC_61) + 6d0*coupl(nGC_18)*coupl(&
                        nGC_443)*coupl(nGC_447) + 6d0*coupl(nGC_18)*coupl(     &
                        nGC_57)*coupl(nGC_61) + 6d0*coupl(nGC_19)*coupl(nGC_32 &
                        )*coupl(nGC_427) + 6d0*coupl(nGC_19)*coupl(nGC_447)**  &
                        2d0 + 6d0*coupl(nGC_19)*coupl(nGC_61)**2d0 + 3d0*coupl(&
                        nGC_21)*coupl(nGC_443)*coupl(nGC_61) + 3d0*coupl(nGC_21&
                        )*coupl(nGC_447)*coupl(nGC_57) + 3d0*coupl(nGC_23)*    &
                        coupl(nGC_447)*coupl(nGC_61) + 3d0*coupl(nGC_25)*coupl(&
                        nGC_443)*coupl(nGC_57) - 3d0*coupl(nGC_26)*coupl(      &
                        nGC_449)*coupl(nGC_47) - 3d0*coupl(nGC_26)*coupl(      &
                        nGC_455)*coupl(nGC_46) - 6d0*coupl(nGC_31)*coupl(nGC_32&
                        )*coupl(nGC_427) - 3d0*coupl(nGC_443)*coupl(nGC_57)*   &
                        coupl(nGC_67) - 3d0*coupl(nGC_447)*coupl(nGC_61)*coupl(&
                        nGC_64) - 3d0*coupl(nGC_447)*coupl(nGC_61)*coupl(nGC_67&
                        ))/(96d0*pi**2d0)
      coupl(nGC_1193) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)*coupl(&
                        nGC_109) + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)* &
                        coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc*cima*coupl(    &
                        nGC_107)**2d0*coupl(nGC_108)*coupl(nGC_109) + 20d0*Nc* &
                        cima*coupl(nGC_111)**2d0*coupl(nGC_113)*coupl(nGC_114  &
                        ) + 80d0*Nc*cima*coupl(nGC_111)*coupl(nGC_112)*coupl(  &
                        nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(nGC_112)**&
                        2d0*coupl(nGC_113)*coupl(nGC_114) + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_123)*coupl(nGC_124) + 80d0*Nc* &
                        cima*coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_123)*coupl&
                        (nGC_124) + 20d0*Nc*cima*coupl(nGC_122)**2d0*coupl(    &
                        nGC_123)*coupl(nGC_124) + 20d0*Nc*cima*coupl(nGC_81)** &
                        2d0*coupl(nGC_83)*coupl(nGC_84) + 80d0*Nc*cima*coupl(  &
                        nGC_81)*coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) +    &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_83)*coupl(   &
                        nGC_84) + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88 &
                        )*coupl(nGC_89) + 80d0*Nc*cima*coupl(nGC_86)*coupl(    &
                        nGC_87)*coupl(nGC_88)*coupl(nGC_89) + 20d0*Nc*cima*    &
                        coupl(nGC_87)**2d0*coupl(nGC_88)*coupl(nGC_89) + 20d0* &
                        Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93)*coupl(nGC_94  &
                        ) + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl(    &
                        nGC_93)*coupl(nGC_94) + 20d0*Nc*cima*coupl(nGC_92)**2d0&
                        *coupl(nGC_93)*coupl(nGC_94) + 20d0*cima*coupl(nGC_101 &
                        )**2d0*coupl(nGC_103)*coupl(nGC_104) + 80d0*cima*coupl(&
                        nGC_101)*coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_104   &
                        ) + 20d0*cima*coupl(nGC_102)**2d0*coupl(nGC_103)*coupl(&
                        nGC_104) + 20d0*cima*coupl(nGC_116)**2d0*coupl(nGC_118 &
                        )*coupl(nGC_119) + 80d0*cima*coupl(nGC_116)*coupl(     &
                        nGC_117)*coupl(nGC_118)*coupl(nGC_119) + 20d0*cima*    &
                        coupl(nGC_117)**2d0*coupl(nGC_118)*coupl(nGC_119) +    &
                        12d0*cima*coupl(nGC_26)*coupl(nGC_30) - 5d0*cima*coupl(&
                        nGC_32)**2d0*coupl(nGC_34)*coupl(nGC_47) - 5d0*cima*   &
                        coupl(nGC_32)**2d0*coupl(nGC_35)*coupl(nGC_46) - 10d0* &
                        cima*coupl(nGC_32)*coupl(nGC_34)*coupl(nGC_427)*coupl( &
                        nGC_449) - 10d0*cima*coupl(nGC_32)*coupl(nGC_35)*coupl(&
                        nGC_427)*coupl(nGC_455) - 10d0*cima*coupl(nGC_32)*coupl&
                        (nGC_425)*coupl(nGC_427)*coupl(nGC_46) - 10d0*cima*    &
                        coupl(nGC_32)*coupl(nGC_427)*coupl(nGC_451)*coupl(     &
                        nGC_47) - 5d0*cima*coupl(nGC_425)*coupl(nGC_427)**2d0* &
                        coupl(nGC_455) - 5d0*cima*coupl(nGC_427)**2d0*coupl(   &
                        nGC_449)*coupl(nGC_451) - 5d0*cima*coupl(nGC_443)**2d0*&
                        coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*coupl(nGC_443)* &
                        coupl(nGC_447)*coupl(nGC_57)**2d0 - 5d0*cima*coupl(    &
                        nGC_443)*coupl(nGC_447)*coupl(nGC_61)**2d0 - 5d0*cima* &
                        coupl(nGC_447)**2d0*coupl(nGC_57)*coupl(nGC_61) + 6d0* &
                        cima*coupl(nGC_64)*coupl(nGC_66) + 20d0*cima*coupl(    &
                        nGC_96)**2d0*coupl(nGC_98)*coupl(nGC_99) + 80d0*cima*  &
                        coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_98)*coupl(nGC_99 &
                        ) + 20d0*cima*coupl(nGC_97)**2d0*coupl(nGC_98)*coupl(  &
                        nGC_99) + 3d0*coupl(nGC_13)*coupl(nGC_34)*coupl(nGC_449&
                        ) + 3d0*coupl(nGC_13)*coupl(nGC_35)*coupl(nGC_455) +   &
                        3d0*coupl(nGC_15)*coupl(nGC_447)*coupl(nGC_57) + 6d0*  &
                        coupl(nGC_18)*coupl(nGC_32)*coupl(nGC_427) + 3d0*coupl(&
                        nGC_18)*coupl(nGC_443)**2d0 + 3d0*coupl(nGC_18)*coupl( &
                        nGC_447)**2d0 + 3d0*coupl(nGC_18)*coupl(nGC_57)**2d0 + &
                        3d0*coupl(nGC_18)*coupl(nGC_61)**2d0 + 3d0*coupl(nGC_19&
                        )*coupl(nGC_443)*coupl(nGC_447) + 3d0*coupl(nGC_19)*   &
                        coupl(nGC_57)*coupl(nGC_61) + 3d0*coupl(nGC_20)*coupl( &
                        nGC_443)*coupl(nGC_447) + 3d0*coupl(nGC_20)*coupl(     &
                        nGC_57)*coupl(nGC_61) + 3d0*coupl(nGC_21)*coupl(nGC_447&
                        )*coupl(nGC_61) + 3d0*coupl(nGC_22)*coupl(nGC_443)*    &
                        coupl(nGC_57) + 3d0*coupl(nGC_25)*coupl(nGC_443)*coupl(&
                        nGC_61) + 3d0*coupl(nGC_25)*coupl(nGC_447)*coupl(nGC_57&
                        ) - 3d0*coupl(nGC_26)*coupl(nGC_425)*coupl(nGC_46) -   &
                        3d0*coupl(nGC_26)*coupl(nGC_451)*coupl(nGC_47) - 6d0*  &
                        coupl(nGC_30)*coupl(nGC_32)*coupl(nGC_427) - 3d0*coupl(&
                        nGC_443)*coupl(nGC_57)*coupl(nGC_66) - 3d0*coupl(      &
                        nGC_443)*coupl(nGC_61)*coupl(nGC_64) - 3d0*coupl(      &
                        nGC_447)*coupl(nGC_61)*coupl(nGC_66))/(96d0*pi**2d0)
      coupl(nGC_1192) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_108)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(   &
                        nGC_108)**2d0 + 20d0*Nc*cima*coupl(nGC_107)**2d0*coupl(&
                        nGC_108)**2d0 + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(&
                        nGC_113)**2d0 + 80d0*Nc*cima*coupl(nGC_111)*coupl(     &
                        nGC_112)*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_112)**2d0*coupl(nGC_113)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_121)**2d0*coupl(nGC_123)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_121)*coupl(nGC_122)*coupl(nGC_123)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_122)**2d0*coupl(nGC_123)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_81)**2d0*coupl(nGC_83)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 +   &
                        20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 +   &
                        80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_88  &
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_93  &
                        )**2d0 + 80d0*Nc*cima*coupl(nGC_91)*coupl(nGC_92)*coupl&
                        (nGC_93)**2d0 + 20d0*Nc*cima*coupl(nGC_92)**2d0*coupl( &
                        nGC_93)**2d0 + 20d0*cima*coupl(nGC_101)**2d0*coupl(    &
                        nGC_103)**2d0 + 80d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                        )*coupl(nGC_103)**2d0 + 20d0*cima*coupl(nGC_102)**2d0* &
                        coupl(nGC_103)**2d0 + 20d0*cima*coupl(nGC_116)**2d0*   &
                        coupl(nGC_118)**2d0 + 80d0*cima*coupl(nGC_116)*coupl(  &
                        nGC_117)*coupl(nGC_118)**2d0 + 20d0*cima*coupl(nGC_117 &
                        )**2d0*coupl(nGC_118)**2d0 + 12d0*cima*coupl(nGC_26)*  &
                        coupl(nGC_28) - 5d0*cima*coupl(nGC_32)**2d0*coupl(     &
                        nGC_34)**2d0 - 5d0*cima*coupl(nGC_32)**2d0*coupl(nGC_35&
                        )**2d0 - 20d0*cima*coupl(nGC_32)*coupl(nGC_34)*coupl(  &
                        nGC_427)*coupl(nGC_451) - 20d0*cima*coupl(nGC_32)*coupl&
                        (nGC_35)*coupl(nGC_425)*coupl(nGC_427) - 5d0*cima*coupl&
                        (nGC_425)**2d0*coupl(nGC_427)**2d0 - 5d0*cima*coupl(   &
                        nGC_427)**2d0*coupl(nGC_451)**2d0 - 10d0*cima*coupl(   &
                        nGC_443)**2d0*coupl(nGC_57)**2d0 - 10d0*cima*coupl(    &
                        nGC_443)*coupl(nGC_447)*coupl(nGC_57)*coupl(nGC_61) +  &
                        6d0*cima*coupl(nGC_64)*coupl(nGC_65) + 20d0*cima*coupl(&
                        nGC_96)**2d0*coupl(nGC_98)**2d0 + 80d0*cima*coupl(     &
                        nGC_96)*coupl(nGC_97)*coupl(nGC_98)**2d0 + 20d0*cima*  &
                        coupl(nGC_97)**2d0*coupl(nGC_98)**2d0 + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_34)*coupl(nGC_451) + 3d0*coupl(nGC_13&
                        )*coupl(nGC_35)*coupl(nGC_425) + 3d0*coupl(nGC_15)*    &
                        coupl(nGC_443)*coupl(nGC_57) + 6d0*coupl(nGC_18)*coupl(&
                        nGC_443)*coupl(nGC_447) + 6d0*coupl(nGC_18)*coupl(     &
                        nGC_57)*coupl(nGC_61) + 6d0*coupl(nGC_20)*coupl(nGC_32 &
                        )*coupl(nGC_427) + 6d0*coupl(nGC_20)*coupl(nGC_443)**  &
                        2d0 + 6d0*coupl(nGC_20)*coupl(nGC_57)**2d0 + 3d0*coupl(&
                        nGC_22)*coupl(nGC_443)*coupl(nGC_61) + 3d0*coupl(nGC_22&
                        )*coupl(nGC_447)*coupl(nGC_57) + 3d0*coupl(nGC_24)*    &
                        coupl(nGC_443)*coupl(nGC_57) + 3d0*coupl(nGC_25)*coupl(&
                        nGC_447)*coupl(nGC_61) - 3d0*coupl(nGC_26)*coupl(nGC_34&
                        )*coupl(nGC_451) - 3d0*coupl(nGC_26)*coupl(nGC_35)*    &
                        coupl(nGC_425) - 6d0*coupl(nGC_28)*coupl(nGC_32)*coupl(&
                        nGC_427) - 3d0*coupl(nGC_443)*coupl(nGC_57)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_443)*coupl(nGC_57)*coupl(nGC_65&
                        ) - 3d0*coupl(nGC_447)*coupl(nGC_61)*coupl(nGC_65))/(  &
                        96d0*pi**2d0)
      coupl(nGC_1058) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_47)*coupl(nGC_80) - coupl(nGC_447)*coupl(nGC_50)*  &
                        coupl(nGC_81) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_84) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1059) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1056) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_84) + 8d0*Nc*&
                        cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_84) - 8d0*Nc*&
                        cMB*coupl(nGC_53)**2d0*coupl(nGC_84) - 8d0*Nc*cMC*coupl&
                        (nGC_51)**2d0*coupl(nGC_89) + 8d0*Nc*cMC*coupl(nGC_51)*&
                        coupl(nGC_54)*coupl(nGC_89) - 8d0*Nc*cMC*coupl(nGC_54  &
                        )**2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*  &
                        coupl(nGC_94) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*&
                        coupl(nGC_94) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(   &
                        nGC_94) - 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)**2d0 &
                         + 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53&
                        ) - 8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_53)**2d0 - 8d0*&
                        Nc*cMT*coupl(nGC_114)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT* &
                        coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT&
                        *coupl(nGC_114)*coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl( &
                        nGC_124)*coupl(nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_124 &
                        )*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMU*coupl(      &
                        nGC_124)*coupl(nGC_54)**2d0 - 8d0*cME*coupl(nGC_52)**  &
                        2d0*coupl(nGC_99) + 8d0*cME*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_99) - 8d0*cME*coupl(nGC_55)**2d0*coupl(    &
                        nGC_99) - 8d0*cMM*coupl(nGC_104)*coupl(nGC_52)**2d0 +  &
                        8d0*cMM*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55) -   &
                        8d0*cMM*coupl(nGC_104)*coupl(nGC_55)**2d0 - 8d0*cMTA*  &
                        coupl(nGC_119)*coupl(nGC_52)**2d0 + 8d0*cMTA*coupl(    &
                        nGC_119)*coupl(nGC_52)*coupl(nGC_55) - 8d0*cMTA*coupl( &
                        nGC_119)*coupl(nGC_55)**2d0 + 4d0*cima*coupl(nGC_419)* &
                        coupl(nGC_70) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_70) - &
                        coupl(nGC_37)*coupl(nGC_455)*coupl(nGC_68) - coupl(    &
                        nGC_37)*coupl(nGC_46)*coupl(nGC_68) + 6d0*coupl(nGC_417&
                        )**2d0*coupl(nGC_70) - coupl(nGC_417)*coupl(nGC_449)*  &
                        coupl(nGC_68) - coupl(nGC_417)*coupl(nGC_47)*coupl(    &
                        nGC_68))/(32d0*pi**2d0)
      coupl(nGC_1057) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)* &
                        coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_449)*coupl(nGC_80) - coupl(nGC_447)*coupl(nGC_53)* &
                        coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_84) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0* &
                        coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1054) = 3d0*(8d0*Nc*cMB*coupl(nGC_84)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_89)**3d0 + 8d0*Nc*cMD*coupl(nGC_94)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_109)**3d0 + 8d0*Nc*cMT*coupl(nGC_114)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_124)**3d0 + 8d0*cME*coupl(  &
                        nGC_99)**3d0 + 8d0*cMM*coupl(nGC_104)**3d0 + 8d0*cMTA* &
                        coupl(nGC_119)**3d0 + 4d0*cima*coupl(nGC_31)*coupl(    &
                        nGC_70) + 2d0*cima*coupl(nGC_67)*coupl(nGC_73) - coupl(&
                        nGC_447)*coupl(nGC_61)*coupl(nGC_73) + coupl(nGC_447)* &
                        coupl(nGC_61)*coupl(nGC_74) - coupl(nGC_449)*coupl(    &
                        nGC_47)*coupl(nGC_70) + coupl(nGC_449)*coupl(nGC_47)*  &
                        coupl(nGC_74) - coupl(nGC_455)*coupl(nGC_46)*coupl(    &
                        nGC_70) + coupl(nGC_455)*coupl(nGC_46)*coupl(nGC_74))/(&
                        32d0*pi**2d0)
      coupl(nGC_1055) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_84) - 4d0*Nc*&
                        cMC*coupl(nGC_33)**2d0*coupl(nGC_89) - 4d0*Nc*cMD*coupl&
                        (nGC_33)**2d0*coupl(nGC_94) - 4d0*Nc*cMS*coupl(nGC_109 &
                        )*coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_114)*coupl(&
                        nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_33  &
                        )**2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_99) - 4d0&
                        *cMM*coupl(nGC_104)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl&
                        (nGC_119)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_27)* &
                        coupl(nGC_70) + 2d0*cima*coupl(nGC_419)*coupl(nGC_73   &
                        ) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_73) + 6d0*coupl(  &
                        nGC_417)**2d0*coupl(nGC_70) - coupl(nGC_417)*coupl(    &
                        nGC_455)*coupl(nGC_68) - coupl(nGC_417)*coupl(nGC_46)* &
                        coupl(nGC_68) + 6d0*coupl(nGC_429)**2d0*coupl(nGC_70   &
                        ) - coupl(nGC_429)*coupl(nGC_455)*coupl(nGC_71) - coupl&
                        (nGC_429)*coupl(nGC_46)*coupl(nGC_71))/(32d0*pi**2d0)
      coupl(nGC_1052) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_35) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_122)**&
                        2d0*coupl(nGC_123) - coupl(nGC_122)*coupl(nGC_443)*    &
                        coupl(nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1053) = coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1050) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_35) - coupl(   &
                        nGC_117)**2d0*coupl(nGC_118) + coupl(nGC_117)*coupl(   &
                        nGC_443)*coupl(nGC_52) + coupl(nGC_117)*coupl(nGC_55)* &
                        coupl(nGC_57) - coupl(nGC_118)**3d0 - coupl(nGC_118)*  &
                        coupl(nGC_119)**2d0 + 8d0*coupl(nGC_118)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1051) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_425) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_93) - coupl(nGC_121)**&
                        2d0*coupl(nGC_123) - coupl(nGC_121)*coupl(nGC_443)*    &
                        coupl(nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_123)**3d0 - coupl(nGC_123)*coupl(  &
                        nGC_124)**2d0 + 8d0*coupl(nGC_123)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1190) = (20d0*Nc*cima*coupl(nGC_106)**2d0*coupl(nGC_107)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_111)**2d0*coupl(nGC_112)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_121)**2d0*coupl(nGC_122)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_81)**2d0*coupl(nGC_82)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_87)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_91)**2d0*coupl(nGC_92)**2d0  &
                         + 20d0*cima*coupl(nGC_101)**2d0*coupl(nGC_102)**2d0 + &
                        20d0*cima*coupl(nGC_116)**2d0*coupl(nGC_117)**2d0 + 6d0&
                        *cima*coupl(nGC_26)**2d0 - 10d0*cima*coupl(nGC_32)**2d0&
                        *coupl(nGC_427)**2d0 - 5d0*cima*coupl(nGC_443)**2d0*   &
                        coupl(nGC_57)**2d0 - 10d0*cima*coupl(nGC_443)*coupl(   &
                        nGC_447)*coupl(nGC_57)*coupl(nGC_61) - 5d0*cima*coupl( &
                        nGC_447)**2d0*coupl(nGC_61)**2d0 + 3d0*cima*coupl(     &
                        nGC_64)**2d0 + 20d0*cima*coupl(nGC_96)**2d0*coupl(     &
                        nGC_97)**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_32)*coupl(  &
                        nGC_427) + 3d0*coupl(nGC_18)*coupl(nGC_443)*coupl(     &
                        nGC_61) + 3d0*coupl(nGC_18)*coupl(nGC_447)*coupl(nGC_57&
                        ) + 3d0*coupl(nGC_19)*coupl(nGC_447)*coupl(nGC_61) +   &
                        3d0*coupl(nGC_20)*coupl(nGC_443)*coupl(nGC_57) - 6d0*  &
                        coupl(nGC_26)*coupl(nGC_32)*coupl(nGC_427) - 3d0*coupl(&
                        nGC_443)*coupl(nGC_57)*coupl(nGC_64) - 3d0*coupl(      &
                        nGC_447)*coupl(nGC_61)*coupl(nGC_64))/(16d0*pi**2d0)
      coupl(nGC_1488) = coupl(nGC_1401) + coupl(nGC_60)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_62)*dZHl_QED2/2d0
      coupl(nGC_1629) = coupl(nGC_109)*dZsL_QCD2/2d0 + coupl(nGC_109)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1350)
      coupl(nGC_1628) = coupl(nGC_108)*dZHhHl_QED2/2d0 + coupl(nGC_109)*       &
                        dZHl_QED2/2d0 + coupl(nGC_109)*dZsL_QED2/2d0 + coupl(  &
                        nGC_109)*dZsR_QED2/2d0 + coupl(nGC_1349)
      coupl(nGC_1221) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_108)*coupl&
                        (nGC_109) - coupl(nGC_113)*coupl(nGC_114) - coupl(     &
                        nGC_123)*coupl(nGC_124) - coupl(nGC_83)*coupl(nGC_84   &
                        ) - coupl(nGC_88)*coupl(nGC_89) - coupl(nGC_93)*coupl( &
                        nGC_94))/(16d0*pi**2d0)
      coupl(nGC_898) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_899) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1225) = (3d0*Nc*cima*coupl(nGC_50)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_51)**4d0 + 3d0*Nc*cima*coupl(nGC_53)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_54)**4d0 - 10d0*cima*coupl(nGC_37)**4d0 &
                         - 10d0*cima*coupl(nGC_417)**4d0 + 3d0*cima*coupl(     &
                        nGC_419)**2d0 + 3d0*cima*coupl(nGC_52)**4d0 + 3d0*cima*&
                        coupl(nGC_55)**4d0 + 3d0*cima*coupl(nGC_56)**4d0 + 3d0*&
                        coupl(nGC_29)*coupl(nGC_37)**2d0 + 3d0*coupl(nGC_29)*  &
                        coupl(nGC_417)**2d0 + 9d0*coupl(nGC_37)**2d0*coupl(    &
                        nGC_419) + 9d0*coupl(nGC_417)**2d0*coupl(nGC_419))/(   &
                        24d0*pi**2d0)
      coupl(nGC_1224) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_109)**2d0  &
                         + coupl(nGC_114)**2d0 + coupl(nGC_124)**2d0 + coupl(  &
                        nGC_84)**2d0 + coupl(nGC_89)**2d0 + coupl(nGC_94)**2d0 &
                        )/(16d0*pi**2d0*Nc)
      coupl(nGC_892) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_893) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_33)**2d0 - coupl(  &
                       nGC_53)**2d0)/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
