!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_890) = cima*(coupl(nGC_37)**2d0 + coupl(nGC_417)**2d0)/(48d0*pi&
                       **2d0)
      coupl(nGC_891) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMB** &
                       2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl&
                       (nGC_51)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_54)**2d0 &
                        + 2d0*Nc*cMD**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMD &
                       **2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMS**2d0*cima*   &
                       coupl(nGC_50)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_53  &
                       )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_51)**2d0 + 2d0* &
                       Nc*cMT**2d0*cima*coupl(nGC_54)**2d0 + 2d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_51)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                       nGC_54)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_52)**2d0 +   &
                       2d0*cME**2d0*cima*coupl(nGC_55)**2d0 + 2d0*cMM**2d0*cima&
                       *coupl(nGC_52)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_55)** &
                       2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_52)**2d0 + 2d0*cMTA**&
                       2d0*cima*coupl(nGC_55)**2d0 + 3d0*cMW**2d0*cima*coupl(  &
                       nGC_37)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_417)**2d0 -  &
                       2d0*cMW**2d0*coupl(nGC_419))/(16d0*pi**2d0)
      coupl(nGC_896) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_897) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl(  &
                       nGC_54)**2d0)/(16d0*pi**2d0)
      coupl(nGC_894) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_895) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_113_Hh) = -coupl(nGC_113)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1733) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_1732) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_1731) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_50)*dZZA_QED2/2d0
      coupl(nGC_1730) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_1737) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1736) = coupl(nGC_1472) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1735) = coupl(nGC_1471) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_88_Hh) + coupl(&
                        nGC_TS_GC_89_Hl)
      coupl(nGC_1734) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1738) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1623) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1355)
      coupl(nGC_1622) = coupl(nGC_1303) + coupl(nGC_65)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_66)*dZHh_QED2/2d0 + coupl(nGC_66)*dZHl_QED2/2d0 + &
                        coupl(nGC_66)*dZZ_QED2 + coupl(nGC_67)*dZHlHh_QED2/2d0
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1830) = -coupl(nGC_1483) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_34_Hh) + coupl(nGC_TS_GC_47_Hl)
      coupl(nGC_TS_GC_114_Hl) = -coupl(nGC_114)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1126) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_120)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_91)*coupl(nGC_92) - coupl(    &
                        nGC_93)**2d0 - coupl(nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1127) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_90)**2d0 - coupl(nGC_91)*coupl&
                        (nGC_92) - coupl(nGC_93)**2d0 - coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1125) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_90)**2d0 + coupl(nGC_91)*coupl&
                        (nGC_92) + coupl(nGC_93)**2d0 + coupl(nGC_94)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1089) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_110)**&
                        2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(      &
                        nGC_417) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl&
                        (nGC_50)*coupl(nGC_81)*coupl(nGC_82) + coupl(nGC_50)*  &
                        coupl(nGC_83)**2d0 + coupl(nGC_50)*coupl(nGC_84)**2d0  &
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1088) = coupl(nGC_33)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_37)*coupl(nGC_55) - coupl(nGC_417)*coupl(nGC_56) + &
                        coupl(nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_1120) = -coupl(nGC_11)*sq2*(coupl(nGC_105)**2d0 + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_54&
                        )**2d0 + coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_88)** &
                        2d0 + coupl(nGC_89)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1121) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_51)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl&
                        (nGC_87) + coupl(nGC_88)**2d0 + coupl(nGC_89)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1085) = coupl(nGC_11)**2d0*coupl(nGC_33)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1084) = coupl(nGC_33)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1 &
                        )*coupl(nGC_429) + coupl(nGC_2)*coupl(nGC_3) + coupl(  &
                        nGC_37)*coupl(nGC_54) + coupl(nGC_417)*coupl(nGC_53) + &
                        coupl(nGC_53)*coupl(nGC_54))/(8d0*pi**2d0)
      coupl(nGC_1087) = coupl(nGC_33)*(coupl(nGC_37)*coupl(nGC_56) + coupl(    &
                        nGC_4)*coupl(nGC_429) + coupl(nGC_417)*coupl(nGC_55) + &
                        coupl(nGC_55)*coupl(nGC_56))/(8d0*pi**2d0)
      coupl(nGC_1086) = coupl(nGC_33)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_429) - coupl(  &
                        nGC_37)*coupl(nGC_53) - coupl(nGC_417)*coupl(nGC_54) + &
                        coupl(nGC_53)*coupl(nGC_54))/(8d0*pi**2d0)
      coupl(nGC_1081) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_46) - coupl(  &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_122)**&
                        2d0*coupl(nGC_124) - coupl(nGC_122)*coupl(nGC_447)*    &
                        coupl(nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(    &
                        nGC_61) - coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(  &
                        nGC_124)**3d0 + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1080) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_455) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_121)**&
                        2d0*coupl(nGC_124) - coupl(nGC_121)*coupl(nGC_447)*    &
                        coupl(nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(    &
                        nGC_61) - coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(  &
                        nGC_124)**3d0 + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0* &
                        pi**2d0)
      coupl(nGC_1083) = (12d0*Nc*coupl(nGC_33)**2d0*coupl(nGC_53) - 12d0*Nc*   &
                        coupl(nGC_33)**2d0*coupl(nGC_54) + 12d0*coupl(nGC_33)**&
                        2d0*coupl(nGC_55) - 12d0*coupl(nGC_33)**2d0*coupl(     &
                        nGC_56) - 11d0*coupl(nGC_37)*coupl(nGC_417)**2d0 - 11d0&
                        *coupl(nGC_37)*coupl(nGC_429)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1129) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_105)**2d0 - coupl(nGC_106)*coupl(nGC_107) - coupl( &
                        nGC_108)**2d0 - coupl(nGC_109)**2d0 - 4d0*coupl(nGC_50 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1549) = -2d0*coupl(nGC_1255) - 2d0*coupl(nGC_29)*dZWMinus_QED2 &
                         - 2d0*coupl(nGC_29)*dZZ_QED2 + coupl(nGC_41)*dZAZ_QED2
      coupl(nGC_1649) = coupl(nGC_11)*dZtL_QED2
      coupl(nGC_1647) = coupl(nGC_57)*dZZA_QED2/2d0
      coupl(nGC_1646) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1645) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZuR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_1644) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1643) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZuL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_1642) = coupl(nGC_123)*dZuL_QCD2/2d0 + coupl(nGC_123)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1381)
      coupl(nGC_1640) = coupl(nGC_1284) + coupl(nGC_34)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_47)*dZHl_QED2/2d0 + coupl(nGC_47)*dZWMinus_QED2/  &
                        2d0
      coupl(nGC_TS_GC_84_Hl) = -coupl(nGC_84)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1199) = (120d0*Nc*cima*coupl(nGC_108)**2d0*coupl(nGC_109)**2d0 &
                         + 120d0*Nc*cima*coupl(nGC_113)**2d0*coupl(nGC_114)**  &
                        2d0 + 120d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_124  &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_83)**2d0*coupl(nGC_84 &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_88)**2d0*coupl(nGC_89 &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_93)**2d0*coupl(nGC_94 &
                        )**2d0 + 120d0*cima*coupl(nGC_103)**2d0*coupl(nGC_104  &
                        )**2d0 + 120d0*cima*coupl(nGC_118)**2d0*coupl(nGC_119  &
                        )**2d0 + 12d0*cima*coupl(nGC_28)*coupl(nGC_31) + 24d0* &
                        cima*coupl(nGC_30)**2d0 - 5d0*cima*coupl(nGC_34)**2d0* &
                        coupl(nGC_449)**2d0 - 20d0*cima*coupl(nGC_34)*coupl(   &
                        nGC_449)*coupl(nGC_451)*coupl(nGC_47) - 5d0*cima*coupl(&
                        nGC_35)**2d0*coupl(nGC_455)**2d0 - 20d0*cima*coupl(    &
                        nGC_35)*coupl(nGC_425)*coupl(nGC_455)*coupl(nGC_46) -  &
                        5d0*cima*coupl(nGC_425)**2d0*coupl(nGC_46)**2d0 - 5d0* &
                        cima*coupl(nGC_443)**2d0*coupl(nGC_61)**2d0 - 20d0*cima&
                        *coupl(nGC_443)*coupl(nGC_447)*coupl(nGC_57)*coupl(    &
                        nGC_61) - 5d0*cima*coupl(nGC_447)**2d0*coupl(nGC_57)** &
                        2d0 - 5d0*cima*coupl(nGC_451)**2d0*coupl(nGC_47)**2d0  &
                         + 6d0*cima*coupl(nGC_65)*coupl(nGC_67) + 12d0*cima*   &
                        coupl(nGC_66)**2d0 + 120d0*cima*coupl(nGC_98)**2d0*    &
                        coupl(nGC_99)**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_34)*  &
                        coupl(nGC_449) + 6d0*coupl(nGC_18)*coupl(nGC_35)*coupl(&
                        nGC_455) + 6d0*coupl(nGC_18)*coupl(nGC_425)*coupl(     &
                        nGC_46) + 6d0*coupl(nGC_18)*coupl(nGC_443)*coupl(nGC_61&
                        ) + 6d0*coupl(nGC_18)*coupl(nGC_447)*coupl(nGC_57) +   &
                        6d0*coupl(nGC_18)*coupl(nGC_451)*coupl(nGC_47) + 3d0*  &
                        coupl(nGC_19)*coupl(nGC_34)*coupl(nGC_451) + 3d0*coupl(&
                        nGC_19)*coupl(nGC_35)*coupl(nGC_425) + 3d0*coupl(nGC_19&
                        )*coupl(nGC_443)*coupl(nGC_57) + 3d0*coupl(nGC_20)*    &
                        coupl(nGC_447)*coupl(nGC_61) + 3d0*coupl(nGC_20)*coupl(&
                        nGC_449)*coupl(nGC_47) + 3d0*coupl(nGC_20)*coupl(      &
                        nGC_455)*coupl(nGC_46) - 3d0*coupl(nGC_28)*coupl(      &
                        nGC_449)*coupl(nGC_47) - 3d0*coupl(nGC_28)*coupl(      &
                        nGC_455)*coupl(nGC_46) - 6d0*coupl(nGC_30)*coupl(nGC_34&
                        )*coupl(nGC_449) - 6d0*coupl(nGC_30)*coupl(nGC_35)*    &
                        coupl(nGC_455) - 6d0*coupl(nGC_30)*coupl(nGC_425)*coupl&
                        (nGC_46) - 6d0*coupl(nGC_30)*coupl(nGC_451)*coupl(     &
                        nGC_47) - 3d0*coupl(nGC_31)*coupl(nGC_34)*coupl(nGC_451&
                        ) - 3d0*coupl(nGC_31)*coupl(nGC_35)*coupl(nGC_425) -   &
                        3d0*coupl(nGC_443)*coupl(nGC_57)*coupl(nGC_67) - 6d0*  &
                        coupl(nGC_443)*coupl(nGC_61)*coupl(nGC_66) - 6d0*coupl(&
                        nGC_447)*coupl(nGC_57)*coupl(nGC_66) - 3d0*coupl(      &
                        nGC_447)*coupl(nGC_61)*coupl(nGC_65))/(96d0*pi**2d0)
      coupl(nGC_1399) = coupl(nGC_710)*dsw_QED2 + coupl(nGC_711)*dZee_QED2 +   &
                        coupl(nGC_712)*dMZ2_QED2
      coupl(nGC_1398) = coupl(nGC_703)*dsw_QED2 + coupl(nGC_704)*dZee_QED2 +   &
                        coupl(nGC_705)*dMW2_QED2
      coupl(nGC_1010) = coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1011) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_106) - coupl(nGC_105)*&
                        coupl(nGC_33)*coupl(nGC_427) - coupl(nGC_105)*coupl(   &
                        nGC_85)*coupl(nGC_86) - coupl(nGC_106)**2d0*coupl(     &
                        nGC_107) + 8d0*coupl(nGC_106)*coupl(nGC_50)*coupl(     &
                        nGC_53) - coupl(nGC_107)*coupl(nGC_108)**2d0 - coupl(  &
                        nGC_107)*coupl(nGC_109)**2d0 - coupl(nGC_108)*coupl(   &
                        nGC_443)*coupl(nGC_53) - coupl(nGC_108)*coupl(nGC_50)* &
                        coupl(nGC_57) - coupl(nGC_109)*coupl(nGC_447)*coupl(   &
                        nGC_53) - coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1540) = coupl(nGC_1353) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +   &
                        coupl(nGC_95)*dZnu_eL_QED2/2d0
      coupl(nGC_1541) = coupl(nGC_1395) + coupl(nGC_44)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_49)*dZHl_QED2/2d0
      coupl(nGC_1014) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1543) = coupl(nGC_1312) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZZ_QED2/2d0 + coupl(nGC_54)*dZcL_QED2
      coupl(nGC_1390) = coupl(nGC_281)*dyt_QED3 + coupl(nGC_283)*da_QED2
      coupl(nGC_1393) = coupl(nGC_700)*dsw_QED2 + coupl(nGC_701)*dZee_QED2 +   &
                        coupl(nGC_702)*dMW2_QED2
      coupl(nGC_1392) = coupl(nGC_617)*dZee_QED2 + coupl(nGC_618)*dMW2_QED2
      coupl(nGC_1548) = coupl(nGC_1255) + coupl(nGC_29)*dZWMinus_QED2 + coupl( &
                        nGC_29)*dZZ_QED2 - coupl(nGC_41)*dZAZ_QED2/2d0
      coupl(nGC_1394) = coupl(nGC_706)*dsw_QED2 + coupl(nGC_707)*dZee_QED2 +   &
                        coupl(nGC_708)*dMW2_QED2 + coupl(nGC_709)*da_QED2
      coupl(nGC_1396) = coupl(nGC_754)*dcw_QED2 + coupl(nGC_755)*dsw_QED2 +    &
                        coupl(nGC_756)*dZee_QED2 + coupl(nGC_757)*dMW2_QED2
      coupl(nGC_1012) = coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1545) = coupl(nGC_1311) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZcR_QED2
      coupl(nGC_1496) = coupl(nGC_1276) + coupl(nGC_40)*dZA_QED2/2d0 + coupl(  &
                        nGC_40)*dZHh_QED2/2d0 + coupl(nGC_40)*dZWMinus_QED2/2d0&
                         + coupl(nGC_48)*dZHlHh_QED2/2d0 + coupl(nGC_9)*       &
                        dZZA_QED2/2d0
      coupl(nGC_1497) = coupl(nGC_1295) + coupl(nGC_39)*dZAZ_QED2/2d0 + coupl( &
                        nGC_8)*dZWMinus_QED2/2d0 + coupl(nGC_8)*dZZ_QED2/2d0
      coupl(nGC_1494) = -coupl(nGC_1254)/2d0 + coupl(nGC_29)*dZZA_QED2/2d0 -   &
                        coupl(nGC_41)*dZA_QED2/4d0 - coupl(nGC_41)*            &
                        dZWMinus_QED2/2d0 - coupl(nGC_41)*dZZ_QED2/4d0 + coupl(&
                        nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_1495) = coupl(nGC_1254) - coupl(nGC_29)*dZZA_QED2 + coupl(     &
                        nGC_41)*dZA_QED2/2d0 + coupl(nGC_41)*dZWMinus_QED2 +   &
                        coupl(nGC_41)*dZZ_QED2/2d0 - coupl(nGC_5)*dZAZ_QED2
      coupl(nGC_1492) = coupl(nGC_1356) + coupl(nGC_96)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_96)*dZeMinusR_QED2/2d0
      coupl(nGC_1493) = coupl(nGC_1357) + coupl(nGC_97)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_97)*dZeMinusR_QED2/2d0
      coupl(nGC_1491) = coupl(nGC_1259) + coupl(nGC_18)*dZHlHh_QED2 + coupl(   &
                        nGC_20)*dZHh_QED2
      coupl(nGC_1016) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1499) = coupl(nGC_103)*dZHhHl_QED2/2d0 + coupl(nGC_104)*       &
                        dZHl_QED2/2d0 + coupl(nGC_104)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_104)*dZmuMinusR_QED2/2d0 + coupl(nGC_1366)
      coupl(nGC_917) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_916) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(     &
                       nGC_54))/(8d0*pi**2d0)
      coupl(nGC_915) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_914) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(     &
                       nGC_53))/(8d0*pi**2d0)
      coupl(nGC_913) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_56)**2d0)/(16d0*pi&
                       **2d0)
      coupl(nGC_912) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_911) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_910) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1015) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_427) - coupl( &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_82) - coupl(nGC_111)* &
                        coupl(nGC_112)**2d0 - coupl(nGC_111)*coupl(nGC_113)**  &
                        2d0 - coupl(nGC_111)*coupl(nGC_114)**2d0 + 8d0*coupl(  &
                        nGC_112)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_112)*coupl( &
                        nGC_51)*coupl(nGC_54) - coupl(nGC_113)*coupl(nGC_443)* &
                        coupl(nGC_54) - coupl(nGC_113)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_114)*coupl(nGC_447)*coupl(nGC_54   &
                        ) - coupl(nGC_114)*coupl(nGC_51)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_919) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_918) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(    &
                       nGC_55))/(8d0*pi**2d0)
      coupl(nGC_1265) = coupl(nGC_661)*da_QED2 + coupl(nGC_662)*dl2_QED4 +     &
                        coupl(nGC_663)*dl1_QED4 + coupl(nGC_664)*dl3_QED4
      coupl(nGC_1264) = coupl(nGC_635)*da_QED2 + coupl(nGC_636)*dl1_QED4 +     &
                        coupl(nGC_637)*dl3_QED4
      coupl(nGC_1267) = coupl(nGC_815)*dvev_QED1 + coupl(nGC_816)*dvevs_QED1 + &
                        coupl(nGC_817)*da_QED2 + coupl(nGC_818)*dl1_QED4 +     &
                        coupl(nGC_819)*dl3_QED4
      coupl(nGC_1266) = coupl(nGC_677)*da_QED2 + coupl(nGC_678)*dl2_QED4 +     &
                        coupl(nGC_679)*dl1_QED4 + coupl(nGC_680)*dl3_QED4
      coupl(nGC_1261) = coupl(nGC_655)*da_QED2 + coupl(nGC_656)*dl2_QED4 +     &
                        coupl(nGC_657)*dl1_QED4 + coupl(nGC_658)*dl3_QED4
      coupl(nGC_1260) = coupl(nGC_642)*da_QED2 + coupl(nGC_643)*dl2_QED4 +     &
                        coupl(nGC_644)*dl1_QED4 + coupl(nGC_645)*dl3_QED4
      coupl(nGC_1263) = coupl(nGC_673)*da_QED2 + coupl(nGC_674)*dl2_QED4 +     &
                        coupl(nGC_675)*dl1_QED4 + coupl(nGC_676)*dl3_QED4
      coupl(nGC_1262) = coupl(nGC_632)*da_QED2 + coupl(nGC_633)*dl1_QED4 +     &
                        coupl(nGC_634)*dl3_QED4
      coupl(nGC_1269) = coupl(nGC_217)*da_QED2 + coupl(nGC_219)*dvevs_QED1 +   &
                        coupl(nGC_221)*dvev_QED1 + coupl(nGC_223)*dl2_QED4 +   &
                        coupl(nGC_225)*dl3_QED4 + coupl(nGC_227)*dl1_QED4
      coupl(nGC_1268) = coupl(nGC_203)*da_QED2 + coupl(nGC_205)*dvevs_QED1 +   &
                        coupl(nGC_207)*dvev_QED1 + coupl(nGC_209)*dl2_QED4 +   &
                        coupl(nGC_211)*dl3_QED4 + coupl(nGC_213)*dl1_QED4
      coupl(nGC_1067) = (coupl(nGC_33)*coupl(nGC_46)*coupl(nGC_95) + 8d0*coupl(&
                        nGC_4)**2d0*coupl(nGC_99) + coupl(nGC_447)*coupl(nGC_52&
                        )*coupl(nGC_97) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl&
                        (nGC_99) + coupl(nGC_55)*coupl(nGC_61)*coupl(nGC_97) - &
                        coupl(nGC_97)**2d0*coupl(nGC_99) - coupl(nGC_98)**2d0* &
                        coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1066) = (coupl(nGC_33)*coupl(nGC_455)*coupl(nGC_95) + 8d0*coupl&
                        (nGC_4)**2d0*coupl(nGC_99) + coupl(nGC_447)*coupl(     &
                        nGC_55)*coupl(nGC_96) + 8d0*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_99) + coupl(nGC_52)*coupl(nGC_61)*coupl(   &
                        nGC_96) - coupl(nGC_96)**2d0*coupl(nGC_99) - coupl(    &
                        nGC_98)**2d0*coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1065) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1064) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)* &
                        coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_47)*coupl(nGC_90) - coupl(nGC_447)*coupl(nGC_50)*  &
                        coupl(nGC_91) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_94) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_91) -  &
                        coupl(nGC_91)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0* &
                        coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1063) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)* &
                        coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_33)*coupl(    &
                        nGC_449)*coupl(nGC_90) - coupl(nGC_447)*coupl(nGC_53)* &
                        coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_94) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_92) -  &
                        coupl(nGC_92)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0* &
                        coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1062) = coupl(nGC_11)**2d0*coupl(nGC_89)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1061) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl( &
                        nGC_46)*coupl(nGC_85) - coupl(nGC_447)*coupl(nGC_51)*  &
                        coupl(nGC_87) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) - coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_87) -  &
                        coupl(nGC_87)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1060) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl( &
                        nGC_455)*coupl(nGC_85) - coupl(nGC_447)*coupl(nGC_54)* &
                        coupl(nGC_86) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl( &
                        nGC_89) - coupl(nGC_51)*coupl(nGC_61)*coupl(nGC_86) -  &
                        coupl(nGC_86)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0* &
                        coupl(nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1305) = coupl(nGC_810)*dcw_QED2 + coupl(nGC_811)*dsw_QED2 +    &
                        coupl(nGC_812)*dZee_QED2 + coupl(nGC_813)*dvev_QED1 +  &
                        coupl(nGC_814)*da_QED2
      coupl(nGC_1069) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_46) - coupl(   &
                        nGC_102)**2d0*coupl(nGC_104) + coupl(nGC_102)*coupl(   &
                        nGC_447)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)* &
                        coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -   &
                        coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1068) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_455) - coupl(  &
                        nGC_101)**2d0*coupl(nGC_104) + coupl(nGC_101)*coupl(   &
                        nGC_447)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)* &
                        coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -   &
                        coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(&
                        32d0*pi**2d0)
      coupl(nGC_1843) = -coupl(nGC_1142)
      coupl(nGC_1844) = -coupl(nGC_1143)
      coupl(nGC_1603) = coupl(nGC_33)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_1602) = coupl(nGC_1310) + coupl(nGC_33)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_33)*dZbL_QED2/2d0 + coupl(nGC_33)*dZtL_QED2/ &
                        2d0
      coupl(nGC_1601) = coupl(nGC_1316) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_52)*dZZ_QED2/2d0 + coupl(nGC_52)*dZmuMinusR_QED2
      coupl(nGC_1607) = coupl(nGC_1312) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_54)*dZZ_QED2/2d0 + coupl(nGC_54)*dZuL_QED2
      coupl(nGC_1606) = -coupl(nGC_1281) - coupl(nGC_35)*dZHhHl_QED2/2d0 -     &
                        coupl(nGC_46)*dZHl_QED2/2d0 - coupl(nGC_46)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_1604) = coupl(nGC_1291) + coupl(nGC_58)*dZA_QED2/2d0 + coupl(  &
                        nGC_58)*dZZ_QED2/2d0 + coupl(nGC_6)*dZAZ_QED2/2d0 +    &
                        coupl(nGC_63)*dZZA_QED2/2d0
      coupl(nGC_1162) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_50)**2d0 +   &
                        12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_51)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_54)**2d0 -    &
                        40d0*cima*coupl(nGC_3)**2d0*coupl(nGC_37)**2d0 + 12d0* &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_52)**2d0 + 12d0*cima* &
                        coupl(nGC_4)**2d0*coupl(nGC_55)**2d0 + 12d0*cima*coupl(&
                        nGC_41)**2d0 - 40d0*cima*coupl(nGC_417)**2d0*coupl(    &
                        nGC_429)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_3)**2d0 +  &
                        3d0*coupl(nGC_29)*coupl(nGC_429)**2d0 + 36d0*coupl(    &
                        nGC_3)*coupl(nGC_37)*coupl(nGC_41) + 6d0*coupl(nGC_3)* &
                        coupl(nGC_37)*coupl(nGC_439) + 3d0*coupl(nGC_37)**2d0* &
                        coupl(nGC_5) + 36d0*coupl(nGC_41)*coupl(nGC_417)*coupl(&
                        nGC_429) + 3d0*coupl(nGC_417)**2d0*coupl(nGC_5) + 6d0* &
                        coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_439))/(96d0*pi &
                        **2d0)
      coupl(nGC_1609) = coupl(nGC_1311) + coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_51)*dZZ_QED2/2d0 + coupl(nGC_51)*dZuR_QED2
      coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1164) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*coupl(   &
                        nGC_53) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_33)**2d0*&
                        coupl(nGC_54) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_33 &
                        )**2d0*coupl(nGC_53) + 36d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_33)**2d0*coupl(nGC_54) + 12d0*cima*coupl(nGC_27)*  &
                        coupl(nGC_41) - 32d0*cima*coupl(nGC_3)*coupl(nGC_37)*  &
                        coupl(nGC_417)**2d0 - 32d0*cima*coupl(nGC_3)*coupl(    &
                        nGC_37)*coupl(nGC_429)**2d0 + 36d0*cima*coupl(nGC_33)**&
                        2d0*coupl(nGC_4)*coupl(nGC_55) - 30d0*cima*coupl(nGC_33&
                        )**2d0*coupl(nGC_4)*coupl(nGC_56) + 18d0*coupl(nGC_27)*&
                        coupl(nGC_3)*coupl(nGC_37) + 18d0*coupl(nGC_27)*coupl( &
                        nGC_417)*coupl(nGC_429) + 6d0*coupl(nGC_29)*coupl(nGC_3&
                        )*coupl(nGC_417) + 3d0*coupl(nGC_3)*coupl(nGC_417)*    &
                        coupl(nGC_5) + 6d0*coupl(nGC_3)*coupl(nGC_429)*coupl(  &
                        nGC_439) + 6d0*coupl(nGC_37)*coupl(nGC_417)*coupl(     &
                        nGC_439) + 3d0*coupl(nGC_37)*coupl(nGC_429)*coupl(nGC_5&
                        ) + 18d0*coupl(nGC_41)*coupl(nGC_417)**2d0 + 18d0*coupl&
                        (nGC_41)*coupl(nGC_429)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1768) = coupl(nGC_108)*dZHh_QED2/2d0 + coupl(nGC_108)*dZsL_QED2&
                        /2d0 + coupl(nGC_108)*dZsR_QED2/2d0 + coupl(nGC_109)*  &
                        dZHlHh_QED2/2d0 + coupl(nGC_1343)
      coupl(nGC_1769) = coupl(nGC_108)*dZsL_QCD2/2d0 + coupl(nGC_108)*dZsR_QCD2&
                        /2d0 + coupl(nGC_1344)
      coupl(nGC_1763) = -coupl(nGC_1250) - coupl(nGC_3)*dZWMinus_QED2/2d0
      coupl(nGC_1191) = (-32d0*Nc*cima*coupl(nGC_106)*coupl(nGC_107)*coupl(    &
                        nGC_33)**2d0 - 32d0*Nc*cima*coupl(nGC_111)*coupl(      &
                        nGC_112)*coupl(nGC_33)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_121)*coupl(nGC_122)*coupl(nGC_33)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_33)**2d0*coupl(nGC_81)*coupl(nGC_82) -  &
                        32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_86)*coupl(   &
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_33)**2d0*coupl(nGC_91 &
                        )*coupl(nGC_92) - 32d0*cima*coupl(nGC_101)*coupl(      &
                        nGC_102)*coupl(nGC_33)**2d0 - 32d0*cima*coupl(nGC_116)*&
                        coupl(nGC_117)*coupl(nGC_33)**2d0 + 24d0*cima*coupl(   &
                        nGC_26)*coupl(nGC_27) + 9d0*cima*coupl(nGC_3)**2d0*    &
                        coupl(nGC_32)*coupl(nGC_427) + 8d0*cima*coupl(nGC_32)**&
                        2d0*coupl(nGC_427)**2d0 + 4d0*cima*coupl(nGC_32)*coupl(&
                        nGC_34)*coupl(nGC_427)*coupl(nGC_451) + 4d0*cima*coupl(&
                        nGC_32)*coupl(nGC_35)*coupl(nGC_425)*coupl(nGC_427) +  &
                        9d0*cima*coupl(nGC_32)*coupl(nGC_37)**2d0*coupl(nGC_427&
                        ) + 9d0*cima*coupl(nGC_32)*coupl(nGC_417)**2d0*coupl(  &
                        nGC_427) + 9d0*cima*coupl(nGC_32)*coupl(nGC_427)*coupl(&
                        nGC_429)**2d0 + 4d0*cima*coupl(nGC_32)*coupl(nGC_427)* &
                        coupl(nGC_449)*coupl(nGC_47) + 4d0*cima*coupl(nGC_32)* &
                        coupl(nGC_427)*coupl(nGC_455)*coupl(nGC_46) - 32d0*cima&
                        *coupl(nGC_33)**2d0*coupl(nGC_96)*coupl(nGC_97) + 4d0* &
                        cima*coupl(nGC_34)*coupl(nGC_443)*coupl(nGC_451)*coupl(&
                        nGC_57) + 4d0*cima*coupl(nGC_34)*coupl(nGC_447)*coupl( &
                        nGC_449)*coupl(nGC_57) + 4d0*cima*coupl(nGC_35)*coupl( &
                        nGC_425)*coupl(nGC_443)*coupl(nGC_57) + 4d0*cima*coupl(&
                        nGC_35)*coupl(nGC_447)*coupl(nGC_455)*coupl(nGC_57) +  &
                        9d0*cima*coupl(nGC_37)**2d0*coupl(nGC_443)*coupl(nGC_57&
                        ) + 9d0*cima*coupl(nGC_37)**2d0*coupl(nGC_447)*coupl(  &
                        nGC_61) + 9d0*cima*coupl(nGC_417)**2d0*coupl(nGC_443)* &
                        coupl(nGC_57) + 9d0*cima*coupl(nGC_417)**2d0*coupl(    &
                        nGC_447)*coupl(nGC_61) + 12d0*cima*coupl(nGC_419)*coupl&
                        (nGC_64) + 4d0*cima*coupl(nGC_425)*coupl(nGC_443)*coupl&
                        (nGC_46)*coupl(nGC_61) + 4d0*cima*coupl(nGC_443)*coupl(&
                        nGC_451)*coupl(nGC_47)*coupl(nGC_61) + 4d0*cima*coupl( &
                        nGC_447)*coupl(nGC_449)*coupl(nGC_47)*coupl(nGC_61) +  &
                        4d0*cima*coupl(nGC_447)*coupl(nGC_455)*coupl(nGC_46)*  &
                        coupl(nGC_61) + 12d0*coupl(nGC_26)*coupl(nGC_32)*coupl(&
                        nGC_427) + 36d0*coupl(nGC_26)*coupl(nGC_417)**2d0 +    &
                        36d0*coupl(nGC_26)*coupl(nGC_429)**2d0 - 12d0*coupl(   &
                        nGC_27)*coupl(nGC_32)*coupl(nGC_427) + 6d0*coupl(nGC_28&
                        )*coupl(nGC_443)*coupl(nGC_57) - 6d0*coupl(nGC_3)*coupl&
                        (nGC_32)*coupl(nGC_38) - 6d0*coupl(nGC_3)*coupl(nGC_39 &
                        )*coupl(nGC_427) + 6d0*coupl(nGC_30)*coupl(nGC_443)*   &
                        coupl(nGC_61) + 6d0*coupl(nGC_30)*coupl(nGC_447)*coupl(&
                        nGC_57) + 6d0*coupl(nGC_31)*coupl(nGC_447)*coupl(nGC_61&
                        ) - 6d0*coupl(nGC_32)*coupl(nGC_37)*coupl(nGC_7) - 6d0*&
                        coupl(nGC_32)*coupl(nGC_39)*coupl(nGC_429) - 6d0*coupl(&
                        nGC_32)*coupl(nGC_417)*coupl(nGC_8) + 36d0*coupl(nGC_37&
                        )**2d0*coupl(nGC_64) - 6d0*coupl(nGC_37)*coupl(nGC_427 &
                        )*coupl(nGC_8) - 6d0*coupl(nGC_38)*coupl(nGC_427)*coupl&
                        (nGC_429) - 6d0*coupl(nGC_417)*coupl(nGC_427)*coupl(   &
                        nGC_7) - 6d0*coupl(nGC_419)*coupl(nGC_443)*coupl(nGC_57&
                        ) - 6d0*coupl(nGC_419)*coupl(nGC_447)*coupl(nGC_61))/( &
                        192d0*pi**2d0)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1793) = -coupl(nGC_1484) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_35_Hh) + coupl(nGC_TS_GC_46_Hl)
      coupl(nGC_1119) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_50)**2d0 - coupl(nGC_80)**2d0 - coupl(nGC_81)*coupl&
                        (nGC_82) - coupl(nGC_83)**2d0 - coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_1118) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_1117) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_110)**2d0 - 4d0*coupl(nGC_33)**2d0 - 4d0*coupl(    &
                        nGC_53)**2d0 - coupl(nGC_81)*coupl(nGC_82) - coupl(    &
                        nGC_83)**2d0 - coupl(nGC_84)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1116) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_50)**2d0 + coupl(nGC_80)**2d0 + coupl(nGC_81)*coupl&
                        (nGC_82) + coupl(nGC_83)**2d0 + coupl(nGC_84)**2d0)/(  &
                        64d0*pi**2d0*Nc)
      coupl(nGC_1115) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_1114) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_110)**2d0 + 4d0*coupl(nGC_33)**2d0 + 4d0*coupl(    &
                        nGC_53)**2d0 + coupl(nGC_81)*coupl(nGC_82) + coupl(    &
                        nGC_83)**2d0 + coupl(nGC_84)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1113) = (coupl(nGC_120)**2d0*coupl(nGC_53) + coupl(nGC_121)*   &
                        coupl(nGC_122)*coupl(nGC_54) + coupl(nGC_123)**2d0*    &
                        coupl(nGC_54) + coupl(nGC_124)**2d0*coupl(nGC_54) + 4d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1112) = (coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_51) + coupl(  &
                        nGC_123)**2d0*coupl(nGC_51) + coupl(nGC_124)**2d0*coupl&
                        (nGC_51) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_54) + 4d0*  &
                        coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0*coupl(nGC_33)** &
                        2d0*coupl(nGC_53) + coupl(nGC_50)*coupl(nGC_90)**2d0 + &
                        4d0*coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1111) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_52) + coupl(  &
                        nGC_118)**2d0*coupl(nGC_52) + coupl(nGC_119)**2d0*coupl&
                        (nGC_52) - 4d0*coupl(nGC_33)**2d0*coupl(nGC_37) + 4d0* &
                        coupl(nGC_33)**2d0*coupl(nGC_56) + 4d0*coupl(nGC_4)**  &
                        2d0*coupl(nGC_55) + 4d0*coupl(nGC_55)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1110) = (coupl(nGC_115)**2d0*coupl(nGC_56) + coupl(nGC_116)*   &
                        coupl(nGC_117)*coupl(nGC_55) + coupl(nGC_118)**2d0*    &
                        coupl(nGC_55) + coupl(nGC_119)**2d0*coupl(nGC_55) + 4d0&
                        *coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1017) = (coupl(nGC_115)*coupl(nGC_32)*coupl(nGC_33) - coupl(   &
                        nGC_116)**2d0*coupl(nGC_117) + 8d0*coupl(nGC_116)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_116)*coupl(nGC_52)*coupl( &
                        nGC_55) - coupl(nGC_117)*coupl(nGC_118)**2d0 - coupl(  &
                        nGC_117)*coupl(nGC_119)**2d0 + coupl(nGC_118)*coupl(   &
                        nGC_443)*coupl(nGC_52) + coupl(nGC_118)*coupl(nGC_55)* &
                        coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_447)*coupl(   &
                        nGC_52) + coupl(nGC_119)*coupl(nGC_55)*coupl(nGC_61))/(&
                        32d0*pi**2d0)
      coupl(nGC_1692) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_1248)
      coupl(nGC_1693) = coupl(nGC_1300) + coupl(nGC_64)*dZZ_QED2
      coupl(nGC_1695) = coupl(nGC_118)*dZHhHl_QED2/2d0 + coupl(nGC_119)*       &
                        dZHl_QED2/2d0 + coupl(nGC_119)*dZtauMinusL_QED2/2d0 +  &
                        coupl(nGC_119)*dZtauMinusR_QED2/2d0 + coupl(nGC_1367)
      coupl(nGC_1696) = coupl(nGC_1315) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_tauL_QED2
      coupl(nGC_1697) = coupl(nGC_1482) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                        nGC_TS_GC_69_Hh) + coupl(nGC_TS_GC_70_Hl)
      coupl(nGC_1592) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1313) + coupl(  &
                        nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZbR_QED2
      coupl(nGC_1590) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1314) + coupl(  &
                        nGC_53)*dZZ_QED2/2d0 + coupl(nGC_53)*dZbL_QED2
      coupl(nGC_1597) = -coupl(nGC_1294) - coupl(nGC_4)*dZAZ_QED2/2d0 - coupl( &
                        nGC_55)*dZZ_QED2/2d0
      coupl(nGC_1596) = -coupl(nGC_1250) - coupl(nGC_3)*dZA_QED2/2d0 - coupl(  &
                        nGC_3)*dZWMinus_QED2 - coupl(nGC_37)*dZZA_QED2/2d0
      coupl(nGC_1595) = coupl(nGC_1253) + 2d0*coupl(nGC_27)*dZWMinus_QED2
      coupl(nGC_1594) = -2d0*coupl(nGC_1253) - 4d0*coupl(nGC_27)*dZWMinus_QED2
      coupl(nGC_1599) = coupl(nGC_1265) + 3d0*coupl(nGC_22)*dZHh_QED2/2d0 +    &
                        coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_25)*dZHlHh_QED2/2d0
      coupl(nGC_959) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) +  &
                       4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) + 4d0&
                       *Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) - 4d0*Nc&
                       *coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*    &
                       coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 4d0*Nc*coupl&
                       (nGC_33)*coupl(nGC_90)*coupl(nGC_94) - 4d0*coupl(nGC_100&
                       )*coupl(nGC_104)*coupl(nGC_33) - 4d0*coupl(nGC_115)*    &
                       coupl(nGC_119)*coupl(nGC_33) - 6d0*coupl(nGC_3)*coupl(  &
                       nGC_4)*coupl(nGC_47) + coupl(nGC_32)**2d0*coupl(nGC_449 &
                       ) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_99) - 6d0*&
                       coupl(nGC_37)*coupl(nGC_47)*coupl(nGC_55) - 6d0*coupl(  &
                       nGC_417)*coupl(nGC_427)*coupl(nGC_61) + coupl(nGC_425)**&
                       2d0*coupl(nGC_449) + coupl(nGC_427)*coupl(nGC_447)*coupl&
                       (nGC_453) + coupl(nGC_449)*coupl(nGC_455)**2d0)/(96d0*pi&
                       **2d0)
      coupl(nGC_958) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) +  &
                       4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) + 4d0&
                       *Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) - 4d0*Nc&
                       *coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*    &
                       coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl&
                       (nGC_33)*coupl(nGC_90)*coupl(nGC_93) - 4d0*coupl(nGC_100&
                       )*coupl(nGC_103)*coupl(nGC_33) - 4d0*coupl(nGC_115)*    &
                       coupl(nGC_118)*coupl(nGC_33) - 6d0*coupl(nGC_3)*coupl(  &
                       nGC_34)*coupl(nGC_4) + coupl(nGC_32)**2d0*coupl(nGC_451 &
                       ) - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98) - 6d0*&
                       coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_55) - 6d0*coupl(  &
                       nGC_417)*coupl(nGC_427)*coupl(nGC_57) + coupl(nGC_425)**&
                       2d0*coupl(nGC_451) + coupl(nGC_427)*coupl(nGC_443)*coupl&
                       (nGC_453) + coupl(nGC_451)*coupl(nGC_455)**2d0)/(96d0*pi&
                       **2d0)
      coupl(nGC_953) = (coupl(nGC_1)*coupl(nGC_120)**2d0 + coupl(nGC_121)*coupl&
                       (nGC_122)*coupl(nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2&
                       ) + coupl(nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2  &
                       )**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**&
                       2d0)
      coupl(nGC_952) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*    &
                       coupl(nGC_90)**2d0 + coupl(nGC_121)*coupl(nGC_122)*coupl&
                       (nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2) + coupl(     &
                       nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0&
                       *coupl(nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*    &
                       coupl(nGC_33)**2d0)/(32d0*pi**2d0)
      coupl(nGC_951) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4) + coupl(    &
                       nGC_118)**2d0*coupl(nGC_4) + coupl(nGC_119)**2d0*coupl( &
                       nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl&
                       (nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(   &
                       32d0*pi**2d0)
      coupl(nGC_950) = coupl(nGC_4)*(coupl(nGC_116)*coupl(nGC_117) + coupl(    &
                       nGC_118)**2d0 + coupl(nGC_119)**2d0 + 4d0*coupl(nGC_4)**&
                       2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
      coupl(nGC_957) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33) +  &
                       4d0*Nc*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33) + 4d0&
                       *Nc*coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33) - 4d0*Nc&
                       *coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_81) + 4d0*Nc*    &
                       coupl(nGC_33)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl&
                       (nGC_33)*coupl(nGC_90)*coupl(nGC_91) - 4d0*coupl(nGC_100&
                       )*coupl(nGC_101)*coupl(nGC_33) - 4d0*coupl(nGC_115)*    &
                       coupl(nGC_116)*coupl(nGC_33) - 6d0*coupl(nGC_3)*coupl(  &
                       nGC_4)*coupl(nGC_427) + coupl(nGC_32)**3d0 + coupl(     &
                       nGC_32)*coupl(nGC_425)**2d0 + coupl(nGC_32)*coupl(      &
                       nGC_455)**2d0 - 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(  &
                       nGC_96) - 6d0*coupl(nGC_34)*coupl(nGC_417)*coupl(nGC_443&
                       ) + coupl(nGC_34)*coupl(nGC_453)*coupl(nGC_57) - 6d0*   &
                       coupl(nGC_37)*coupl(nGC_427)*coupl(nGC_55) - 6d0*coupl( &
                       nGC_417)*coupl(nGC_447)*coupl(nGC_47) + coupl(nGC_453)* &
                       coupl(nGC_47)*coupl(nGC_61))/(96d0*pi**2d0)
      coupl(nGC_1184) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_105)**2d0 &
                         - coupl(nGC_110)**2d0 - coupl(nGC_120)**2d0 - coupl(  &
                        nGC_80)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1029) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_34)*coupl(nGC_80) - coupl(nGC_443)*coupl(nGC_50)*  &
                        coupl(nGC_81) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_83) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_81) -  &
                        coupl(nGC_81)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1028) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)* &
                        coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_33)*coupl(    &
                        nGC_451)*coupl(nGC_80) - coupl(nGC_443)*coupl(nGC_53)* &
                        coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl( &
                        nGC_83) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_82) -  &
                        coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0  &
                         - coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1180) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_106)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_106)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_111)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_111)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_121)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_121)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_81) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_91) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_81) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_91) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_81) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_86) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_91) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_101)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_101)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_101)*coupl&
                        (nGC_33)*coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl&
                        (nGC_116)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl&
                        (nGC_115)*coupl(nGC_116)*coupl(nGC_33)*coupl(nGC_55) - &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_116)*coupl(nGC_33)* &
                        coupl(nGC_56) + 24d0*cima*coupl(nGC_29)*coupl(nGC_7) + &
                        9d0*cima*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_417)*coupl&
                        (nGC_427) + 4d0*cima*coupl(nGC_32)**3d0*coupl(nGC_453  &
                        ) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_425)*coupl(  &
                        nGC_443) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_425)* &
                        coupl(nGC_57) + 4d0*cima*coupl(nGC_32)**2d0*coupl(     &
                        nGC_447)*coupl(nGC_455) + 4d0*cima*coupl(nGC_32)**2d0* &
                        coupl(nGC_455)*coupl(nGC_61) + 4d0*cima*coupl(nGC_32)* &
                        coupl(nGC_425)**2d0*coupl(nGC_453) + 4d0*cima*coupl(   &
                        nGC_32)*coupl(nGC_453)*coupl(nGC_455)**2d0 + 20d0*cima*&
                        coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95)*coupl(nGC_96 &
                        ) - 16d0*cima*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95 &
                        )*coupl(nGC_96) - 16d0*cima*coupl(nGC_33)*coupl(nGC_56 &
                        )*coupl(nGC_95)*coupl(nGC_96) + 9d0*cima*coupl(nGC_34)*&
                        coupl(nGC_37)*coupl(nGC_417)*coupl(nGC_443) + 4d0*cima*&
                        coupl(nGC_34)*coupl(nGC_453)*coupl(nGC_55)*coupl(nGC_57&
                        ) + 9d0*cima*coupl(nGC_37)*coupl(nGC_417)*coupl(nGC_427&
                        )*coupl(nGC_55) + 9d0*cima*coupl(nGC_37)*coupl(nGC_417 &
                        )*coupl(nGC_447)*coupl(nGC_47) + 24d0*cima*coupl(nGC_38&
                        )*coupl(nGC_439) + 4d0*cima*coupl(nGC_427)*coupl(      &
                        nGC_453)*coupl(nGC_57)**2d0 + 4d0*cima*coupl(nGC_427)* &
                        coupl(nGC_453)*coupl(nGC_61)**2d0 + 4d0*cima*coupl(    &
                        nGC_453)*coupl(nGC_47)*coupl(nGC_55)*coupl(nGC_61) +   &
                        6d0*coupl(nGC_17)*coupl(nGC_32)*coupl(nGC_455) - 6d0*  &
                        coupl(nGC_17)*coupl(nGC_417)*coupl(nGC_447) + 6d0*coupl&
                        (nGC_17)*coupl(nGC_453)*coupl(nGC_61) - 6d0*coupl(     &
                        nGC_26)*coupl(nGC_37)*coupl(nGC_427) - 6d0*coupl(nGC_26&
                        )*coupl(nGC_417)*coupl(nGC_427) - 6d0*coupl(nGC_29)*   &
                        coupl(nGC_34)*coupl(nGC_443) - 6d0*coupl(nGC_29)*coupl(&
                        nGC_427)*coupl(nGC_55) - 6d0*coupl(nGC_29)*coupl(      &
                        nGC_447)*coupl(nGC_47) - 6d0*coupl(nGC_3)*coupl(nGC_4)*&
                        coupl(nGC_7) - 6d0*coupl(nGC_3)*coupl(nGC_427)*coupl(  &
                        nGC_58) + 6d0*coupl(nGC_32)**2d0*coupl(nGC_7) + 6d0*   &
                        coupl(nGC_32)*coupl(nGC_425)*coupl(nGC_9) + 36d0*coupl(&
                        nGC_37)*coupl(nGC_38)*coupl(nGC_429) + 36d0*coupl(     &
                        nGC_37)*coupl(nGC_417)*coupl(nGC_7) - 6d0*coupl(nGC_37 &
                        )*coupl(nGC_427)*coupl(nGC_63) - 6d0*coupl(nGC_37)*    &
                        coupl(nGC_55)*coupl(nGC_7) - 6d0*coupl(nGC_4)*coupl(   &
                        nGC_427)*coupl(nGC_439) - 6d0*coupl(nGC_417)*coupl(    &
                        nGC_427)*coupl(nGC_64) - 6d0*coupl(nGC_417)*coupl(     &
                        nGC_443)*coupl(nGC_9) + 6d0*coupl(nGC_453)*coupl(nGC_57&
                        )*coupl(nGC_9))/(192d0*pi**2d0)
      coupl(nGC_1181) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_108)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_108)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_113)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_123)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_123)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_83) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_93) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_93) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_83) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_93) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_103)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_103)*coupl&
                        (nGC_33)*coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl&
                        (nGC_118)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl&
                        (nGC_115)*coupl(nGC_118)*coupl(nGC_33)*coupl(nGC_55) - &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_118)*coupl(nGC_33)* &
                        coupl(nGC_56) + 24d0*cima*coupl(nGC_29)*coupl(nGC_9) + &
                        9d0*cima*coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_4)*coupl(&
                        nGC_417) + 4d0*cima*coupl(nGC_32)**2d0*coupl(nGC_451)* &
                        coupl(nGC_453) + 4d0*cima*coupl(nGC_32)*coupl(nGC_425)*&
                        coupl(nGC_443)*coupl(nGC_451) + 4d0*cima*coupl(nGC_32)*&
                        coupl(nGC_425)*coupl(nGC_451)*coupl(nGC_57) + 4d0*cima*&
                        coupl(nGC_32)*coupl(nGC_447)*coupl(nGC_451)*coupl(     &
                        nGC_455) + 4d0*cima*coupl(nGC_32)*coupl(nGC_451)*coupl(&
                        nGC_455)*coupl(nGC_61) + 20d0*cima*coupl(nGC_33)*coupl(&
                        nGC_52)*coupl(nGC_95)*coupl(nGC_98) - 16d0*cima*coupl( &
                        nGC_33)*coupl(nGC_55)*coupl(nGC_95)*coupl(nGC_98) -    &
                        16d0*cima*coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95)*   &
                        coupl(nGC_98) + 9d0*cima*coupl(nGC_34)*coupl(nGC_37)*  &
                        coupl(nGC_417)*coupl(nGC_55) + 4d0*cima*coupl(nGC_34)* &
                        coupl(nGC_443)**2d0*coupl(nGC_453) + 9d0*cima*coupl(   &
                        nGC_37)*coupl(nGC_417)*coupl(nGC_427)*coupl(nGC_57) +  &
                        24d0*cima*coupl(nGC_40)*coupl(nGC_439) + 4d0*cima*coupl&
                        (nGC_425)**2d0*coupl(nGC_451)*coupl(nGC_453) + 4d0*cima&
                        *coupl(nGC_427)*coupl(nGC_443)*coupl(nGC_453)*coupl(   &
                        nGC_55) + 4d0*cima*coupl(nGC_443)*coupl(nGC_447)*coupl(&
                        nGC_453)*coupl(nGC_47) + 4d0*cima*coupl(nGC_451)*coupl(&
                        nGC_453)*coupl(nGC_455)**2d0 + 6d0*coupl(nGC_17)*coupl(&
                        nGC_451)*coupl(nGC_455) - 6d0*coupl(nGC_26)*coupl(     &
                        nGC_34)*coupl(nGC_417) - 6d0*coupl(nGC_28)*coupl(nGC_34&
                        )*coupl(nGC_37) - 6d0*coupl(nGC_29)*coupl(nGC_34)*coupl&
                        (nGC_55) - 6d0*coupl(nGC_29)*coupl(nGC_427)*coupl(     &
                        nGC_57) - 6d0*coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_58  &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_9) - 6d0*  &
                        coupl(nGC_30)*coupl(nGC_37)*coupl(nGC_47) + 6d0*coupl( &
                        nGC_32)*coupl(nGC_451)*coupl(nGC_7) - 6d0*coupl(nGC_34 &
                        )*coupl(nGC_37)*coupl(nGC_63) - 6d0*coupl(nGC_34)*coupl&
                        (nGC_4)*coupl(nGC_439) - 6d0*coupl(nGC_34)*coupl(      &
                        nGC_417)*coupl(nGC_65) + 36d0*coupl(nGC_37)*coupl(     &
                        nGC_40)*coupl(nGC_429) + 36d0*coupl(nGC_37)*coupl(     &
                        nGC_417)*coupl(nGC_9) - 6d0*coupl(nGC_37)*coupl(nGC_55 &
                        )*coupl(nGC_9) - 6d0*coupl(nGC_417)*coupl(nGC_47)*coupl&
                        (nGC_66) - 6d0*coupl(nGC_417)*coupl(nGC_57)*coupl(nGC_7&
                        ) + 6d0*coupl(nGC_425)*coupl(nGC_451)*coupl(nGC_9) +   &
                        6d0*coupl(nGC_443)*coupl(nGC_453)*coupl(nGC_7))/(192d0*&
                        pi**2d0)
      coupl(nGC_1182) = (20d0*Nc*cima*coupl(nGC_105)*coupl(nGC_109)*coupl(     &
                        nGC_33)*coupl(nGC_50) - 16d0*Nc*cima*coupl(nGC_105)*   &
                        coupl(nGC_109)*coupl(nGC_33)*coupl(nGC_53) - 16d0*Nc*  &
                        cima*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33)*coupl(&
                        nGC_54) + 20d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*  &
                        coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*coupl(      &
                        nGC_110)*coupl(nGC_114)*coupl(nGC_33)*coupl(nGC_53) -  &
                        16d0*Nc*cima*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33&
                        )*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_120)*coupl(   &
                        nGC_124)*coupl(nGC_33)*coupl(nGC_51) - 16d0*Nc*cima*   &
                        coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33)*coupl(     &
                        nGC_53) - 16d0*Nc*cima*coupl(nGC_120)*coupl(nGC_124)*  &
                        coupl(nGC_33)*coupl(nGC_54) + 20d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_50)*coupl(nGC_80)*coupl(nGC_84) + 20d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90)*coupl(  &
                        nGC_94) + 20d0*Nc*cima*coupl(nGC_33)*coupl(nGC_51)*    &
                        coupl(nGC_85)*coupl(nGC_89) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_53)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85)*coupl(  &
                        nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_53)*    &
                        coupl(nGC_90)*coupl(nGC_94) - 16d0*Nc*cima*coupl(nGC_33&
                        )*coupl(nGC_54)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85)*coupl(  &
                        nGC_89) - 16d0*Nc*cima*coupl(nGC_33)*coupl(nGC_54)*    &
                        coupl(nGC_90)*coupl(nGC_94) + 20d0*cima*coupl(nGC_100)*&
                        coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*&
                        coupl(nGC_100)*coupl(nGC_104)*coupl(nGC_33)*coupl(     &
                        nGC_55) - 16d0*cima*coupl(nGC_100)*coupl(nGC_104)*coupl&
                        (nGC_33)*coupl(nGC_56) + 20d0*cima*coupl(nGC_115)*coupl&
                        (nGC_119)*coupl(nGC_33)*coupl(nGC_52) - 16d0*cima*coupl&
                        (nGC_115)*coupl(nGC_119)*coupl(nGC_33)*coupl(nGC_55) - &
                        16d0*cima*coupl(nGC_115)*coupl(nGC_119)*coupl(nGC_33)* &
                        coupl(nGC_56) + 24d0*cima*coupl(nGC_17)*coupl(nGC_29   &
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_417)* &
                        coupl(nGC_47) + 4d0*cima*coupl(nGC_32)**2d0*coupl(     &
                        nGC_449)*coupl(nGC_453) + 4d0*cima*coupl(nGC_32)*coupl(&
                        nGC_425)*coupl(nGC_443)*coupl(nGC_449) + 4d0*cima*coupl&
                        (nGC_32)*coupl(nGC_425)*coupl(nGC_449)*coupl(nGC_57) + &
                        4d0*cima*coupl(nGC_32)*coupl(nGC_447)*coupl(nGC_449)*  &
                        coupl(nGC_455) + 4d0*cima*coupl(nGC_32)*coupl(nGC_449)*&
                        coupl(nGC_455)*coupl(nGC_61) + 20d0*cima*coupl(nGC_33)*&
                        coupl(nGC_52)*coupl(nGC_95)*coupl(nGC_99) - 16d0*cima* &
                        coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95)*coupl(nGC_99 &
                        ) - 16d0*cima*coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95 &
                        )*coupl(nGC_99) + 4d0*cima*coupl(nGC_34)*coupl(nGC_443 &
                        )*coupl(nGC_447)*coupl(nGC_453) + 9d0*cima*coupl(nGC_37&
                        )*coupl(nGC_417)*coupl(nGC_427)*coupl(nGC_61) + 9d0*   &
                        cima*coupl(nGC_37)*coupl(nGC_417)*coupl(nGC_47)*coupl( &
                        nGC_55) + 4d0*cima*coupl(nGC_425)**2d0*coupl(nGC_449)* &
                        coupl(nGC_453) + 4d0*cima*coupl(nGC_427)*coupl(nGC_447 &
                        )*coupl(nGC_453)*coupl(nGC_55) + 24d0*cima*coupl(      &
                        nGC_439)*coupl(nGC_48) + 4d0*cima*coupl(nGC_447)**2d0* &
                        coupl(nGC_453)*coupl(nGC_47) + 4d0*cima*coupl(nGC_449)*&
                        coupl(nGC_453)*coupl(nGC_455)**2d0 - 6d0*coupl(nGC_17)*&
                        coupl(nGC_3)*coupl(nGC_4) + 36d0*coupl(nGC_17)*coupl(  &
                        nGC_37)*coupl(nGC_417) - 6d0*coupl(nGC_17)*coupl(nGC_37&
                        )*coupl(nGC_55) + 6d0*coupl(nGC_17)*coupl(nGC_449)*    &
                        coupl(nGC_455) - 6d0*coupl(nGC_26)*coupl(nGC_417)*coupl&
                        (nGC_47) - 6d0*coupl(nGC_29)*coupl(nGC_427)*coupl(     &
                        nGC_61) - 6d0*coupl(nGC_29)*coupl(nGC_47)*coupl(nGC_55 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_58) - 6d0*&
                        coupl(nGC_30)*coupl(nGC_34)*coupl(nGC_37) - 6d0*coupl( &
                        nGC_31)*coupl(nGC_37)*coupl(nGC_47) + 6d0*coupl(nGC_32 &
                        )*coupl(nGC_449)*coupl(nGC_7) - 6d0*coupl(nGC_34)*coupl&
                        (nGC_417)*coupl(nGC_66) + 36d0*coupl(nGC_37)*coupl(    &
                        nGC_429)*coupl(nGC_48) - 6d0*coupl(nGC_37)*coupl(nGC_47&
                        )*coupl(nGC_63) - 6d0*coupl(nGC_4)*coupl(nGC_439)*coupl&
                        (nGC_47) - 6d0*coupl(nGC_417)*coupl(nGC_47)*coupl(     &
                        nGC_67) - 6d0*coupl(nGC_417)*coupl(nGC_61)*coupl(nGC_7 &
                        ) + 6d0*coupl(nGC_425)*coupl(nGC_449)*coupl(nGC_9) +   &
                        6d0*coupl(nGC_447)*coupl(nGC_453)*coupl(nGC_7))/(192d0*&
                        pi**2d0)
      coupl(nGC_1183) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_105)**2d0  &
                         + coupl(nGC_110)**2d0 + coupl(nGC_120)**2d0 + coupl(  &
                        nGC_80)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_90)**2d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1023) = 3d0*(8d0*Nc*cMB*coupl(nGC_83)**3d0 + 8d0*Nc*cMC*coupl( &
                        nGC_88)**3d0 + 8d0*Nc*cMD*coupl(nGC_93)**3d0 + 8d0*Nc* &
                        cMS*coupl(nGC_108)**3d0 + 8d0*Nc*cMT*coupl(nGC_113)**  &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_123)**3d0 + 8d0*cME*coupl(  &
                        nGC_98)**3d0 + 8d0*cMM*coupl(nGC_103)**3d0 + 8d0*cMTA* &
                        coupl(nGC_118)**3d0 + 4d0*cima*coupl(nGC_28)*coupl(    &
                        nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_72) - coupl(&
                        nGC_34)*coupl(nGC_451)*coupl(nGC_69) + coupl(nGC_34)*  &
                        coupl(nGC_451)*coupl(nGC_75) - coupl(nGC_35)*coupl(    &
                        nGC_425)*coupl(nGC_69) + coupl(nGC_35)*coupl(nGC_425)* &
                        coupl(nGC_75) - coupl(nGC_443)*coupl(nGC_57)*coupl(    &
                        nGC_72) + coupl(nGC_443)*coupl(nGC_57)*coupl(nGC_75))/(&
                        32d0*pi**2d0)
      coupl(nGC_1022) = coupl(nGC_11)**2d0*coupl(nGC_122)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1021) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_427) - coupl( &
                        nGC_120)*coupl(nGC_90)*coupl(nGC_92) - coupl(nGC_121)* &
                        coupl(nGC_122)**2d0 - coupl(nGC_121)*coupl(nGC_123)**  &
                        2d0 - coupl(nGC_121)*coupl(nGC_124)**2d0 + 8d0*coupl(  &
                        nGC_122)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_122)*coupl( &
                        nGC_51)*coupl(nGC_54) - coupl(nGC_123)*coupl(nGC_443)* &
                        coupl(nGC_54) - coupl(nGC_123)*coupl(nGC_51)*coupl(    &
                        nGC_57) - coupl(nGC_124)*coupl(nGC_447)*coupl(nGC_54   &
                        ) - coupl(nGC_124)*coupl(nGC_51)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1020) = coupl(nGC_11)**2d0*coupl(nGC_121)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1027) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_83) + 8d0*Nc*&
                        cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_83) - 8d0*Nc*&
                        cMB*coupl(nGC_53)**2d0*coupl(nGC_83) - 8d0*Nc*cMC*coupl&
                        (nGC_51)**2d0*coupl(nGC_88) + 8d0*Nc*cMC*coupl(nGC_51)*&
                        coupl(nGC_54)*coupl(nGC_88) - 8d0*Nc*cMC*coupl(nGC_54  &
                        )**2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*  &
                        coupl(nGC_93) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*&
                        coupl(nGC_93) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(   &
                        nGC_93) - 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)**2d0 &
                         + 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53&
                        ) - 8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_53)**2d0 - 8d0*&
                        Nc*cMT*coupl(nGC_113)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT* &
                        coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT&
                        *coupl(nGC_113)*coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl( &
                        nGC_123)*coupl(nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_123 &
                        )*coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMU*coupl(      &
                        nGC_123)*coupl(nGC_54)**2d0 - 8d0*cME*coupl(nGC_52)**  &
                        2d0*coupl(nGC_98) + 8d0*cME*coupl(nGC_52)*coupl(nGC_55 &
                        )*coupl(nGC_98) - 8d0*cME*coupl(nGC_55)**2d0*coupl(    &
                        nGC_98) - 8d0*cMM*coupl(nGC_103)*coupl(nGC_52)**2d0 +  &
                        8d0*cMM*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55) -   &
                        8d0*cMM*coupl(nGC_103)*coupl(nGC_55)**2d0 - 8d0*cMTA*  &
                        coupl(nGC_118)*coupl(nGC_52)**2d0 + 8d0*cMTA*coupl(    &
                        nGC_118)*coupl(nGC_52)*coupl(nGC_55) - 8d0*cMTA*coupl( &
                        nGC_118)*coupl(nGC_55)**2d0 + 4d0*cima*coupl(nGC_419)* &
                        coupl(nGC_69) - coupl(nGC_34)*coupl(nGC_417)*coupl(    &
                        nGC_68) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_68) +  &
                        6d0*coupl(nGC_37)**2d0*coupl(nGC_69) - coupl(nGC_37)*  &
                        coupl(nGC_425)*coupl(nGC_68) + 6d0*coupl(nGC_417)**2d0*&
                        coupl(nGC_69) - coupl(nGC_417)*coupl(nGC_451)*coupl(   &
                        nGC_68))/(32d0*pi**2d0)
      coupl(nGC_1026) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_83) - 4d0*Nc*&
                        cMC*coupl(nGC_33)**2d0*coupl(nGC_88) - 4d0*Nc*cMD*coupl&
                        (nGC_33)**2d0*coupl(nGC_93) - 4d0*Nc*cMS*coupl(nGC_108 &
                        )*coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_113)*coupl(&
                        nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_33  &
                        )**2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_98) - 4d0&
                        *cMM*coupl(nGC_103)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl&
                        (nGC_118)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_27)* &
                        coupl(nGC_69) + 2d0*cima*coupl(nGC_419)*coupl(nGC_72   &
                        ) - coupl(nGC_35)*coupl(nGC_417)*coupl(nGC_68) - coupl(&
                        nGC_35)*coupl(nGC_429)*coupl(nGC_71) + 6d0*coupl(nGC_37&
                        )**2d0*coupl(nGC_72) + 6d0*coupl(nGC_417)**2d0*coupl(  &
                        nGC_69) - coupl(nGC_417)*coupl(nGC_425)*coupl(nGC_68   &
                        ) - coupl(nGC_425)*coupl(nGC_429)*coupl(nGC_71) + 6d0* &
                        coupl(nGC_429)**2d0*coupl(nGC_69))/(32d0*pi**2d0)
      coupl(nGC_1025) = (24d0*Nc*cMB*coupl(nGC_83)*coupl(nGC_84)**2d0 + 24d0*Nc&
                        *cMC*coupl(nGC_88)*coupl(nGC_89)**2d0 + 24d0*Nc*cMD*   &
                        coupl(nGC_93)*coupl(nGC_94)**2d0 + 24d0*Nc*cMS*coupl(  &
                        nGC_108)*coupl(nGC_109)**2d0 + 24d0*Nc*cMT*coupl(      &
                        nGC_113)*coupl(nGC_114)**2d0 + 24d0*Nc*cMU*coupl(      &
                        nGC_123)*coupl(nGC_124)**2d0 + 24d0*cME*coupl(nGC_98)* &
                        coupl(nGC_99)**2d0 + 24d0*cMM*coupl(nGC_103)*coupl(    &
                        nGC_104)**2d0 + 24d0*cMTA*coupl(nGC_118)*coupl(nGC_119 &
                        )**2d0 + 8d0*cima*coupl(nGC_30)*coupl(nGC_70) + 4d0*   &
                        cima*coupl(nGC_31)*coupl(nGC_69) + 4d0*cima*coupl(     &
                        nGC_66)*coupl(nGC_73) + 2d0*cima*coupl(nGC_67)*coupl(  &
                        nGC_72) - coupl(nGC_34)*coupl(nGC_449)*coupl(nGC_70) + &
                        coupl(nGC_34)*coupl(nGC_449)*coupl(nGC_74) - coupl(    &
                        nGC_35)*coupl(nGC_455)*coupl(nGC_70) + coupl(nGC_35)*  &
                        coupl(nGC_455)*coupl(nGC_74) - coupl(nGC_425)*coupl(   &
                        nGC_46)*coupl(nGC_70) + coupl(nGC_425)*coupl(nGC_46)*  &
                        coupl(nGC_74) - coupl(nGC_443)*coupl(nGC_61)*coupl(    &
                        nGC_73) + coupl(nGC_443)*coupl(nGC_61)*coupl(nGC_74) - &
                        coupl(nGC_447)*coupl(nGC_57)*coupl(nGC_73) + coupl(    &
                        nGC_447)*coupl(nGC_57)*coupl(nGC_74) - coupl(nGC_447)* &
                        coupl(nGC_61)*coupl(nGC_72) + coupl(nGC_447)*coupl(    &
                        nGC_61)*coupl(nGC_75) - coupl(nGC_449)*coupl(nGC_47)*  &
                        coupl(nGC_69) + coupl(nGC_449)*coupl(nGC_47)*coupl(    &
                        nGC_75) - coupl(nGC_451)*coupl(nGC_47)*coupl(nGC_70) + &
                        coupl(nGC_451)*coupl(nGC_47)*coupl(nGC_74) - coupl(    &
                        nGC_455)*coupl(nGC_46)*coupl(nGC_69) + coupl(nGC_455)* &
                        coupl(nGC_46)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_1024) = (24d0*Nc*cMB*coupl(nGC_83)**2d0*coupl(nGC_84) + 24d0*Nc&
                        *cMC*coupl(nGC_88)**2d0*coupl(nGC_89) + 24d0*Nc*cMD*   &
                        coupl(nGC_93)**2d0*coupl(nGC_94) + 24d0*Nc*cMS*coupl(  &
                        nGC_108)**2d0*coupl(nGC_109) + 24d0*Nc*cMT*coupl(      &
                        nGC_113)**2d0*coupl(nGC_114) + 24d0*Nc*cMU*coupl(      &
                        nGC_123)**2d0*coupl(nGC_124) + 24d0*cME*coupl(nGC_98)**&
                        2d0*coupl(nGC_99) + 24d0*cMM*coupl(nGC_103)**2d0*coupl(&
                        nGC_104) + 24d0*cMTA*coupl(nGC_118)**2d0*coupl(nGC_119 &
                        ) + 4d0*cima*coupl(nGC_28)*coupl(nGC_70) + 8d0*cima*   &
                        coupl(nGC_30)*coupl(nGC_69) + 2d0*cima*coupl(nGC_65)*  &
                        coupl(nGC_73) + 4d0*cima*coupl(nGC_66)*coupl(nGC_72) - &
                        coupl(nGC_34)*coupl(nGC_449)*coupl(nGC_69) + coupl(    &
                        nGC_34)*coupl(nGC_449)*coupl(nGC_75) - coupl(nGC_34)*  &
                        coupl(nGC_451)*coupl(nGC_70) + coupl(nGC_34)*coupl(    &
                        nGC_451)*coupl(nGC_74) - coupl(nGC_35)*coupl(nGC_425)* &
                        coupl(nGC_70) + coupl(nGC_35)*coupl(nGC_425)*coupl(    &
                        nGC_74) - coupl(nGC_35)*coupl(nGC_455)*coupl(nGC_69) + &
                        coupl(nGC_35)*coupl(nGC_455)*coupl(nGC_75) - coupl(    &
                        nGC_425)*coupl(nGC_46)*coupl(nGC_69) + coupl(nGC_425)* &
                        coupl(nGC_46)*coupl(nGC_75) - coupl(nGC_443)*coupl(    &
                        nGC_57)*coupl(nGC_73) + coupl(nGC_443)*coupl(nGC_57)*  &
                        coupl(nGC_74) - coupl(nGC_443)*coupl(nGC_61)*coupl(    &
                        nGC_72) + coupl(nGC_443)*coupl(nGC_61)*coupl(nGC_75) - &
                        coupl(nGC_447)*coupl(nGC_57)*coupl(nGC_72) + coupl(    &
                        nGC_447)*coupl(nGC_57)*coupl(nGC_75) - coupl(nGC_451)* &
                        coupl(nGC_47)*coupl(nGC_69) + coupl(nGC_451)*coupl(    &
                        nGC_47)*coupl(nGC_75))/(32d0*pi**2d0)
      coupl(nGC_928) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_83) - &
                       4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_83) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_88) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_88) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_93) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_93) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_50) -  &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_53) -  &
                       4d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_51) -  &
                       4d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_54) -  &
                       4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_51) -  &
                       4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_54) -  &
                       4d0*cME*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_98) - 4d0* &
                       cME*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_98) - 4d0*cMM* &
                       coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM*    &
                       coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_55) - 4d0*cMTA*   &
                       coupl(nGC_118)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMTA*   &
                       coupl(nGC_118)*coupl(nGC_4)*coupl(nGC_55) + 4d0*cima*   &
                       coupl(nGC_41)*coupl(nGC_69) + 6d0*coupl(nGC_3)*coupl(   &
                       nGC_37)*coupl(nGC_69) - coupl(nGC_3)*coupl(nGC_425)*    &
                       coupl(nGC_68) - coupl(nGC_34)*coupl(nGC_417)*coupl(     &
                       nGC_71) - coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_71) +   &
                       6d0*coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_69) - coupl(&
                       nGC_429)*coupl(nGC_451)*coupl(nGC_68))/(32d0*pi**2d0)
      coupl(nGC_929) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_84) - &
                       4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_84) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_89) -   &
                       4d0*Nc*cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_89) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_94) -   &
                       4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_94) -   &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_50) -  &
                       4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_53) -  &
                       4d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_51) -  &
                       4d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_54) -  &
                       4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_51) -  &
                       4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_54) -  &
                       4d0*cME*coupl(nGC_4)*coupl(nGC_52)*coupl(nGC_99) - 4d0* &
                       cME*coupl(nGC_4)*coupl(nGC_55)*coupl(nGC_99) - 4d0*cMM* &
                       coupl(nGC_104)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM*    &
                       coupl(nGC_104)*coupl(nGC_4)*coupl(nGC_55) - 4d0*cMTA*   &
                       coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_52) - 4d0*cMTA*   &
                       coupl(nGC_119)*coupl(nGC_4)*coupl(nGC_55) + 4d0*cima*   &
                       coupl(nGC_41)*coupl(nGC_70) + 6d0*coupl(nGC_3)*coupl(   &
                       nGC_37)*coupl(nGC_70) - coupl(nGC_3)*coupl(nGC_455)*    &
                       coupl(nGC_68) - coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_71&
                       ) + 6d0*coupl(nGC_417)*coupl(nGC_429)*coupl(nGC_70) -   &
                       coupl(nGC_417)*coupl(nGC_47)*coupl(nGC_71) - coupl(     &
                       nGC_429)*coupl(nGC_449)*coupl(nGC_68))/(32d0*pi**2d0)
      coupl(nGC_922) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80) - &
                       2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85) -   &
                       2d0*Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90) -   &
                       2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33) -  &
                       2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33) -  &
                       2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33) +  &
                       4d0*cima*coupl(nGC_439)*coupl(nGC_68) + 4d0*cima*coupl( &
                       nGC_5)*coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_4)*coupl( &
                       nGC_71) + 6d0*coupl(nGC_3)*coupl(nGC_429)*coupl(nGC_71  &
                       ) - coupl(nGC_35)*coupl(nGC_429)*coupl(nGC_69) + 6d0*   &
                       coupl(nGC_37)*coupl(nGC_429)*coupl(nGC_68) - coupl(     &
                       nGC_37)*coupl(nGC_55)*coupl(nGC_71) - coupl(nGC_429)*   &
                       coupl(nGC_46)*coupl(nGC_70))/(32d0*pi**2d0)
      coupl(nGC_889) = cima*(-2d0*Nc*coupl(nGC_50)**2d0 - 2d0*Nc*coupl(nGC_51  &
                       )**2d0 - 2d0*Nc*coupl(nGC_53)**2d0 - 2d0*Nc*coupl(nGC_54&
                       )**2d0 - coupl(nGC_37)**2d0 - coupl(nGC_417)**2d0 - 2d0*&
                       coupl(nGC_52)**2d0 - 2d0*coupl(nGC_55)**2d0 - 2d0*coupl(&
                       nGC_56)**2d0)/(32d0*pi**2d0)
      coupl(nGC_888) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_50) + 2d0* &
                       Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_53) + 2d0*Nc*cMC&
                       **2d0*cima*coupl(nGC_2)*coupl(nGC_51) + 2d0*Nc*cMC**2d0*&
                       cima*coupl(nGC_2)*coupl(nGC_54) + 2d0*Nc*cMD**2d0*cima* &
                       coupl(nGC_1)*coupl(nGC_50) + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)*coupl(nGC_53) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1 &
                       )*coupl(nGC_50) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*    &
                       coupl(nGC_53) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(&
                       nGC_51) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_54&
                       ) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_51) +   &
                       2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_54) + 2d0*  &
                       cME**2d0*cima*coupl(nGC_4)*coupl(nGC_52) + 2d0*cME**2d0*&
                       cima*coupl(nGC_4)*coupl(nGC_55) + 2d0*cMM**2d0*cima*    &
                       coupl(nGC_4)*coupl(nGC_52) + 2d0*cMM**2d0*cima*coupl(   &
                       nGC_4)*coupl(nGC_55) + 2d0*cMTA**2d0*cima*coupl(nGC_4)* &
                       coupl(nGC_52) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(  &
                       nGC_55) + 3d0*cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_37   &
                       ) + 3d0*cMW**2d0*cima*coupl(nGC_417)*coupl(nGC_429) -   &
                       2d0*cMW**2d0*coupl(nGC_41))/(16d0*pi**2d0)
      coupl(nGC_1335) = coupl(nGC_854)*dys_QED3
      coupl(nGC_1334) = coupl(nGC_855)*dys_QED1_QCD2
      coupl(nGC_1333) = coupl(nGC_855)*dys_QED3
      coupl(nGC_881) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                       nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_429)**2d0 -   &
                       2d0*cMW**2d0*coupl(nGC_445))/(16d0*pi**2d0)
      coupl(nGC_880) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_429)**2d0)/(48d0*pi &
                       **2d0)
      coupl(nGC_883) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC**&
                       2d0*cima*coupl(nGC_89)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl&
                       (nGC_94)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_109)**2d0&
                        - 4d0*Nc*cMT**2d0*cima*coupl(nGC_114)**2d0 - 4d0*Nc*cMU&
                       **2d0*cima*coupl(nGC_124)**2d0 - 4d0*cME**2d0*cima*coupl&
                       (nGC_99)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_104)**2d0 - &
                       4d0*cMTA**2d0*cima*coupl(nGC_119)**2d0 - cMW**2d0*cima* &
                       coupl(nGC_449)*coupl(nGC_47) - cMW**2d0*cima*coupl(     &
                       nGC_455)*coupl(nGC_46) - 2d0*cMW**2d0*coupl(nGC_31) -   &
                       cMZ**2d0*cima*coupl(nGC_447)*coupl(nGC_61) - cMZ**2d0*  &
                       coupl(nGC_67) + 2d0*cima*coupl(nGC_70)**2d0 + cima*coupl&
                       (nGC_73)**2d0)/(16d0*pi**2d0)
      coupl(nGC_882) = cima*(4d0*Nc*coupl(nGC_109)**2d0 + 4d0*Nc*coupl(nGC_114 &
                       )**2d0 + 4d0*Nc*coupl(nGC_124)**2d0 + 4d0*Nc*coupl(     &
                       nGC_84)**2d0 + 4d0*Nc*coupl(nGC_89)**2d0 + 4d0*Nc*coupl(&
                       nGC_94)**2d0 + 4d0*coupl(nGC_104)**2d0 + 4d0*coupl(     &
                       nGC_119)**2d0 + coupl(nGC_447)*coupl(nGC_61) + coupl(   &
                       nGC_449)*coupl(nGC_47) + coupl(nGC_455)*coupl(nGC_46) + &
                       4d0*coupl(nGC_99)**2d0)/(96d0*pi**2d0)
      coupl(nGC_885) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_83)*coupl(nGC_84) - 8d0&
                       *Nc*cMC**2d0*cima*coupl(nGC_88)*coupl(nGC_89) - 8d0*Nc* &
                       cMD**2d0*cima*coupl(nGC_93)*coupl(nGC_94) - 8d0*Nc*cMS**&
                       2d0*cima*coupl(nGC_108)*coupl(nGC_109) - 8d0*Nc*cMT**2d0&
                       *cima*coupl(nGC_113)*coupl(nGC_114) - 8d0*Nc*cMU**2d0*  &
                       cima*coupl(nGC_123)*coupl(nGC_124) - 8d0*cME**2d0*cima* &
                       coupl(nGC_98)*coupl(nGC_99) - 8d0*cMM**2d0*cima*coupl(  &
                       nGC_103)*coupl(nGC_104) - 8d0*cMTA**2d0*cima*coupl(     &
                       nGC_118)*coupl(nGC_119) - cMW**2d0*cima*coupl(nGC_34)*  &
                       coupl(nGC_449) - cMW**2d0*cima*coupl(nGC_35)*coupl(     &
                       nGC_455) - cMW**2d0*cima*coupl(nGC_425)*coupl(nGC_46) - &
                       cMW**2d0*cima*coupl(nGC_451)*coupl(nGC_47) - 4d0*cMW**  &
                       2d0*coupl(nGC_30) - cMZ**2d0*cima*coupl(nGC_443)*coupl( &
                       nGC_61) - cMZ**2d0*cima*coupl(nGC_447)*coupl(nGC_57) -  &
                       2d0*cMZ**2d0*coupl(nGC_66) + 4d0*cima*coupl(nGC_69)*    &
                       coupl(nGC_70) + 2d0*cima*coupl(nGC_72)*coupl(nGC_73))/( &
                       32d0*pi**2d0)
      coupl(nGC_884) = cima*(8d0*Nc*coupl(nGC_108)*coupl(nGC_109) + 8d0*Nc*    &
                       coupl(nGC_113)*coupl(nGC_114) + 8d0*Nc*coupl(nGC_123)*  &
                       coupl(nGC_124) + 8d0*Nc*coupl(nGC_83)*coupl(nGC_84) +   &
                       8d0*Nc*coupl(nGC_88)*coupl(nGC_89) + 8d0*Nc*coupl(nGC_93&
                       )*coupl(nGC_94) + 8d0*coupl(nGC_103)*coupl(nGC_104) +   &
                       8d0*coupl(nGC_118)*coupl(nGC_119) + coupl(nGC_34)*coupl(&
                       nGC_449) + coupl(nGC_35)*coupl(nGC_455) + coupl(nGC_425 &
                       )*coupl(nGC_46) + coupl(nGC_443)*coupl(nGC_61) + coupl( &
                       nGC_447)*coupl(nGC_57) + coupl(nGC_451)*coupl(nGC_47) + &
                       8d0*coupl(nGC_98)*coupl(nGC_99))/(192d0*pi**2d0)
      coupl(nGC_887) = cima*(coupl(nGC_3)*coupl(nGC_37) + coupl(nGC_417)*coupl(&
                       nGC_429))/(48d0*pi**2d0)
      coupl(nGC_886) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_50) - 2d0*Nc*coupl(&
                       nGC_1)*coupl(nGC_53) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_51 &
                       ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_54) - coupl(nGC_3)*   &
                       coupl(nGC_37) - 2d0*coupl(nGC_4)*coupl(nGC_52) - 2d0*   &
                       coupl(nGC_4)*coupl(nGC_55) - coupl(nGC_417)*coupl(      &
                       nGC_429))/(32d0*pi**2d0)
      coupl(nGC_1720) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1721) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1722) = -coupl(nGC_1283) - coupl(nGC_34)*dZHh_QED2/2d0 - coupl(&
                        nGC_34)*dZWMinus_QED2/2d0 - coupl(nGC_47)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1724) = coupl(nGC_1252) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_37)*dZWMinus_QED2 + coupl(nGC_37)*dZZ_QED2/2d0
      coupl(nGC_1725) = coupl(nGC_1347) + coupl(nGC_93)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_94)*dZHl_QED2/2d0 + coupl(nGC_94)*dZdL_QED2/2d0 + &
                        coupl(nGC_94)*dZdR_QED2/2d0
      coupl(nGC_1726) = coupl(nGC_1348) + coupl(nGC_94)*dZdL_QCD2/2d0 + coupl( &
                        nGC_94)*dZdR_QCD2/2d0
      coupl(nGC_1727) = coupl(nGC_61)*dZZA_QED2/2d0
      coupl(nGC_1728) = coupl(nGC_1281) + coupl(nGC_35)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_46)*dZHl_QED2/2d0 + coupl(nGC_46)*dZWMinus_QED2/  &
                        2d0
      coupl(nGC_1729) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_1308) + coupl(nGC_53)*dZZA_QED2/2d0
      coupl(nGC_1809) = coupl(nGC_1469) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0 + coupl(nGC_TS_GC_123_Hh) + coupl&
                        (nGC_TS_GC_124_Hl)
      coupl(nGC_1804) = coupl(nGC_1294) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZZ_QED2/2d0
      coupl(nGC_1098) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_92) +   &
                        coupl(nGC_53)*coupl(nGC_93)**2d0 + coupl(nGC_53)*coupl(&
                        nGC_94)**2d0 + coupl(nGC_54)*coupl(nGC_90)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1099) = (4d0*coupl(nGC_4)**2d0*coupl(nGC_52) + 4d0*coupl(nGC_52&
                        )**3d0 + coupl(nGC_55)*coupl(nGC_96)*coupl(nGC_97) +   &
                        coupl(nGC_55)*coupl(nGC_98)**2d0 + coupl(nGC_55)*coupl(&
                        nGC_99)**2d0 + coupl(nGC_56)*coupl(nGC_95)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1157) = (6d0*Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_50) + 6d0*Nc* &
                        cima*coupl(nGC_1)**3d0*coupl(nGC_53) + 6d0*Nc*cima*    &
                        coupl(nGC_2)**3d0*coupl(nGC_51) + 6d0*Nc*cima*coupl(   &
                        nGC_2)**3d0*coupl(nGC_54) - 20d0*cima*coupl(nGC_3)**3d0&
                        *coupl(nGC_37) + 6d0*cima*coupl(nGC_4)**3d0*coupl(     &
                        nGC_52) + 6d0*cima*coupl(nGC_4)**3d0*coupl(nGC_55) +   &
                        6d0*cima*coupl(nGC_41)*coupl(nGC_445) - 20d0*cima*coupl&
                        (nGC_417)*coupl(nGC_429)**3d0 + 9d0*coupl(nGC_3)**2d0* &
                        coupl(nGC_41) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_439) + &
                        9d0*coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_445) + 3d0*   &
                        coupl(nGC_3)*coupl(nGC_37)*coupl(nGC_5) + 9d0*coupl(   &
                        nGC_41)*coupl(nGC_429)**2d0 + 9d0*coupl(nGC_417)*coupl(&
                        nGC_429)*coupl(nGC_445) + 3d0*coupl(nGC_417)*coupl(    &
                        nGC_429)*coupl(nGC_5) + 3d0*coupl(nGC_429)**2d0*coupl( &
                        nGC_439))/(48d0*pi**2d0)
      coupl(nGC_1092) = coupl(nGC_11)**2d0*coupl(nGC_50)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1093) = (coupl(nGC_105)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_2)**&
                        2d0*coupl(nGC_54) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_37&
                        ) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_53) + coupl(nGC_51&
                        )*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_51)*coupl(   &
                        nGC_88)**2d0 + coupl(nGC_51)*coupl(nGC_89)**2d0 + 4d0* &
                        coupl(nGC_54)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1090) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1091) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_50) + 4d0*coupl(nGC_50&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_81)*coupl(nGC_82) +   &
                        coupl(nGC_53)*coupl(nGC_83)**2d0 + coupl(nGC_53)*coupl(&
                        nGC_84)**2d0 + coupl(nGC_54)*coupl(nGC_80)**2d0)/(32d0*&
                        pi**2d0)
      coupl(nGC_1096) = coupl(nGC_11)**2d0*coupl(nGC_51)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1097) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_53) + coupl(nGC_120)**&
                        2d0*coupl(nGC_51) + 4d0*coupl(nGC_33)**2d0*coupl(      &
                        nGC_417) + 4d0*coupl(nGC_33)**2d0*coupl(nGC_54) + coupl&
                        (nGC_50)*coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_50)*  &
                        coupl(nGC_93)**2d0 + coupl(nGC_50)*coupl(nGC_94)**2d0  &
                         + 4d0*coupl(nGC_53)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1094) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1095) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_51) + 4d0*coupl(nGC_51&
                        )**3d0 + coupl(nGC_53)*coupl(nGC_85)**2d0 + coupl(     &
                        nGC_54)*coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_54)*   &
                        coupl(nGC_88)**2d0 + coupl(nGC_54)*coupl(nGC_89)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_1795) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1794) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_1797) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1796) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZcR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
      coupl(nGC_1658) = coupl(nGC_1307) + coupl(nGC_2)*dZA_QED2/2d0 + coupl(   &
                        nGC_2)*dZtL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
      coupl(nGC_1659) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1654) = coupl(nGC_1340) + coupl(nGC_81)*dZbL_QCD2/2d0 + coupl( &
                        nGC_81)*dZbR_QCD2/2d0
      coupl(nGC_1655) = coupl(nGC_1337) + coupl(nGC_82)*dZbL_QED2/2d0 + coupl( &
                        nGC_82)*dZbR_QED2/2d0
      coupl(nGC_1656) = coupl(nGC_1338) + coupl(nGC_82)*dZbL_QCD2/2d0 + coupl( &
                        nGC_82)*dZbR_QCD2/2d0
      coupl(nGC_1657) = -coupl(nGC_61)*dZZA_QED2/2d0
      coupl(nGC_1651) = coupl(nGC_11)*dZtR_QED2
      coupl(nGC_1652) = -coupl(nGC_1280) - coupl(nGC_35)*dZHh_QED2/2d0 - coupl(&
                        nGC_35)*dZWMinus_QED2/2d0 - coupl(nGC_46)*dZHlHh_QED2/ &
                        2d0
      coupl(nGC_1653) = coupl(nGC_1339) + coupl(nGC_81)*dZbL_QED2/2d0 + coupl( &
                        nGC_81)*dZbR_QED2/2d0
      coupl(nGC_1309) = coupl(nGC_259)*dZgs_QCD2
      coupl(nGC_1386) = coupl(nGC_866)*dyup_QED3 + coupl(nGC_867)*da_QED2
      coupl(nGC_1387) = coupl(nGC_866)*dyup_QED1_QCD2
      coupl(nGC_1384) = coupl(nGC_275)*dyt_QED3 + coupl(nGC_277)*da_QED2
      coupl(nGC_1385) = coupl(nGC_275)*dyt_QED1_QCD2
      coupl(nGC_1380) = coupl(nGC_868)*dyup_QED3 + coupl(nGC_869)*da_QED2
      coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1571) = coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_118)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_118)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_119)*dZHlHh_QED2/2d0 + coupl(nGC_1364)
      coupl(nGC_1570) = coupl(nGC_117)*dZtauMinusL_QED2/2d0 + coupl(nGC_117)*  &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_1361)
      coupl(nGC_1573) = coupl(nGC_113)*dZHhHl_QED2/2d0 + coupl(nGC_114)*       &
                        dZHl_QED2/2d0 + coupl(nGC_114)*dZtL_QED2/2d0 + coupl(  &
                        nGC_114)*dZtR_QED2/2d0 + coupl(nGC_1390)
      coupl(nGC_1572) = coupl(nGC_1298) + coupl(nGC_68)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_68)*dZZ_QED2/2d0 + coupl(nGC_71)*dZAZ_QED2/  &
                        2d0 + coupl(nGC_TS_GC_17_Hl) + coupl(nGC_TS_GC_9_Hh)
      coupl(nGC_1575) = coupl(nGC_1315) + coupl(nGC_56)*dZZ_QED2/2d0 + coupl(  &
                        nGC_56)*dZnu_muL_QED2
      coupl(nGC_1574) = coupl(nGC_114)*dZtL_QCD2/2d0 + coupl(nGC_114)*dZtR_QCD2&
                        /2d0 + coupl(nGC_1391)
      coupl(nGC_1577) = coupl(nGC_124)*dZuL_QCD2/2d0 + coupl(nGC_124)*dZuR_QCD2&
                        /2d0 + coupl(nGC_1387)
      coupl(nGC_1576) = coupl(nGC_123)*dZHhHl_QED2/2d0 + coupl(nGC_124)*       &
                        dZHl_QED2/2d0 + coupl(nGC_124)*dZuL_QED2/2d0 + coupl(  &
                        nGC_124)*dZuR_QED2/2d0 + coupl(nGC_1386)
      coupl(nGC_1578) = -coupl(nGC_1284) - coupl(nGC_34)*dZHhHl_QED2/2d0 -     &
                        coupl(nGC_47)*dZHl_QED2/2d0 - coupl(nGC_47)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_1290) = coupl(nGC_792)*dsw_QED2 + coupl(nGC_793)*dZee_QED2 +   &
                        coupl(nGC_794)*dvev_QED1 + coupl(nGC_795)*da_QED2
      coupl(nGC_1013) = (-coupl(nGC_110)*coupl(nGC_32)*coupl(nGC_33) - coupl(  &
                        nGC_110)*coupl(nGC_80)*coupl(nGC_81) - coupl(nGC_111)**&
                        2d0*coupl(nGC_112) + 8d0*coupl(nGC_111)*coupl(nGC_2)** &
                        2d0 + 8d0*coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_54) - &
                        coupl(nGC_112)*coupl(nGC_113)**2d0 - coupl(nGC_112)*   &
                        coupl(nGC_114)**2d0 - coupl(nGC_113)*coupl(nGC_443)*   &
                        coupl(nGC_51) - coupl(nGC_113)*coupl(nGC_54)*coupl(    &
                        nGC_57) - coupl(nGC_114)*coupl(nGC_447)*coupl(nGC_51   &
                        ) - coupl(nGC_114)*coupl(nGC_54)*coupl(nGC_61))/(32d0* &
                        pi**2d0)
      coupl(nGC_1600) = coupl(nGC_1294) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_55)*dZZ_QED2/2d0 + coupl(nGC_55)*dZmuMinusL_QED2
      coupl(nGC_962) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_966) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(16d0*pi**2d0*Nc)
      coupl(nGC_964) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_968) = coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1272) = coupl(nGC_245)*da_QED2 + coupl(nGC_247)*dvevs_QED1 +   &
                        coupl(nGC_249)*dvev_QED1 + coupl(nGC_251)*dl2_QED4 +   &
                        coupl(nGC_253)*dl3_QED4 + coupl(nGC_255)*dl1_QED4
      coupl(nGC_1273) = coupl(nGC_612)*dZee_QED2
      coupl(nGC_1271) = coupl(nGC_231)*da_QED2 + coupl(nGC_233)*dvevs_QED1 +   &
                        coupl(nGC_235)*dvev_QED1 + coupl(nGC_237)*dl2_QED4 +   &
                        coupl(nGC_239)*dl3_QED4 + coupl(nGC_241)*dl1_QED4
      coupl(nGC_1277) = coupl(nGC_719)*dsw_QED2 + coupl(nGC_720)*dZee_QED2 +   &
                        coupl(nGC_721)*da_QED2
      coupl(nGC_1274) = coupl(nGC_608)*dZee_QED2
      coupl(nGC_1761) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_1313) + coupl(  &
                        nGC_50)*dZZ_QED2/2d0 + coupl(nGC_50)*dZdR_QED2
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
