!******************************************************************************!
!                                                                              !
!    ctparameter40.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter40.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter40
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter40()
  if (dZsL_QED2_scheme .eq. 2) then
    dZsL_QED2 = (Ten201*coupl(nGC_1)**2d0 - Ten265*(coupl(nGC_106)*coupl(      &
                nGC_107) + 2d0*coupl(nGC_53)**2d0) - Ten266*coupl(nGC_108)**2d0&
                 - Ten267*coupl(nGC_109)**2d0 + Ten352*(2d0*coupl(nGC_33)**2d0 &
                 + coupl(nGC_85)**2d0) + Ten353*(2d0*coupl(nGC_33)**2d0 + coupl&
                (nGC_85)**2d0) - coupl(nGC_33)**2d0 - coupl(nGC_53)**2d0)/(16d0&
                *pi**2d0)
    if (.not. complex_mass_scheme) then
      dZsL_QED2 = cone*real(dZsL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter40
end module ctparameter40
