!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:54             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(1522)%branchR2(0:0))
      call avR2(1522, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_929/))

      allocate(vertices(565)%branchR2(0:0))
      call avR2(565, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(202)%branchR2(0:0))
      call avR2(202, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1027/))

      allocate(vertices(75)%branchR2(0:1))
      call avR2(75, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1084/))

      call avR2(75, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1833/))

      allocate(vertices(321)%branchR2(0:1))
      call avR2(321, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_948, nGC_949/))

      call avR2(321, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1637)%branchR2(0:1))
      call avR2(1637, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_1205/))

      call avR2(1637, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_1204/))

      allocate(vertices(767)%branchR2(0:1))
      call avR2(767, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1064, nGC_1063/))

      call avR2(767, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1065, nGC_1065/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1638)%branchR2(0:1))
      call avR2(1638, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_1173, nGC_1173,      &
      nGC_1173/))

      call avR2(1638, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_1174, nGC_1174,      &
      nGC_1174/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_955/))

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(591)%branchR2(0:1))
      call avR2(591, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1061, nGC_1060/))

      call avR2(591, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1062, nGC_1062/))

      allocate(vertices(597)%branchR2(0:1))
      call avR2(597, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1029, nGC_1028/))

      call avR2(597, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1030, nGC_1030/))

      allocate(vertices(867)%branchR2(0:1))
      call avR2(867, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1029, nGC_1028/))

      call avR2(867, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1030, nGC_1030/))

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1210, nGC_1209,        &
      nGC_1208/))

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(822)%branchR2(0:3))
      call avR2(822, 0, 40, 1, 0, VFaF0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(822, 1, 40, 1, 0, VFaF0, (/1, 2/), (/nGC_1117, nGC_1119/))

      call avR2(822, 2, 41, 1, 0, VFaF0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(822, 3, 41, 1, 0, VFaF0, (/1, 2/), (/nGC_1114, nGC_1116/))

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(636)%branchR2(0:1))
      call avR2(636, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1044, nGC_1043/))

      call avR2(636, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1045, nGC_1045/))

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1207/))

      allocate(vertices(424)%branchR2(0:1))
      call avR2(424, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1073, nGC_1072/))

      call avR2(424, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1074, nGC_1074/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1066, nGC_1067/))

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1196/))

      allocate(vertices(795)%branchR2(0:3))
      call avR2(795, 0, 38, 1, 0, VFFa0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(795, 1, 38, 1, 0, VFFa0, (/1, 2/), (/nGC_1122, nGC_1123/))

      call avR2(795, 2, 39, 1, 0, VFFa0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(795, 3, 39, 1, 0, VFFa0, (/1, 2/), (/nGC_1120, nGC_1121/))

      allocate(vertices(1304)%branchR2(0:1))
      call avR2(1304, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1047, nGC_1046/))

      call avR2(1304, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1048, nGC_1048/))

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(1639)%branchR2(0:5))
      call avR2(1639, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_1228, nGC_1228,      &
      nGC_1228/))

      call avR2(1639, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1639, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1639, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_1229, nGC_1229,      &
      nGC_1229/))

      call avR2(1639, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_1230, nGC_1230,      &
      nGC_1230/))

      call avR2(1639, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_1228, nGC_1228,      &
      nGC_1228/))

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1005, nGC_1006/))

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1640)%branchR2(0:1))
      call avR2(1640, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_1221/))

      call avR2(1640, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_1222/))

      allocate(vertices(770)%branchR2(0:0))
      call avR2(770, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_976/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(1375)%branchR2(0:0))
      call avR2(1375, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1056/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(1641)%branchR2(0:1))
      call avR2(1641, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1215/))

      call avR2(1641, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1214/))

      allocate(vertices(1642)%branchR2(0:1))
      call avR2(1642, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_1184/))

      call avR2(1642, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_1183/))

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(1643)%branchR2(0:1))
      call avR2(1643, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_1212, nGC_1212,      &
      nGC_1212/))

      call avR2(1643, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_1213, nGC_1213,      &
      nGC_1213/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1041/))

      call avR2(1644, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1042/))

      allocate(vertices(921)%branchR2(0:1))
      call avR2(921, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_995, nGC_993/))

      call avR2(921, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_996, nGC_994/))

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1123)%branchR2(0:3))
      call avR2(1123, 0, 37, 1, 0, FaFV1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(1123, 1, 37, 1, 0, FaFV1, (/1, 2/), (/nGC_1128, nGC_1129/))

      call avR2(1123, 2, 36, 1, 0, FaFV1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(1123, 3, 36, 1, 0, FaFV1, (/1, 2/), (/nGC_1131, nGC_1132/))

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1835/))

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1151/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(679)%branchR2(0:3))
      call avR2(679, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(679, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_1138, nGC_1139/))

      call avR2(679, 2, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(679, 3, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_1140, nGC_1141/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_974/))

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_979/))

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_975/))

      allocate(vertices(1397)%branchR2(0:0))
      call avR2(1397, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_951, nGC_950/))

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(828)%branchR2(0:1))
      call avR2(828, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1106, nGC_1107/))

      call avR2(828, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_988/))

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1202/))

      allocate(vertices(1020)%branchR2(0:1))
      call avR2(1020, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1073, nGC_1072/))

      call avR2(1020, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1074, nGC_1074/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1190/))

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_989/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(178)%branchR2(0:3))
      call avR2(178, 0, 32, 1, 0, FVFa1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(178, 1, 32, 1, 0, FVFa1, (/1, 2/), (/nGC_1136, nGC_1137/))

      call avR2(178, 2, 33, 1, 0, FVFa1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(178, 3, 33, 1, 0, FVFa1, (/1, 2/), (/nGC_1134, nGC_1135/))

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1086)%branchR2(0:1))
      call avR2(1086, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1044, nGC_1043/))

      call avR2(1086, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1045, nGC_1045/))

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1203/))

      allocate(vertices(550)%branchR2(0:1))
      call avR2(550, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_963, nGC_961/))

      call avR2(550, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_964, nGC_962/))

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(1085)%branchR2(0:1))
      call avR2(1085, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1086/))

      call avR2(1085, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(240)%branchR2(0:1))
      call avR2(240, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1084/))

      call avR2(240, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1078, nGC_1079/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1207/))

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1068, nGC_1069/))

      allocate(vertices(637)%branchR2(0:0))
      call avR2(637, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1497)%branchR2(0:0))
      call avR2(1497, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_929/))

      allocate(vertices(539)%branchR2(0:1))
      call avR2(539, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1112, nGC_1113/))

      call avR2(539, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(580)%branchR2(0:1))
      call avR2(580, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_983, nGC_982/))

      call avR2(580, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_968, nGC_966/))

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1041)%branchR2(0:3))
      call avR2(1041, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(1041, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_1128, nGC_1129/))

      call avR2(1041, 2, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(1041, 3, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_1131, nGC_1132/))

      allocate(vertices(607)%branchR2(0:0))
      call avR2(607, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1017, nGC_1018/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(862)%branchR2(0:1))
      call avR2(862, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1089, nGC_1091/))

      call avR2(862, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(703)%branchR2(0:3))
      call avR2(703, 0, 37, 1, 0, FaFV1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(703, 1, 37, 1, 0, FaFV1, (/1, 2/), (/nGC_1138, nGC_1139/))

      call avR2(703, 2, 36, 1, 0, FaFV1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(703, 3, 36, 1, 0, FaFV1, (/1, 2/), (/nGC_1140, nGC_1141/))

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(217)%branchR2(0:1))
      call avR2(217, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1047, nGC_1046/))

      call avR2(217, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1048, nGC_1048/))

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(711)%branchR2(0:0))
      call avR2(711, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1839/))

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 14, 1, 0, VV0, (/0, 2/), (/nGC_881, nGC_879, nGC_880/))

      allocate(vertices(963)%branchR2(0:1))
      call avR2(963, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(963, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1648)%branchR2(0:1))
      call avR2(1648, 0, 45, 1, 0, VSV0, (/2, 1/), (/nGC_1070/))

      call avR2(1648, 1, 46, 1, 0, VSV0, (/2, 1/), (/nGC_1071/))

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(380)%branchR2(0:1))
      call avR2(380, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(380, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(665)%branchR2(0:1))
      call avR2(665, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1097, nGC_1098/))

      call avR2(665, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1203)%branchR2(0:3))
      call avR2(1203, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(1203, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1140, nGC_1141/))

      call avR2(1203, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(1203, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1138, nGC_1139/))

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(150)%branchR2(0:1))
      call avR2(150, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1089, nGC_1091/))

      call avR2(150, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(1438)%branchR2(0:1))
      call avR2(1438, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_900, nGC_897, nGC_898 &
      , nGC_898/))

      call avR2(1438, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_892, nGC_892, nGC_899 &
      , nGC_899/))

      allocate(vertices(412)%branchR2(0:0))
      call avR2(412, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1649)%branchR2(0:1))
      call avR2(1649, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      call avR2(1649, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 14, 1, 0, SS0, (/0, 2/), (/nGC_878, nGC_877/))

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_987/))

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1054)%branchR2(0:3))
      call avR2(1054, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(1054, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1122, nGC_1123/))

      call avR2(1054, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(1054, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1120, nGC_1121/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1199/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(825)%branchR2(0:1))
      call avR2(825, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1086/))

      call avR2(825, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(510)%branchR2(0:1))
      call avR2(510, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1089, nGC_1091/))

      call avR2(510, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1188/))

      allocate(vertices(1282)%branchR2(0:0))
      call avR2(1282, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1199/))

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_923/))

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1078, nGC_1079/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1495)%branchR2(0:0))
      call avR2(1495, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_944/))

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1005, nGC_1006/))

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1087/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_955/))

      allocate(vertices(1650)%branchR2(0:1))
      call avR2(1650, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_1221/))

      call avR2(1650, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_1222/))

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_954/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1105/))

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1144/))

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(811)%branchR2(0:0))
      call avR2(811, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1005, nGC_1006/))

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1841/))

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_976/))

      allocate(vertices(1071)%branchR2(0:0))
      call avR2(1071, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(1651)%branchR2(0:1))
      call avR2(1651, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_1213, nGC_1213,      &
      nGC_1213/))

      call avR2(1651, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_1212, nGC_1212,      &
      nGC_1212/))

      allocate(vertices(396)%branchR2(0:0))
      call avR2(396, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1188/))

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1150/))

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1147, nGC_1145,        &
      nGC_1146/))

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(865)%branchR2(0:1))
      call avR2(865, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_946, nGC_947/))

      call avR2(865, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(429)%branchR2(0:1))
      call avR2(429, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1086/))

      call avR2(429, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_992/))

      allocate(vertices(531)%branchR2(0:1))
      call avR2(531, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(531, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1194/))

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_954/))

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(633)%branchR2(0:1))
      call avR2(633, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1064, nGC_1063/))

      call avR2(633, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1065, nGC_1065/))

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1832/))

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(1429)%branchR2(0:1))
      call avR2(1429, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_900, nGC_897, nGC_898 &
      , nGC_898/))

      call avR2(1429, 1, 13, 1, 0, FFa2, (/2, 0/), (/nGC_892, nGC_892, nGC_899 &
      , nGC_899/))

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1837/))

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1202/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1264)%branchR2(0:1))
      call avR2(1264, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_1093, nGC_1095/))

      call avR2(1264, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_1094, nGC_1096/))

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(369)%branchR2(0:1))
      call avR2(369, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_931, nGC_932/))

      call avR2(369, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(404)%branchR2(0:0))
      call avR2(404, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1222/))

      call avR2(1653, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1221/))

      allocate(vertices(714)%branchR2(0:1))
      call avR2(714, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_937, nGC_938/))

      call avR2(714, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(619)%branchR2(0:1))
      call avR2(619, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1097, nGC_1098/))

      call avR2(619, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1176, nGC_1176,       &
      nGC_1176/))

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1145, nGC_1147,        &
      nGC_1146/))

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_927/))

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(545)%branchR2(0:1))
      call avR2(545, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1011, nGC_1009/))

      call avR2(545, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1012, nGC_1010/))

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1189/))

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1039, nGC_1040/))

      allocate(vertices(644)%branchR2(0:1))
      call avR2(644, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_1106, nGC_1107/))

      call avR2(644, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_1090, nGC_1092/))

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(185)%branchR2(0:1))
      call avR2(185, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1084/))

      call avR2(185, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1207/))

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1145, nGC_1147,        &
      nGC_1146/))

      allocate(vertices(68)%branchR2(0:0))
      call avR2(68, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_922/))

      allocate(vertices(1184)%branchR2(0:0))
      call avR2(1184, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(129)%branchR2(0:0))
      call avR2(129, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1134)%branchR2(0:1))
      call avR2(1134, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1081, nGC_1080/))

      call avR2(1134, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1082, nGC_1082/))

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(326)%branchR2(0:1))
      call avR2(326, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1086/))

      call avR2(326, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1288)%branchR2(0:0))
      call avR2(1288, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1220)%branchR2(0:1))
      call avR2(1220, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_963, nGC_961/))

      call avR2(1220, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_964, nGC_962/))

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(970)%branchR2(0:1))
      call avR2(970, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1086/))

      call avR2(970, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1516)%branchR2(0:1))
      call avR2(1516, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_896, nGC_893, nGC_894 &
      , nGC_894/))

      call avR2(1516, 1, 13, 1, 0, FFa2, (/2, 0/), (/nGC_892, nGC_892, nGC_895 &
      , nGC_895/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1210, nGC_1208,        &
      nGC_1209/))

      allocate(vertices(1502)%branchR2(0:0))
      call avR2(1502, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_924/))

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(567)%branchR2(0:1))
      call avR2(567, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_999, nGC_997/))

      call avR2(567, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1000, nGC_998/))

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1656)%branchR2(0:1))
      call avR2(1656, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      call avR2(1656, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      allocate(vertices(362)%branchR2(0:0))
      call avR2(362, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_986/))

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1017, nGC_1018/))

      allocate(vertices(1028)%branchR2(0:1))
      call avR2(1028, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1076, nGC_1075/))

      call avR2(1028, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1077, nGC_1077/))

      allocate(vertices(1284)%branchR2(0:0))
      call avR2(1284, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1198/))

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_955/))

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1100, nGC_1099/))

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1834/))

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(1079)%branchR2(0:0))
      call avR2(1079, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1100, nGC_1099/))

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1026/))

      allocate(vertices(1658)%branchR2(0:5))
      call avR2(1658, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_1217, nGC_1217,      &
      nGC_1217/))

      call avR2(1658, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_1217, nGC_1217,      &
      nGC_1217/))

      call avR2(1658, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_1218, nGC_1218,      &
      nGC_1218/))

      call avR2(1658, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      call avR2(1658, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_1217, nGC_1217,      &
      nGC_1217/))

      call avR2(1658, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_1216, nGC_1216,      &
      nGC_1216/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1088/))

      allocate(vertices(713)%branchR2(0:0))
      call avR2(713, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1202/))

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_975/))

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_945/))

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1220, nGC_1219,        &
      nGC_1220/))

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1161, nGC_1162,       &
      nGC_1162/))

      allocate(vertices(952)%branchR2(0:3))
      call avR2(952, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(952, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1136, nGC_1137/))

      call avR2(952, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(952, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1134, nGC_1135/))

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(1125)%branchR2(0:0))
      call avR2(1125, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_929/))

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1164, nGC_1165,        &
      nGC_1166/))

      allocate(vertices(1236)%branchR2(0:1))
      call avR2(1236, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1032, nGC_1031/))

      call avR2(1236, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1033, nGC_1033/))

      allocate(vertices(882)%branchR2(0:1))
      call avR2(882, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(882, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(1318)%branchR2(0:0))
      call avR2(1318, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_921/))

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_973/))

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_1223/))

      call avR2(1660, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_1224/))

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1068, nGC_1069/))

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1167/))

      allocate(vertices(1133)%branchR2(0:3))
      call avR2(1133, 0, 38, 1, 0, VFFa0, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(1133, 1, 38, 1, 0, VFFa0, (/1, 2/), (/nGC_1117, nGC_1119/))

      call avR2(1133, 2, 39, 1, 0, VFFa0, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(1133, 3, 39, 1, 0, VFFa0, (/1, 2/), (/nGC_1114, nGC_1116/))

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(823)%branchR2(0:0))
      call avR2(823, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(572)%branchR2(0:0))
      call avR2(572, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1049, nGC_1050/))

      allocate(vertices(1307)%branchR2(0:1))
      call avR2(1307, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_995, nGC_993/))

      call avR2(1307, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_996, nGC_994/))

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1662)%branchR2(0:1))
      call avR2(1662, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_1226, nGC_1226,      &
      nGC_1226/))

      call avR2(1662, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_1227, nGC_1227,      &
      nGC_1227/))

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(1286)%branchR2(0:0))
      call avR2(1286, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1103, nGC_1102/))

      allocate(vertices(1023)%branchR2(0:3))
      call avR2(1023, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(1023, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_1124, nGC_1125/))

      call avR2(1023, 2, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(1023, 3, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_1126, nGC_1127/))

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(207)%branchR2(0:0))
      call avR2(207, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(1102)%branchR2(0:0))
      call avR2(1102, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(875)%branchR2(0:1))
      call avR2(875, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_931, nGC_932/))

      call avR2(875, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_933, nGC_933/))

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1443)%branchR2(0:1))
      call avR2(1443, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_896, nGC_893, nGC_901 &
      , nGC_901/))

      call avR2(1443, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_892, nGC_892, nGC_902 &
      , nGC_902/))

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1838/))

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(596)%branchR2(0:3))
      call avR2(596, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(596, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_1134, nGC_1135/))

      call avR2(596, 2, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(596, 3, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_1136, nGC_1137/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1371)%branchR2(0:1))
      call avR2(1371, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1073, nGC_1072/))

      call avR2(1371, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1074, nGC_1074/))

      allocate(vertices(1663)%branchR2(0:0))
      call avR2(1663, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1157, nGC_1157,       &
      nGC_1157/))

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1025/))

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1179/))

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(1074)%branchR2(0:1))
      call avR2(1074, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_999, nGC_997/))

      call avR2(1074, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1000, nGC_998/))

      allocate(vertices(872)%branchR2(0:3))
      call avR2(872, 0, 40, 1, 0, VFaF0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(872, 1, 40, 1, 0, VFaF0, (/1, 2/), (/nGC_1136, nGC_1137/))

      call avR2(872, 2, 41, 1, 0, VFaF0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(872, 3, 41, 1, 0, VFaF0, (/1, 2/), (/nGC_1134, nGC_1135/))

      allocate(vertices(342)%branchR2(0:1))
      call avR2(342, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_980, nGC_981/))

      call avR2(342, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_962, nGC_964/))

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      call avR2(1664, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1160/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1196/))

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1193/))

      allocate(vertices(680)%branchR2(0:1))
      call avR2(680, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1086/))

      call avR2(680, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(907)%branchR2(0:1))
      call avR2(907, 0, 18, 1, 0, FaVF1, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(907, 1, 18, 1, 0, FaVF1, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1167)%branchR2(0:1))
      call avR2(1167, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1035, nGC_1034/))

      call avR2(1167, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1036, nGC_1036/))

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1177/))

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_1213, nGC_1213,      &
      nGC_1213/))

      call avR2(1665, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_1212, nGC_1212,      &
      nGC_1212/))

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1210,       &
      nGC_1208/))

      allocate(vertices(1171)%branchR2(0:1))
      call avR2(1171, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_948, nGC_949/))

      call avR2(1171, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1504)%branchR2(0:0))
      call avR2(1504, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_943/))

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(168)%branchR2(0:0))
      call avR2(168, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_958/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(754)%branchR2(0:0))
      call avR2(754, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_921/))

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(1666)%branchR2(0:1))
      call avR2(1666, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_1226, nGC_1226,      &
      nGC_1226/))

      call avR2(1666, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_1227, nGC_1227,      &
      nGC_1227/))

      allocate(vertices(955)%branchR2(0:1))
      call avR2(955, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(955, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1841/))

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(1470)%branchR2(0:1))
      call avR2(1470, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_900, nGC_897, nGC_916 &
      , nGC_916/))

      call avR2(1470, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_892, nGC_892, nGC_917 &
      , nGC_917/))

      allocate(vertices(58)%branchR2(0:1))
      call avR2(58, 0, 18, 1, 0, FaSF1, (/0, 3/), (/nGC_1061, nGC_1060/))

      call avR2(58, 1, 18, 1, 0, FaSF1, (/2, 1/), (/nGC_1062, nGC_1062/))

      allocate(vertices(490)%branchR2(0:1))
      call avR2(490, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_965, nGC_967/))

      call avR2(490, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_966, nGC_968/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_940, nGC_939/))

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1017, nGC_1018/))

      allocate(vertices(1405)%branchR2(0:0))
      call avR2(1405, 0, 14, 1, 0, FaF3, (/0, 2/), (/nGC_903, nGC_904, nGC_918 &
      , nGC_918/))

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1180/))

      allocate(vertices(1367)%branchR2(0:3))
      call avR2(1367, 0, 35, 1, 0, FaVF1, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(1367, 1, 35, 1, 0, FaVF1, (/1, 2/), (/nGC_1120, nGC_1121/))

      call avR2(1367, 2, 34, 1, 0, FaVF1, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(1367, 3, 34, 1, 0, FaVF1, (/1, 2/), (/nGC_1122, nGC_1123/))

      allocate(vertices(1330)%branchR2(0:1))
      call avR2(1330, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_934, nGC_935/))

      call avR2(1330, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1253)%branchR2(0:0))
      call avR2(1253, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_956/))

      allocate(vertices(781)%branchR2(0:0))
      call avR2(781, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(1667)%branchR2(0:0))
      call avR2(1667, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1225, nGC_1225,       &
      nGC_1225/))

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(298)%branchR2(0:1))
      call avR2(298, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_984, nGC_985/))

      call avR2(298, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_970, nGC_972/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1163/))

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(1368)%branchR2(0:1))
      call avR2(1368, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_980, nGC_981/))

      call avR2(1368, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_962, nGC_964/))

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1164, nGC_1165,       &
      nGC_1166/))

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1111, nGC_1110/))

      allocate(vertices(1076)%branchR2(0:1))
      call avR2(1076, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_963, nGC_961/))

      call avR2(1076, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_964, nGC_962/))

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_922/))

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1037, nGC_1038/))

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1172/))

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_1203/))

      allocate(vertices(1668)%branchR2(0:1))
      call avR2(1668, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_1183/))

      call avR2(1668, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_1184/))

      allocate(vertices(1669)%branchR2(0:1))
      call avR2(1669, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_1213, nGC_1213,      &
      nGC_1213/))

      call avR2(1669, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_1212, nGC_1212,      &
      nGC_1212/))

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_943/))

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1182/))

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1194/))

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1111, nGC_1110/))

      allocate(vertices(1670)%branchR2(0:0))
      call avR2(1670, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1148/))

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1087/))

      allocate(vertices(1385)%branchR2(0:0))
      call avR2(1385, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1188/))

      allocate(vertices(780)%branchR2(0:1))
      call avR2(780, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1084/))

      call avR2(780, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1671)%branchR2(0:1))
      call avR2(1671, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_1205/))

      call avR2(1671, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_1204/))

      allocate(vertices(673)%branchR2(0:1))
      call avR2(673, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_952, nGC_953/))

      call avR2(673, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_936, nGC_936/))

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1188/))

      allocate(vertices(1672)%branchR2(0:1))
      call avR2(1672, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_1186, nGC_1186,      &
      nGC_1186/))

      call avR2(1672, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_1187, nGC_1187,      &
      nGC_1187/))

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1105/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(125)%branchR2(0:1))
      call avR2(125, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1086/))

      call avR2(125, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1085/))

      allocate(vertices(79)%branchR2(0:1))
      call avR2(79, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1076, nGC_1075/))

      call avR2(79, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1077, nGC_1077/))

      allocate(vertices(1196)%branchR2(0:1))
      call avR2(1196, 0, 18, 1, 0, FaVF0, (/0, 3/), (/nGC_1084/))

      call avR2(1196, 1, 18, 1, 0, FaVF0, (/2, 1/), (/nGC_1085/))

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 14, 1, 0, FaF1, (/0, 2/), (/nGC_913/))

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1025/))

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1171/))

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1149/))

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1088/))

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_1153/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1055/))

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_1158/))

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1168/))

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_1175/))

      allocate(vertices(123)%branchR2(0:3))
      call avR2(123, 0, 38, 1, 0, VFFa0, (/3, 0/), (/nGC_1133, nGC_1133/))

      call avR2(123, 1, 38, 1, 0, VFFa0, (/1, 2/), (/nGC_1140, nGC_1141/))

      call avR2(123, 2, 39, 1, 0, VFFa0, (/3, 0/), (/nGC_1130, nGC_1130/))

      call avR2(123, 3, 39, 1, 0, VFFa0, (/1, 2/), (/nGC_1138, nGC_1139/))

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1166, nGC_1164,        &
      nGC_1165/))

      allocate(vertices(471)%branchR2(0:0))
      call avR2(471, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_1154/))

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1037, nGC_1038/))

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_979/))

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1178/))

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_1147, nGC_1146,        &
      nGC_1145/))

      allocate(vertices(186)%branchR2(0:3))
      call avR2(186, 0, 37, 1, 0, FaFV1, (/3, 0/), (/nGC_1115, nGC_1115/))

      call avR2(186, 1, 37, 1, 0, FaFV1, (/1, 2/), (/nGC_1124, nGC_1125/))

      call avR2(186, 2, 36, 1, 0, FaFV1, (/3, 0/), (/nGC_1118, nGC_1118/))

      call avR2(186, 3, 36, 1, 0, FaFV1, (/1, 2/), (/nGC_1126, nGC_1127/))

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_942, nGC_941/))

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_986/))

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_926/))

      allocate(vertices(348)%branchR2(0:1))
      call avR2(348, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1035, nGC_1034/))

      call avR2(348, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1036, nGC_1036/))

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_943/))

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_1198/))

    end subroutine fill_vertices_mdl6
end module vertices_info6
